import { r as requestDataPromise, u as useSeoMeta, a as requestHome, _ as __nuxt_component_0, b as __nuxt_component_2 } from './nuxt-link-CT-wIPZG.mjs';
import { _ as __nuxt_component_1 } from './pageNavigation1-CX3JDA81.mjs';
import { _ as _sfc_main$1 } from './TopTen-DeGWOUBH.mjs';
import { _ as __nuxt_component_4, a as __nuxt_component_5 } from './HotNews2-Bn8fJUyd.mjs';
import { _ as __nuxt_component_3 } from './foot1-D3tno6Bd.mjs';
import { withAsyncContext, ref, unref, withCtx, createTextVNode, createVNode, toDisplayString, isRef, openBlock, createBlock, Fragment, renderList, useSSRContext } from 'vue';
import { ssrRenderComponent, ssrInterpolate, ssrRenderAttr, ssrRenderList, ssrIncludeBooleanAttr } from 'vue/server-renderer';
import { ElBreadcrumb, ElBreadcrumbItem, ElRadioGroup, ElRadio, ElInput, ElCheckboxGroup, ElCheckbox } from 'element-plus';
import { ArrowRight } from '@element-plus/icons-vue';
import { _ as _export_sfc, u as useNuxtApp, a as useRoute } from './server.mjs';
import '@unhead/shared';
import 'js-cookie';
import '../_/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:url';
import 'node:path';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import 'vue-router';
import 'pinia';

const _sfc_main = {
  __name: "[id]",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    const nuxtApp = useNuxtApp();
    nuxtApp.$axios;
    const route = useRoute();
    const articleId = parseInt(route.params.id);
    const fullPath = route.path;
    const segments = fullPath.split("/");
    const targetSegment = segments[1];
    let routeId;
    const getRouteId = ([__temp, __restore] = withAsyncContext(() => requestDataPromise("/web/getWebsiteRoute", {
      method: "GET",
      query: {
        "pinyin": targetSegment
      }
    })), __temp = await __temp, __restore(), __temp);
    if (getRouteId.code == 200) {
      routeId = getRouteId.data.category_id;
    } else {
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u901A\u8FC7url\u8DEF\u5F84\u67E5\u8BE2\u5BFC\u822A\u6C60id");
      console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", getRouteId.message);
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
    }
    const parent_name = ref([]);
    const parent_id = ref([]);
    const parent_pinyin = ref("");
    ref(0);
    let getParentNav = async () => {
      const listData = await requestDataPromise("/web/getOneWebsiteCategory", {
        method: "GET",
        query: {
          "catid": routeId
        }
      });
      console.log("\u83B7\u53D6\u7236\u7EA7\u680F\u76EE\u6570\u636E");
      console.log(listData);
      if (listData.code == 200) {
        console.log(listData.data);
        parent_name.value = listData.data.alias;
        parent_id.value = listData.data.parent_id;
        parent_pinyin.value = listData.data.aLIas_pinyin;
        listData.data.children_coun;
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u83B7\u53D6\u9762\u5305\u5C51\u5BFC\u822A");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", listData.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    };
    getParentNav();
    const newsDetail = ref({});
    const routeNewsTtitle = ref("");
    const time = ref("");
    const routLevelTitle = ref("");
    const routLevelId = ref("");
    const articleChoice = ref(false);
    async function getPageData() {
      const mkdata = await requestDataPromise("/web/selectWebsiteArticleInfo", {
        method: "GET",
        query: {
          "articleid": articleId
        }
      });
      if (mkdata.code == 200) {
        if (mkdata.data.is_survey == 1) {
          console.log("\u672C\u7BC7\u6587\u7AE0\u542B\u6709\u6295\u7968\uFF01");
          articleChoice.value = true;
          getVoteList();
        }
        newsDetail.value = mkdata.data;
        routLevelTitle.value = newsDetail.value.cat_name;
        routLevelId.value = newsDetail.value.category_id;
        time.value = newsDetail.value.updated_at.split(" ")[0];
        if (newsDetail.value.title.length >= 30) {
          routeNewsTtitle.value = newsDetail.value.title.substr(0, 30) + "...";
        } else {
          routeNewsTtitle.value = newsDetail.value.title;
        }
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u83B7\u53D6\u8BE6\u60C5\u5185\u5BB9");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", mkdata.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    }
    getPageData();
    let adImg1 = ref([]);
    const setData = ([__temp, __restore] = withAsyncContext(() => requestDataPromise("/web/selectWebsiteArticleInfo", {
      method: "GET",
      query: {
        "articleid": articleId
      }
    })), __temp = await __temp, __restore(), __temp);
    if (setData.code == 200) {
      let seoTitle = setData.data.title;
      let seoDescription = setData.data.introduce;
      let seoKeywords = setData.data.keyword;
      let seoSuffix = setData.data.suffix;
      let seoName = setData.data.website_name;
      useSeoMeta({
        title: seoTitle + "_" + seoName + "_" + seoSuffix,
        meta: [
          { name: "description", content: seoDescription + "_" + seoName + "_" + seoSuffix, tagPriority: 10 },
          { name: "keywords", content: seoKeywords + "_" + seoName + "_" + seoSuffix, tagPriority: 10 }
        ]
      });
    } else {
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u8BBE\u7F6E\u8BE6\u60C5\u9875\u9762SEO\u6570\u636E");
      console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", setData.message);
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
    }
    const radio1 = ref("");
    const check1 = ref([]);
    const isDisabled = ref(false);
    const isRadio = ref(true);
    const userSurId = ref("");
    const userChoice = ref("");
    const userIsChoice = ref("");
    const showUserChoice = ref(false);
    const websiteSurveyData = ref([]);
    let voteList = ref([]);
    async function getVoteList() {
      const voteData = await requestHome("/web/getWebsiteSurvey", { method: "GET", query: { "art_id": articleId } });
      console.log(778899);
      console.log(voteData);
      if (voteData.code == 200) {
        voteList.value = voteData.data;
        console.log(voteList.value);
        if (voteData.data[0].survey_type == 0) {
          isRadio.value = true;
          console.log("1111");
        } else {
          isRadio.value = false;
        }
        for (let item of voteData.data) {
          if (item.is_other == 1) {
            userIsChoice.value = item.id;
          }
        }
        userSurId.value = voteData.data[0].sur_id;
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u9996\u9875\u6295\u7968");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", voteData.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    }
    const handleRadioChange = (value) => {
      if (value == userIsChoice.value) {
        showUserChoice.value = true;
      } else {
        showUserChoice.value = false;
      }
    };
    const handleCheckboxChange = (value) => {
      if (value.includes(userIsChoice.value)) {
        showUserChoice.value = true;
      } else {
        showUserChoice.value = false;
      }
    };
    const previewVisible = ref(false);
    const selectedImage = ref(" ");
    return (_ctx, _push, _parent, _attrs) => {
      var _a;
      const _component_HomePageHead = __nuxt_component_0;
      const _component_HomePageNavigation1 = __nuxt_component_1;
      const _component_HomeTopTen = _sfc_main$1;
      const _component_NuxtLink = __nuxt_component_2;
      const _component_DetailHotNews = __nuxt_component_4;
      const _component_DetailHotNews2 = __nuxt_component_5;
      const _component_HomeFoot1 = __nuxt_component_3;
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_HomePageHead, null, null, _parent));
      _push(ssrRenderComponent(_component_HomePageNavigation1, null, null, _parent));
      if (unref(adImg1)) {
        _push(ssrRenderComponent(_component_HomeTopTen, { imgurl: unref(adImg1) }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`<div class="breadcrumb" data-v-c010bcbc><div class="inner" data-v-c010bcbc><span class="location" data-v-c010bcbc>\u5F53\u524D\u4F4D\u7F6E:</span>`);
      _push(ssrRenderComponent(unref(ElBreadcrumb), { "separator-icon": unref(ArrowRight) }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(unref(ElBreadcrumbItem), null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_NuxtLink, { to: "/" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`\u9996\u9875`);
                      } else {
                        return [
                          createTextVNode("\u9996\u9875")
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_NuxtLink, { to: "/" }, {
                      default: withCtx(() => [
                        createTextVNode("\u9996\u9875")
                      ]),
                      _: 1
                    })
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(unref(ElBreadcrumbItem), null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_NuxtLink, {
                    to: `/${unref(parent_pinyin)}/list-1.html`
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(parent_name))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(parent_name)), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_NuxtLink, {
                      to: `/${unref(parent_pinyin)}/list-1.html`
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(parent_name)), 1)
                      ]),
                      _: 1
                    }, 8, ["to"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(unref(ElBreadcrumbItem), null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(unref(routeNewsTtitle))}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(unref(routeNewsTtitle)), 1)
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode(unref(ElBreadcrumbItem), null, {
                default: withCtx(() => [
                  createVNode(_component_NuxtLink, { to: "/" }, {
                    default: withCtx(() => [
                      createTextVNode("\u9996\u9875")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }),
              createVNode(unref(ElBreadcrumbItem), null, {
                default: withCtx(() => [
                  createVNode(_component_NuxtLink, {
                    to: `/${unref(parent_pinyin)}/list-1.html`
                  }, {
                    default: withCtx(() => [
                      createTextVNode(toDisplayString(unref(parent_name)), 1)
                    ]),
                    _: 1
                  }, 8, ["to"])
                ]),
                _: 1
              }),
              createVNode(unref(ElBreadcrumbItem), null, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(unref(routeNewsTtitle)), 1)
                ]),
                _: 1
              })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div><div class="newsDetail" data-v-c010bcbc><div class="inner" data-v-c010bcbc><div class="innerLeft" data-v-c010bcbc><div class="LeftTop" data-v-c010bcbc><h1 data-v-c010bcbc>${ssrInterpolate(unref(newsDetail).title)}</h1><p data-v-c010bcbc> \u6765\u6E90: <span data-v-c010bcbc>${ssrInterpolate(unref(newsDetail).copyfrom)}</span> \u4F5C\u8005: <span data-v-c010bcbc>${ssrInterpolate(unref(newsDetail).author)}</span> \u53D1\u5E03\u65F6\u95F4: <span data-v-c010bcbc>${ssrInterpolate(unref(time))}</span></p></div>`);
      if (unref(newsDetail).content) {
        _push(`<div class="leftBottom" data-v-c010bcbc>${(_a = unref(newsDetail).content) != null ? _a : ""}</div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(previewVisible)) {
        _push(`<div class="preview-modal" data-v-c010bcbc><img${ssrRenderAttr("src", unref(selectedImage))} alt="Preview" data-v-c010bcbc></div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(newsDetail).copyfrom != "\u672C\u7F51") {
        _push(`<div class="disclaimer" data-v-c010bcbc><p data-v-c010bcbc>\u539F\u6587\u94FE\u63A5\uFF1A${ssrInterpolate(unref(newsDetail).fromurl)}</p><p data-v-c010bcbc>[\u514D\u8D23\u58F0\u660E]\u672C\u6587\u6765\u6E90\u4E8E\u7F51\u7EDC\u8F6C\u8F7D\uFF0C\u4EC5\u4F9B\u5B66\u4E60\u4EA4\u6D41\u4F7F\u7528\uFF0C\u4E0D\u6784\u6210\u5546\u4E1A\u76EE\u7684\u3002 \u7248\u6743\u5F52\u539F\u4F5C\u8005\u6240\u6709\uFF0C\u5982\u6D89\u53CA\u4F5C\u54C1\u5185\u5BB9\uFF0C\u7248\u6743\u548C\u5176\u4ED6\u95EE\u9898\uFF0C\u8BF7\u572830\u65E5\u4E0E\u672C\u7F51\u8054\u7CFB\uFF0C\u6211\u4EEC\u5C06\u7B2C\u4E00\u65F6\u95F4\u5904\u7406\u3002</p></div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(articleChoice)) {
        _push(`<div data-v-c010bcbc>`);
        if (unref(articleChoice)) {
          _push(`<div class="index_3_box_vote" data-v-c010bcbc><div class="voteTitle" data-v-c010bcbc>\u6295\u7968\u533A</div><div class="inquire" data-v-c010bcbc>`);
          if (unref(voteList).length > 0) {
            _push(`<p data-v-c010bcbc>${ssrInterpolate(unref(voteList)[0].survey_name)}</p>`);
          } else {
            _push(`<!---->`);
          }
          _push(`<div class="radioBox" data-v-c010bcbc>`);
          if (!unref(isDisabled)) {
            _push(`<div data-v-c010bcbc>`);
            if (unref(isRadio)) {
              _push(`<div class="radio" data-v-c010bcbc>`);
              _push(ssrRenderComponent(unref(ElRadioGroup), {
                modelValue: unref(radio1),
                "onUpdate:modelValue": ($event) => isRef(radio1) ? radio1.value = $event : null,
                onChange: handleRadioChange
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`<!--[-->`);
                    ssrRenderList(unref(voteList), (item) => {
                      _push2(ssrRenderComponent(unref(ElRadio), {
                        key: item.id,
                        value: item.id,
                        size: "large"
                      }, {
                        default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                          if (_push3) {
                            if (item.is_other == 0) {
                              _push3(`<span data-v-c010bcbc${_scopeId2}>${ssrInterpolate(item.choice_name)}</span>`);
                            } else {
                              _push3(`<span data-v-c010bcbc${_scopeId2}>\u5176\u4ED6</span>`);
                            }
                          } else {
                            return [
                              item.is_other == 0 ? (openBlock(), createBlock("span", { key: 0 }, toDisplayString(item.choice_name), 1)) : (openBlock(), createBlock("span", { key: 1 }, "\u5176\u4ED6"))
                            ];
                          }
                        }),
                        _: 2
                      }, _parent2, _scopeId));
                    });
                    _push2(`<!--]-->`);
                  } else {
                    return [
                      (openBlock(true), createBlock(Fragment, null, renderList(unref(voteList), (item) => {
                        return openBlock(), createBlock(unref(ElRadio), {
                          key: item.id,
                          value: item.id,
                          size: "large"
                        }, {
                          default: withCtx(() => [
                            item.is_other == 0 ? (openBlock(), createBlock("span", { key: 0 }, toDisplayString(item.choice_name), 1)) : (openBlock(), createBlock("span", { key: 1 }, "\u5176\u4ED6"))
                          ]),
                          _: 2
                        }, 1032, ["value"]);
                      }), 128))
                    ];
                  }
                }),
                _: 1
              }, _parent));
              if (unref(showUserChoice)) {
                _push(ssrRenderComponent(unref(ElInput), {
                  modelValue: unref(userChoice),
                  "onUpdate:modelValue": ($event) => isRef(userChoice) ? userChoice.value = $event : null,
                  rows: 2,
                  type: "textarea",
                  resize: "none",
                  placeholder: "\u8BF7\u8F93\u5165.."
                }, null, _parent));
              } else {
                _push(`<!---->`);
              }
              _push(`</div>`);
            } else {
              _push(`<div class="checkInputBox" data-v-c010bcbc>`);
              _push(ssrRenderComponent(unref(ElCheckboxGroup), {
                modelValue: unref(check1),
                "onUpdate:modelValue": ($event) => isRef(check1) ? check1.value = $event : null,
                onChange: handleCheckboxChange
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`<!--[-->`);
                    ssrRenderList(unref(voteList), (item) => {
                      _push2(`<span data-v-c010bcbc${_scopeId}>`);
                      if (item.is_other == 0) {
                        _push2(`<span data-v-c010bcbc${_scopeId}>`);
                        _push2(ssrRenderComponent(unref(ElCheckbox), {
                          size: "large",
                          label: item.choice_name,
                          value: item.id
                        }, null, _parent2, _scopeId));
                        _push2(`</span>`);
                      } else {
                        _push2(`<span data-v-c010bcbc${_scopeId}>`);
                        _push2(ssrRenderComponent(unref(ElCheckbox), {
                          size: "large",
                          label: "\u5176\u4ED6",
                          value: item.id
                        }, null, _parent2, _scopeId));
                        _push2(`</span>`);
                      }
                      _push2(`</span>`);
                    });
                    _push2(`<!--]-->`);
                  } else {
                    return [
                      (openBlock(true), createBlock(Fragment, null, renderList(unref(voteList), (item) => {
                        return openBlock(), createBlock("span", {
                          key: item.id
                        }, [
                          item.is_other == 0 ? (openBlock(), createBlock("span", { key: 0 }, [
                            createVNode(unref(ElCheckbox), {
                              size: "large",
                              label: item.choice_name,
                              value: item.id
                            }, null, 8, ["label", "value"])
                          ])) : (openBlock(), createBlock("span", { key: 1 }, [
                            createVNode(unref(ElCheckbox), {
                              size: "large",
                              label: "\u5176\u4ED6",
                              value: item.id
                            }, null, 8, ["value"])
                          ]))
                        ]);
                      }), 128))
                    ];
                  }
                }),
                _: 1
              }, _parent));
              if (unref(showUserChoice)) {
                _push(ssrRenderComponent(unref(ElInput), {
                  modelValue: unref(userChoice),
                  "onUpdate:modelValue": ($event) => isRef(userChoice) ? userChoice.value = $event : null,
                  rows: 2,
                  type: "textarea",
                  resize: "none",
                  placeholder: "\u8BF7\u8F93\u5165.."
                }, null, _parent));
              } else {
                _push(`<!---->`);
              }
              _push(`</div>`);
            }
            _push(`</div>`);
          } else {
            _push(`<div class="inquireData" data-v-c010bcbc><!--[-->`);
            ssrRenderList(unref(websiteSurveyData).data, (item) => {
              _push(`<div data-v-c010bcbc>`);
              if (item.status == 1) {
                _push(`<div class="inquireDataItem active" data-v-c010bcbc><div class="inquireDataItemTitle" data-v-c010bcbc>`);
                if (item.choice_name == "") {
                  _push(`<span data-v-c010bcbc>\u5176\u4ED6</span>`);
                } else {
                  _push(`<span data-v-c010bcbc>${ssrInterpolate(item.choice_name)}</span>`);
                }
                _push(`</div><div class="inquireDataItemNum" data-v-c010bcbc>${ssrInterpolate(item.results)}\u7968</div></div>`);
              } else {
                _push(`<div class="inquireDataItem" data-v-c010bcbc><div class="inquireDataItemTitle" data-v-c010bcbc>`);
                if (item.choice_name == "") {
                  _push(`<span data-v-c010bcbc>\u5176\u4ED6</span>`);
                } else {
                  _push(`<span data-v-c010bcbc>${ssrInterpolate(item.choice_name)}</span>`);
                }
                _push(`</div><div class="inquireDataItemNum" data-v-c010bcbc>${ssrInterpolate(item.results)}\u7968</div></div>`);
              }
              _push(`</div>`);
            });
            _push(`<!--]--></div>`);
          }
          _push(`</div><div class="btn" data-v-c010bcbc>`);
          if (!unref(isDisabled)) {
            _push(`<button class="voting"${ssrIncludeBooleanAttr(unref(isDisabled)) ? " disabled" : ""} data-v-c010bcbc>\u6295\u7968</button>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div></div></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="innerRight" data-v-c010bcbc><div class="hotList1" data-v-c010bcbc>`);
      _push(ssrRenderComponent(_component_DetailHotNews, null, null, _parent));
      _push(`</div><div class="hotList2" data-v-c010bcbc>`);
      _push(ssrRenderComponent(_component_DetailHotNews2, null, null, _parent));
      _push(`</div></div></div></div>`);
      _push(ssrRenderComponent(_component_HomeFoot1, null, null, _parent));
      _push(`<!--]-->`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/[dir]/[id].vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const _id_ = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-c010bcbc"]]);

export { _id_ as default };
//# sourceMappingURL=_id_-CYRCB7As.mjs.map
