import { a as buildAssetsURL } from '../routes/renderer.mjs';
import { r as requestDataPromise, u as useSeoMeta, b as __nuxt_component_2$1, _ as __nuxt_component_0$1 } from './nuxt-link-CT-wIPZG.mjs';
import { g as getTime, _ as __nuxt_component_1$1 } from './publicFunction-Dw0cPJGx.mjs';
import { useSSRContext, ref, withAsyncContext, unref, withCtx, createTextVNode, toDisplayString, createVNode, openBlock, createBlock, createCommentVNode, Fragment, renderList, mergeProps } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderList, ssrRenderAttr, ssrRenderClass, ssrIncludeBooleanAttr } from 'vue/server-renderer';
import { _ as _export_sfc, u as useNuxtApp } from './server.mjs';
import { ElRadioGroup, ElRadio, ElInput, ElCheckboxGroup, ElCheckbox, ElCarousel, ElCarouselItem, ElMessage } from 'element-plus';
import { _ as _sfc_main$8 } from './TopTen-DeGWOUBH.mjs';
import 'vue-bundle-renderer/runtime';
import '../_/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:url';
import 'node:path';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'js-cookie';
import 'vue-router';
import 'pinia';

const _sfc_main$7 = {
  __name: "BigTitle_List",
  __ssrInlineRender: true,
  props: {
    headlinelist1: Object
  },
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_2$1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "list" }, _attrs))} data-v-1f5b2766><div class="inner" data-v-1f5b2766><ul data-v-1f5b2766><!--[-->`);
      ssrRenderList(__props.headlinelist1, (item) => {
        _push(`<li class="left" data-v-1f5b2766>`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: { path: `/${item.pinyin}/${item.id}.html` },
          title: item.title
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`${ssrInterpolate(item.title)}`);
            } else {
              return [
                createTextVNode(toDisplayString(item.title), 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</li>`);
      });
      _push(`<!--]--></ul></div></div>`);
    };
  }
};
const _sfc_setup$7 = _sfc_main$7.setup;
_sfc_main$7.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/home/BigTitle_List.vue");
  return _sfc_setup$7 ? _sfc_setup$7(props, ctx) : undefined;
};
const __nuxt_component_0 = /* @__PURE__ */ _export_sfc(_sfc_main$7, [["__scopeId", "data-v-1f5b2766"]]);
const _sfc_main$6 = {
  __name: "BigSwiper",
  __ssrInlineRender: true,
  setup(__props) {
    const imagelist = ref("");
    async function getModelData1() {
      const mkdata = await requestDataPromise("/web/getWebsiteArticlett", {
        method: "GET",
        query: {
          "pageSize": 5,
          "level": 2,
          "placeid": 0,
          "id": ""
        }
      });
      if (mkdata.code == 200) {
        imagelist.value = mkdata.data;
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u83B7\u53D6\u9996\u9875\u8F6E\u64AD\u56FE");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", mkdata.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    }
    getModelData1();
    let currentIndex = ref(0);
    let handleIndicatorChange = (val) => {
      currentIndex.value = val;
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_2$1;
      if (unref(imagelist)) {
        _push(`<div${ssrRenderAttrs(mergeProps({ class: "swiper" }, _attrs))} data-v-26f6c437>`);
        _push(ssrRenderComponent(unref(ElCarousel), {
          interval: 5e3,
          arrow: "always",
          height: "405px",
          "indicator-class": "custom-indicator",
          class: "custom-carousel",
          onChange: unref(handleIndicatorChange)
        }, {
          indicator: withCtx(({ index: index2 }, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<button class="${ssrRenderClass({ "active-indicator": unref(currentIndex) === index2 })}" data-v-26f6c437${_scopeId}>${ssrInterpolate(index2 + 1)}</button>`);
            } else {
              return [
                createVNode("button", {
                  class: { "active-indicator": unref(currentIndex) === index2 }
                }, toDisplayString(index2 + 1), 3)
              ];
            }
          }),
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<!--[-->`);
              ssrRenderList(unref(imagelist), (item, index2) => {
                _push2(ssrRenderComponent(unref(ElCarouselItem), { key: index2 }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(ssrRenderComponent(_component_NuxtLink, {
                        to: `/${item.pinyin}/${item.id}.html`,
                        title: item.title
                      }, {
                        default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                          if (_push4) {
                            _push4(`<img${ssrRenderAttr("src", item.imgurl)}${ssrRenderAttr("alt", item.title)} data-v-26f6c437${_scopeId3}><span data-v-26f6c437${_scopeId3}>${ssrInterpolate(item.title)}</span>`);
                          } else {
                            return [
                              createVNode("img", {
                                src: item.imgurl,
                                alt: item.title
                              }, null, 8, ["src", "alt"]),
                              createVNode("span", null, toDisplayString(item.title), 1)
                            ];
                          }
                        }),
                        _: 2
                      }, _parent3, _scopeId2));
                    } else {
                      return [
                        createVNode(_component_NuxtLink, {
                          to: `/${item.pinyin}/${item.id}.html`,
                          title: item.title
                        }, {
                          default: withCtx(() => [
                            createVNode("img", {
                              src: item.imgurl,
                              alt: item.title
                            }, null, 8, ["src", "alt"]),
                            createVNode("span", null, toDisplayString(item.title), 1)
                          ]),
                          _: 2
                        }, 1032, ["to", "title"])
                      ];
                    }
                  }),
                  _: 2
                }, _parent2, _scopeId));
              });
              _push2(`<!--]-->`);
            } else {
              return [
                (openBlock(true), createBlock(Fragment, null, renderList(unref(imagelist), (item, index2) => {
                  return openBlock(), createBlock(unref(ElCarouselItem), { key: index2 }, {
                    default: withCtx(() => [
                      createVNode(_component_NuxtLink, {
                        to: `/${item.pinyin}/${item.id}.html`,
                        title: item.title
                      }, {
                        default: withCtx(() => [
                          createVNode("img", {
                            src: item.imgurl,
                            alt: item.title
                          }, null, 8, ["src", "alt"]),
                          createVNode("span", null, toDisplayString(item.title), 1)
                        ]),
                        _: 2
                      }, 1032, ["to", "title"])
                    ]),
                    _: 2
                  }, 1024);
                }), 128))
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
    };
  }
};
const _sfc_setup$6 = _sfc_main$6.setup;
_sfc_main$6.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/home/BigSwiper.vue");
  return _sfc_setup$6 ? _sfc_setup$6(props, ctx) : undefined;
};
const __nuxt_component_1 = /* @__PURE__ */ _export_sfc(_sfc_main$6, [["__scopeId", "data-v-26f6c437"]]);
const _sfc_main$5 = {
  __name: "PageMessage",
  __ssrInlineRender: true,
  setup(__props) {
    const nuxtApp = useNuxtApp();
    nuxtApp.$axios;
    const getLinkPathDetail = (item) => {
      if (item.islink == 1) {
        return `${item.linkurl}`;
      } else {
        return `/${item.pinyin}/${item.id}.html`;
      }
    };
    const headlinelist = ref([]);
    const headlinelist1 = ref([]);
    async function getModelData1() {
      const mkdata = await requestDataPromise("/web/getWebsiteArticlett", {
        method: "GET",
        query: {
          "pageSize": 3,
          "level": 1,
          "placeid": 0,
          "id": ""
        }
      });
      if (mkdata.code == 200) {
        headlinelist.value.push(mkdata.data[0]);
        headlinelist1.value.push(mkdata.data[1]);
        headlinelist1.value.push(mkdata.data[2]);
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u8BBE\u7F6E\u5927\u6807\u9898");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", mkdata.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    }
    getModelData1();
    const hotNewsList = ref("");
    async function getModelData3() {
      const mkdata = await requestDataPromise("/web/getWebsiteArticlett", {
        method: "GET",
        query: {
          "pageSize": 8,
          "level": 6,
          "placeid": 0,
          "id": ""
        }
      });
      if (mkdata.code == 200) {
        hotNewsList.value = mkdata.data;
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u83B7\u53D6\u9996\u9875\u4ECA\u65E5\u70ED\u70B9");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", mkdata.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    }
    getModelData3();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_HomeBigTitleList = __nuxt_component_0;
      const _component_HomeBigSwiper = __nuxt_component_1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "message" }, _attrs))} data-v-fbac2168><div class="inner" data-v-fbac2168><div class="bigTitle" data-v-fbac2168><!--[-->`);
      ssrRenderList(headlinelist.value, (item, index2) => {
        _push(`<div class="inner" data-v-fbac2168><img src="http://img.bjzxtw.org.cn/master/bjzxtw/public/head/mainTitleicon.png" alt="" class="left" data-v-fbac2168>`);
        _push(ssrRenderComponent(unref(__nuxt_component_2$1), {
          href: getLinkPathDetail(item),
          title: item.title,
          target: item.islink == 1 ? "_blank" : "_self"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<h1 class="left" data-v-fbac2168${_scopeId}>${ssrInterpolate(item.title)}</h1>`);
            } else {
              return [
                createVNode("h1", { class: "left" }, toDisplayString(item.title), 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</div>`);
      });
      _push(`<!--]--></div>`);
      _push(ssrRenderComponent(_component_HomeBigTitleList, { headlinelist1: headlinelist1.value }, null, _parent));
      _push(`<div class="messageLeft" data-v-fbac2168>`);
      _push(ssrRenderComponent(_component_HomeBigSwiper, null, null, _parent));
      _push(`</div><div class="messageRight" data-v-fbac2168><div class="hotTop" data-v-fbac2168><h3 data-v-fbac2168>\u4ECA\u65E5\u70ED\u70B9</h3><ul data-v-fbac2168><!--[-->`);
      ssrRenderList(hotNewsList.value, (item, index2) => {
        _push(`<li data-v-fbac2168><strong data-v-fbac2168>${ssrInterpolate(index2 + 1)}</strong>`);
        _push(ssrRenderComponent(unref(__nuxt_component_2$1), {
          href: getLinkPathDetail(item),
          title: item.title,
          target: item.islink == 1 ? "_blank" : "_self"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`${ssrInterpolate(item.title)}`);
            } else {
              return [
                createTextVNode(toDisplayString(item.title), 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</li>`);
      });
      _push(`<!--]--></ul></div></div></div></div>`);
    };
  }
};
const _sfc_setup$5 = _sfc_main$5.setup;
_sfc_main$5.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/home/PageMessage.vue");
  return _sfc_setup$5 ? _sfc_setup$5(props, ctx) : undefined;
};
const __nuxt_component_2 = /* @__PURE__ */ _export_sfc(_sfc_main$5, [["__scopeId", "data-v-fbac2168"]]);
const _sfc_main$4 = {
  __name: "Advertising",
  __ssrInlineRender: true,
  props: {
    imgurl: Array
  },
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      if (__props.imgurl) {
        _push(`<div${ssrRenderAttrs(mergeProps({ class: "adversing" }, _attrs))}><div class="inner">`);
        if (__props.imgurl.image_url == null) {
          _push(`<a href="http://nzgxw.org.cn/" target="_blank"${ssrRenderAttr("title", __props.imgurl.introduce)}><img${ssrRenderAttr("src", __props.imgurl.thumb)}${ssrRenderAttr("alt", __props.imgurl.introduce)}${ssrRenderAttr("id", __props.imgurl.ad_tag)} data-tag="imgurl.ad_tag"></a>`);
        } else {
          _push(`<a${ssrRenderAttr("href", __props.imgurl.image_url)}${ssrRenderAttr("title", __props.imgurl.introduce)}><img${ssrRenderAttr("src", __props.imgurl.image_src)}${ssrRenderAttr("alt", __props.imgurl.introduce)}${ssrRenderAttr("id", __props.imgurl.ad_tag)} data-tag="imgurl.ad_tag"></a>`);
        }
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
    };
  }
};
const _sfc_setup$4 = _sfc_main$4.setup;
_sfc_main$4.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/home/Advertising.vue");
  return _sfc_setup$4 ? _sfc_setup$4(props, ctx) : undefined;
};
const _sfc_main$3 = {
  __name: "MoreService",
  __ssrInlineRender: true,
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_2$1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "moreServiceBox" }, _attrs))}><div class="listBox">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        to: "http://dy.qgsnfzzx.org.cn/list-renyuanchaxun.html",
        title: "\u4EBA\u5458\u67E5\u8BE2"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<img src="http://img.bjzxtw.org.cn/master/bjzxtw/public/index/icon1.png" alt="\u4EBA\u5458\u67E5\u8BE2"${_scopeId}><div class="line"${_scopeId}></div> \u4EBA\u5458\u67E5\u8BE2 `);
          } else {
            return [
              createVNode("img", {
                src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/index/icon1.png",
                alt: "\u4EBA\u5458\u67E5\u8BE2"
              }),
              createVNode("div", { class: "line" }),
              createTextVNode(" \u4EBA\u5458\u67E5\u8BE2 ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="listBox">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        to: "http://dy.qgsnfzzx.org.cn/list-cheliangchaxun.html",
        title: "\u8F66\u8F86\u67E5\u8BE2"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<img src="http://img.bjzxtw.org.cn/master/bjzxtw/public/index/icon2.png" alt="\u8F66\u8F86\u67E5\u8BE2"${_scopeId}><div class="line"${_scopeId}></div> \u8F66\u8F86\u67E5\u8BE2 `);
          } else {
            return [
              createVNode("img", {
                src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/index/icon2.png",
                alt: "\u8F66\u8F86\u67E5\u8BE2"
              }),
              createVNode("div", { class: "line" }),
              createTextVNode(" \u8F66\u8F86\u67E5\u8BE2 ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="listBox">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        to: "http://dy.qgsnfzzx.org.cn/list-diaoyanxuanti.html",
        title: "\u8C03\u7814\u9009\u9898"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<img src="http://img.bjzxtw.org.cn/master/bjzxtw/public/index/icon3.png" alt="\u8C03\u7814\u9009\u9898"${_scopeId}><div class="line"${_scopeId}></div> \u8C03\u7814\u9009\u9898 `);
          } else {
            return [
              createVNode("img", {
                src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/index/icon3.png",
                alt: "\u8C03\u7814\u9009\u9898"
              }),
              createVNode("div", { class: "line" }),
              createTextVNode(" \u8C03\u7814\u9009\u9898 ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="listBox">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        to: "http://dy.qgsnfzzx.org.cn/list-difangzhongxin.html",
        title: "\u5730\u5E02\u4E2D\u5FC3"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<img src="http://img.bjzxtw.org.cn/master/bjzxtw/public/index/icon4.png" alt="\u5730\u5E02\u4E2D\u5FC3"${_scopeId}><div class="line"${_scopeId}></div> \u5730\u5E02\u4E2D\u5FC3 `);
          } else {
            return [
              createVNode("img", {
                src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/index/icon4.png",
                alt: "\u5730\u5E02\u4E2D\u5FC3"
              }),
              createVNode("div", { class: "line" }),
              createTextVNode(" \u5730\u5E02\u4E2D\u5FC3 ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="listBox">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        to: "http://dy.qgsnfzzx.org.cn/list-jieshaoxinchaxun.html",
        title: "\u4ECB\u7ECD\u4FE1\u67E5\u8BE2"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<img src="http://img.bjzxtw.org.cn/master/bjzxtw/public/index/icon5.png" alt="\u4ECB\u7ECD\u4FE1\u67E5\u8BE2"${_scopeId}><div class="line"${_scopeId}></div> \u4ECB\u7ECD\u4FE1\u67E5\u8BE2 `);
          } else {
            return [
              createVNode("img", {
                src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/index/icon5.png",
                alt: "\u4ECB\u7ECD\u4FE1\u67E5\u8BE2"
              }),
              createVNode("div", { class: "line" }),
              createTextVNode(" \u4ECB\u7ECD\u4FE1\u67E5\u8BE2 ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div>`);
    };
  }
};
const _sfc_setup$3 = _sfc_main$3.setup;
_sfc_main$3.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/home/MoreService.vue");
  return _sfc_setup$3 ? _sfc_setup$3(props, ctx) : undefined;
};
const _sfc_main$2 = {
  __name: "Slider",
  __ssrInlineRender: true,
  props: {
    message: Array,
    boxData1: Array,
    boxData2: Array
  },
  setup(__props) {
    const getLinkPath = (item) => {
      if (item.children_count == 0) {
        return `/${item.aLIas_pinyin}/list-1.html`;
      } else {
        return `/${item.aLIas_pinyin}/index.html`;
      }
    };
    const getLinkPathDetail = (item) => {
      if (item.islink == 1) {
        return `${item.linkurl}`;
      } else {
        return `/${item.pinyin}/${item.id}.html`;
      }
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_2$1;
      if (__props.message) {
        _push(`<div${ssrRenderAttrs(mergeProps({ class: "slider" }, _attrs))} data-v-aebae45b>`);
        if (__props.message) {
          _push(`<div class="scienceTitle" data-v-aebae45b>`);
          if (__props.message.cid) {
            _push(`<h5 data-v-aebae45b>`);
            if (__props.message.cid) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                href: getLinkPath(__props.message),
                class: "active",
                title: __props.message.alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(__props.message.title)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(__props.message.title), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</h5>`);
          } else {
            _push(`<!---->`);
          }
          if (__props.message.cid) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(__props.message),
              title: __props.message.alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(` \u67E5\u770B\u66F4\u591A `);
                } else {
                  return [
                    createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="box" data-v-aebae45b><div class="boxcontent" data-v-aebae45b>`);
        if (__props.boxData1) {
          _push(`<div class="boxleft" data-v-aebae45b><div class="boxBigImg" data-v-aebae45b>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(__props.boxData1[0]),
            title: __props.boxData1[0].title,
            target: __props.boxData1[0].islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", __props.boxData1[0].imgurl)}${ssrRenderAttr("alt", __props.boxData1[0].title)} data-v-aebae45b${_scopeId}><div data-v-aebae45b${_scopeId}><p data-v-aebae45b${_scopeId}><span data-v-aebae45b${_scopeId}>\u4E13\u9898</span>${ssrInterpolate(__props.boxData1[0].title)}</p></div>`);
              } else {
                return [
                  createVNode("img", {
                    src: __props.boxData1[0].imgurl,
                    alt: __props.boxData1[0].title
                  }, null, 8, ["src", "alt"]),
                  createVNode("div", null, [
                    createVNode("p", null, [
                      createVNode("span", null, "\u4E13\u9898"),
                      createTextVNode(toDisplayString(__props.boxData1[0].title), 1)
                    ])
                  ])
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(`</div><div class="boxMainImg" data-v-aebae45b>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(__props.boxData1[1]),
            title: __props.boxData1[1].title,
            target: __props.boxData1[1].islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", __props.boxData1[1].imgurl)}${ssrRenderAttr("alt", __props.boxData1[1].title)} data-v-aebae45b${_scopeId}><div data-v-aebae45b${_scopeId}><p data-v-aebae45b${_scopeId}>${ssrInterpolate(__props.boxData1[1].title)}</p></div>`);
              } else {
                return [
                  createVNode("img", {
                    src: __props.boxData1[1].imgurl,
                    alt: __props.boxData1[1].title
                  }, null, 8, ["src", "alt"]),
                  createVNode("div", null, [
                    createVNode("p", null, toDisplayString(__props.boxData1[1].title), 1)
                  ])
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(__props.boxData1[2]),
            title: __props.boxData1[2].title,
            target: __props.boxData1[2].islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", __props.boxData1[2].imgurl)}${ssrRenderAttr("alt", __props.boxData1[2].title)} data-v-aebae45b${_scopeId}><div data-v-aebae45b${_scopeId}><p data-v-aebae45b${_scopeId}>${ssrInterpolate(__props.boxData1[2].title)}</p></div>`);
              } else {
                return [
                  createVNode("img", {
                    src: __props.boxData1[2].imgurl,
                    alt: __props.boxData1[2].title
                  }, null, 8, ["src", "alt"]),
                  createVNode("div", null, [
                    createVNode("p", null, toDisplayString(__props.boxData1[2].title), 1)
                  ])
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(`</div><div class="boxBigImg" data-v-aebae45b>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(__props.boxData1[3]),
            title: __props.boxData1[3].title,
            target: __props.boxData1[3].islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", __props.boxData1[3].imgurl)}${ssrRenderAttr("alt", __props.boxData1[3].title)} data-v-aebae45b${_scopeId}><div data-v-aebae45b${_scopeId}><p data-v-aebae45b${_scopeId}>${ssrInterpolate(__props.boxData1[3].title)}</p></div>`);
              } else {
                return [
                  createVNode("img", {
                    src: __props.boxData1[3].imgurl,
                    alt: __props.boxData1[3].title
                  }, null, 8, ["src", "alt"]),
                  createVNode("div", null, [
                    createVNode("p", null, toDisplayString(__props.boxData1[3].title), 1)
                  ])
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(`</div></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="boxright" data-v-aebae45b><ul data-v-aebae45b><!--[-->`);
        ssrRenderList(__props.boxData2, (item) => {
          _push(`<li data-v-aebae45b>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<p class="title" data-v-aebae45b${_scopeId}>${ssrInterpolate(item.title)}</p>`);
              } else {
                return [
                  createVNode("p", { class: "title" }, toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul></div></div></div></div>`);
      } else {
        _push(`<!---->`);
      }
    };
  }
};
const _sfc_setup$2 = _sfc_main$2.setup;
_sfc_main$2.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/home/Slider.vue");
  return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : undefined;
};
const __nuxt_component_6 = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["__scopeId", "data-v-aebae45b"]]);
const _sfc_main$1 = {
  __name: "foot",
  __ssrInlineRender: true,
  setup(__props) {
    const bottomLink = ref([]);
    const bottomText = ref([]);
    const bottomphoto = ref([]);
    const bottomMenu = ref([]);
    const bottomBase = ref({});
    const qq1 = ref("");
    const qq2 = ref("");
    async function getModelDataAll() {
      const mkdata = await requestDataPromise("/web/getWebsiteFootAll", {
        method: "GET",
        query: {
          "link_textnum": 8,
          "link_imgnum": 12,
          "link_footnum": 4
        }
      });
      if (mkdata.code == 200) {
        bottomLink.value = mkdata.data.link_img;
        bottomText.value = mkdata.data.link_text;
        bottomphoto.value = mkdata.data.link_foot;
        bottomMenu.value = mkdata.data.foot_cate;
        bottomBase.value = mkdata.data.foot_info;
        qq1.value = bottomBase.value.customer_service_qq.match(/\d+/g);
        qq2.value = bottomBase.value.communications.match(/\d+/g);
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u83B7\u53D6\u53CB\u60C5\u94FE\u63A5\u56FE\u7247");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", mkdata.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    }
    getModelDataAll();
    return (_ctx, _push, _parent, _attrs) => {
      var _a, _b, _c, _d, _e, _f, _g, _h;
      const _component_NuxtLink = __nuxt_component_2$1;
      _push(`<footer${ssrRenderAttrs(mergeProps({ class: "index_foot" }, _attrs))} data-v-39e1648e><div class="foot_img_box" data-v-39e1648e><!--[-->`);
      ssrRenderList(unref(bottomLink), (item, index2) => {
        _push(`<a${ssrRenderAttr("href", item.url)}${ssrRenderAttr("title", item.title)} target="_blank" data-v-39e1648e><img${ssrRenderAttr("src", item.logo_url)}${ssrRenderAttr("alt", item.title)} data-v-39e1648e></a>`);
      });
      _push(`<!--]--></div><div class="foot_frind_box" data-v-39e1648e><span data-v-39e1648e>\u53CB\u60C5\u94FE\u63A5</span><div data-v-39e1648e><!--[-->`);
      ssrRenderList(unref(bottomText), (item, index2) => {
        _push(`<a${ssrRenderAttr("href", item.url)}${ssrRenderAttr("title", item.title)} target="_blank" data-v-39e1648e>${ssrInterpolate(item.title)}</a>`);
      });
      _push(`<!--]--></div></div><div class="call_us_box" data-v-39e1648e><!--[-->`);
      ssrRenderList(unref(bottomMenu), (item, index2) => {
        _push(`<span data-v-39e1648e>`);
        if (item.type == 1) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: { path: `/about/${item.name_pinyin}/list-1.html` },
            title: item.name
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.name)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.name), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        if (item.type == 0) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: { path: `/about/${item.name_pinyin}/index.html` },
            title: item.name
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.name)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.name), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`</span>`);
      });
      _push(`<!--]--></div>`);
      if (unref(bottomBase)) {
        _push(`<div class="foot_text_box" data-v-39e1648e><p class="foot_text_html_css" data-v-39e1648e>${(_a = unref(bottomBase).statement) != null ? _a : ""}</p><p class="foot_text_html_css" data-v-39e1648e>${(_b = unref(bottomBase).organizer) != null ? _b : ""}</p><p class="foot_text_html_css" data-v-39e1648e>${(_c = unref(bottomBase).copyright_information) != null ? _c : ""}</p><p data-v-39e1648e><span class="foot_text_html_css" data-v-39e1648e>${(_d = unref(bottomBase).icp_number) != null ? _d : ""}</span><span class="foot_text_html_css" data-v-39e1648e>${(_e = unref(bottomBase).record_number) != null ? _e : ""}</span></p><p class="foot_text_html_css" data-v-39e1648e>${(_f = unref(bottomBase).email) != null ? _f : ""}</p><p class="foot_text_html_css" data-v-39e1648e>${(_g = unref(bottomBase).company_address) != null ? _g : ""}</p><p class="foot_text_html_css" data-v-39e1648e>${(_h = unref(bottomBase).contact_number) != null ? _h : ""}</p></div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(bottomBase)) {
        _push(`<div class="foot_logo_out" data-v-39e1648e>`);
        if (unref(bottomBase).project_logo != "" && unref(bottomBase).project_url != "") {
          _push(`<a${ssrRenderAttr("href", "http://" + unref(bottomBase).project_url)}${ssrRenderAttr("title", unref(bottomBase).project_name)} data-v-39e1648e><img${ssrRenderAttr("src", unref(bottomBase).project_logo)} class="floatLogoRight"${ssrRenderAttr("alt", unref(bottomBase).project_name)} data-v-39e1648e></a>`);
        } else if (unref(bottomBase).project_logo != "" && unref(bottomBase).project_url == "") {
          _push(`<span data-v-39e1648e><img${ssrRenderAttr("src", unref(bottomBase).project_logo)} class="floatLogoRight"${ssrRenderAttr("alt", unref(bottomBase).project_name)} data-v-39e1648e></span>`);
        } else {
          _push(`<!---->`);
        }
        if (unref(bottomBase).company_logo != "" && unref(bottomBase).company_url != "") {
          _push(`<a${ssrRenderAttr("href", "http://" + unref(bottomBase).company_url)}${ssrRenderAttr("title", unref(bottomBase).company_name)} data-v-39e1648e><img${ssrRenderAttr("src", unref(bottomBase).company_logo)} class="floatLogoLeft"${ssrRenderAttr("alt", unref(bottomBase).company_name)} data-v-39e1648e></a>`);
        } else if (unref(bottomBase).company_logo != "" && unref(bottomBase).company_url == "") {
          _push(`<span data-v-39e1648e><img${ssrRenderAttr("src", unref(bottomBase).company_logo)} class="floatLogoLeft"${ssrRenderAttr("alt", unref(bottomBase).company_name)} data-v-39e1648e></span>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<div class="foot_last_img_box" data-v-39e1648e><!--[-->`);
      ssrRenderList(unref(bottomphoto), (item, index2) => {
        _push(`<a${ssrRenderAttr("href", item.url)}${ssrRenderAttr("title", item.title)} data-v-39e1648e><img${ssrRenderAttr("src", item.logo_url)}${ssrRenderAttr("alt", item.title)} data-v-39e1648e></a>`);
      });
      _push(`<!--]--></div><div class="kefu" data-v-39e1648e><div class="kefu_itemKf" data-v-39e1648e><a${ssrRenderAttr("href", unref(bottomBase).online_service)} target="_blank" data-v-39e1648e><img src="https://img.bjzxtw.org.cn/pre/public/image/online1.png" data-v-39e1648e><p data-v-39e1648e>\u5728\u7EBF\u5BA2\u670D</p></a></div><div class="kefu_itemQQ" data-v-39e1648e><img src="https://img.bjzxtw.org.cn/pre/public/image/qq1.png" data-v-39e1648e><p data-v-39e1648e>QQ\u5BA2\u670D</p><div class="kefu_item_content_QQ" data-v-39e1648e><div class="qqadd" data-v-39e1648e><img src="https://img.bjzxtw.org.cn/pre/public/index/tubiao1.png" width="100" data-v-39e1648e><div class="qqfs" data-v-39e1648e>${ssrInterpolate(unref(bottomBase).customer_service_qq)}</div></div><div class="qqadd" data-v-39e1648e><img src="https://img.bjzxtw.org.cn/pre/public/index/tubiao2.png" width="100" data-v-39e1648e><div class="qqfs" data-v-39e1648e>${ssrInterpolate(unref(bottomBase).communications)}</div></div><div class="arrow" data-v-39e1648e></div></div></div><div class="kefu_itemPhone" data-v-39e1648e><img src="https://img.bjzxtw.org.cn/pre/public/image/dianhua1.png" data-v-39e1648e><p data-v-39e1648e>\u7535\u8BDD\u5BA2\u670D</p><div class="kefu_item_content_phone" data-v-39e1648e><div class="kefu_item_content_phone_title" data-v-39e1648e>\u8054\u7CFB\u7535\u8BDD\uFF1A</div><div data-v-39e1648e>${ssrInterpolate(unref(bottomBase).customer_service)}</div><div class="arrow" data-v-39e1648e></div></div></div></div></footer>`);
    };
  }
};
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/home/foot.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : undefined;
};
const __nuxt_component_8 = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-39e1648e"]]);
const _imports_0 = "" + buildAssetsURL("sndc.C2AWBCR5.png");
const _sfc_main = {
  __name: "index",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    ref(false);
    const getLinkPath = (item) => {
      if (item.children_count == 0) {
        return `/${item.aLIas_pinyin}/list-1.html`;
      } else {
        return `/${item.aLIas_pinyin}/index.html`;
      }
    };
    const getLinkPathDetail = (item) => {
      if (item.islink == 1) {
        return `${item.linkurl}`;
      } else {
        return `/${item.pinyin}/${item.id}.html`;
      }
    };
    ref(1);
    const radio1 = ref("");
    const check1 = ref([]);
    const isDisabled = ref(false);
    const isRadio = ref(true);
    ref("");
    const userChoice = ref("");
    const userIsChoice = ref("");
    const showUserChoice = ref(false);
    const websiteSurveyData = ref([]);
    let voteList = ref([]);
    const handleRadioChange = (value) => {
      if (value == userIsChoice.value) {
        showUserChoice.value = true;
      } else {
        showUserChoice.value = false;
      }
    };
    const handleCheckboxChange = (value) => {
      if (value.includes(userIsChoice.value)) {
        showUserChoice.value = true;
      } else {
        showUserChoice.value = false;
      }
    };
    let adImg1 = ref({});
    let adImg2 = ref({});
    let adImg3 = ref({});
    let adImg4 = ref({});
    const pageData = ref([
      // { cid: "", title: "", data: [] ,children_count:""},
    ]);
    const boxData1 = ref([]);
    const boxData1data2 = ref([]);
    const boxData2 = ref([]);
    const boxData4 = ref([]);
    const boxData5 = ref([]);
    const boxData5data2 = ref([]);
    const boxData6 = ref([]);
    const boxData7 = ref([]);
    const boxData8 = ref([]);
    const boxData88 = ref([]);
    const tabsData1 = ref(1);
    const boxData9 = ref([]);
    const boxData9data2 = ref([]);
    const boxData10 = ref([]);
    const boxData10data2 = ref([]);
    const boxData11 = ref([]);
    const boxData11data2 = ref([]);
    const tabsData2 = ref(1);
    const boxData12 = ref([]);
    const boxData13 = ref([]);
    const tabsData3 = ref(1);
    const boxData14 = ref([]);
    const boxData14data2 = ref([]);
    const boxData14menu = ref([]);
    const boxData14childpinyin = ref([]);
    const boxData14mainData = ref([]);
    const boxData15 = ref([]);
    const boxData15data2 = ref([]);
    const boxData15menu = ref([]);
    const boxData15childpinyin = ref([]);
    const boxData15mainData = ref([]);
    const tabsData4 = ref(1);
    const boxData16 = ref([]);
    const boxData16data2 = ref([]);
    const boxData16menu = ref([]);
    const boxData16childpinyin = ref([]);
    const boxData16mainData = ref([]);
    const boxData17 = ref({});
    try {
      const navigateData = ([__temp, __restore] = withAsyncContext(() => requestDataPromise("/web/getWebsiteModelCategory", {
        method: "GET",
        query: {
          "placeid": 1,
          "pid": 0,
          "num": 30
        }
      })), __temp = await __temp, __restore(), __temp);
      if (navigateData.code == 200) {
        for (let index2 in navigateData.data) {
          let data = {
            title: navigateData.data[index2].name,
            cid: navigateData.data[index2].category_id,
            children_count: navigateData.data[index2].children_count,
            alias: navigateData.data[index2].alias,
            aLIas_pinyin: navigateData.data[index2].aLIas_pinyin
          };
          if (navigateData.data[index2].category_id == 11) {
            pageData.value[0] = data;
          }
          if (navigateData.data[index2].category_id == 317) {
            pageData.value[1] = data;
          }
          if (navigateData.data[index2].category_id == 1) {
            pageData.value[2] = data;
          }
          if (navigateData.data[index2].category_id == 2) {
            pageData.value[3] = data;
          }
          if (navigateData.data[index2].category_id == 5) {
            pageData.value[4] = data;
          }
          if (navigateData.data[index2].category_id == 12) {
            pageData.value[5] = data;
          }
          if (navigateData.data[index2].category_id == 13) {
            pageData.value[6] = data;
          }
          if (navigateData.data[index2].category_id == 24) {
            pageData.value[7] = data;
          }
          if (navigateData.data[index2].category_id == 14) {
            pageData.value[8] = data;
          }
          if (navigateData.data[index2].category_id == 15) {
            pageData.value[9] = data;
          }
          if (navigateData.data[index2].category_id == 27) {
            pageData.value[10] = data;
          }
          if (navigateData.data[index2].category_id == 16) {
            pageData.value[11] = data;
          }
          if (navigateData.data[index2].category_id == 18) {
            pageData.value[12] = data;
          }
          if (navigateData.data[index2].category_id == 21) {
            pageData.value[13] = data;
          }
          if (navigateData.data[index2].category_id == 153) {
            pageData.value[14] = data;
          }
          if (navigateData.data[index2].category_id == 26) {
            pageData.value[15] = data;
          }
        }
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u9996\u9875\u5BFC\u822A\u6C60");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", navigateData.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    } catch (error) {
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u9996\u9875\u5BFC\u822A\u6E32\u67D3\u9636\u6BB5");
      console.log("\u9519\u8BEF\uFF1A\u5BFC\u822A\u6C60\u6E32\u67D3\u6267\u884C\u63A5\u53E3\u51FA\u9519\uFF01\u8BF7\u68C0\u67E5\u9996\u9875\u768414\u7684\u6A21\u5757\u7684\u5177\u4F53\u6267\u884C\u65B9\u6CD5\uFF01");
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
    }
    let getJson = [
      { "parent": "11,2,8", "child": "" },
      //模块1新农村 
      { "parent": "317,0,8", "child": "" },
      //模块2农民工 
      { "parent": "2,0,5", "child": "" },
      //模块4三农之窗
      { "parent": "5,1,1", "child": "" },
      //模块5区域经济
      { "parent": "12,0,3", "child": "" },
      //模块6三农投资 
      { "parent": "13,0,4", "child": "" },
      //模块7农贸信息 
      { "parent": "24,2,7", "child": "" },
      //模块8书刊信息
      { "parent": "14,2,8", "child": "" },
      //模块9三农科教 
      { "parent": "15,2,8", "child": "" },
      //模块10文化生活
      { "parent": "27,2,4", "child": "" },
      //模块11三农服务27
      { "parent": "16,0,14", "child": "" },
      //模块12三农探索16
      { "parent": "18,0,14", "child": "" },
      //模块13三农人物18
      { "parent": "21,2,8", "child": "189,0,5" },
      //模块14农资购销
      { "parent": "153,2,8", "child": "258,0,5" },
      //模块15农产购销
      { "parent": "26,4,8", "child": "191,0,5" },
      //模块16打假维权
      { "parent": "1,4,8", "child": "" }
      //模块3政策法规
    ];
    let jsonString = JSON.stringify(getJson);
    async function getPageAllData() {
      const mkdata = await requestDataPromise("/web/getWebsiteAllArticle", {
        method: "GET",
        query: {
          "id": jsonString
        }
      });
      if (mkdata.code == 200) {
        boxData1.value = mkdata.data[0].imgnum;
        boxData1data2.value = mkdata.data[0].textnum;
        boxData2.value = mkdata.data[1].textnum;
        boxData4.value = mkdata.data[2].textnum;
        boxData5.value = mkdata.data[3].imgnum;
        boxData5data2.value = mkdata.data[3].textnum;
        boxData6.value = mkdata.data[4].textnum;
        boxData7.value = mkdata.data[5].textnum;
        boxData8.value = mkdata.data[6].imgnum;
        boxData88.value = mkdata.data[6].textnum;
        boxData9.value = mkdata.data[7].imgnum;
        boxData9data2.value = mkdata.data[7].textnum;
        boxData10.value = mkdata.data[8].imgnum;
        boxData10data2.value = mkdata.data[8].textnum;
        boxData11.value = mkdata.data[9].imgnum;
        boxData11data2.value = mkdata.data[9].textnum;
        boxData12.value = mkdata.data[10].textnum;
        boxData13.value = mkdata.data[11].textnum;
        boxData14.value = mkdata.data[12].imgnum;
        boxData14data2.value = mkdata.data[12].textnum;
        boxData14menu.value = mkdata.data[12].child.all_childcat;
        boxData14childpinyin.value = mkdata.data[12].child.pinyin;
        boxData14mainData.value = mkdata.data[12].child.textnum;
        boxData15.value = mkdata.data[13].imgnum;
        boxData15data2.value = mkdata.data[13].textnum;
        boxData15menu.value = mkdata.data[13].child.all_childcat;
        boxData15childpinyin.value = mkdata.data[13].child.pinyin;
        boxData15mainData.value = mkdata.data[13].child.textnum;
        boxData16.value = mkdata.data[14].imgnum;
        boxData16data2.value = mkdata.data[14].textnum;
        boxData16menu.value = mkdata.data[14].child.all_childcat;
        boxData16childpinyin.value = mkdata.data[14].child.pinyin;
        boxData16mainData.value = mkdata.data[14].child.textnum;
        boxData17.value = mkdata.data[15];
      } else {
        ElMessage.error(mkdata.message);
      }
    }
    getPageAllData();
    const setData = ([__temp, __restore] = withAsyncContext(() => requestDataPromise("/web/getWebsiteFootInfo", {
      method: "GET",
      query: {}
    })), __temp = await __temp, __restore(), __temp);
    if (setData.code == 200) {
      let seoTitle = setData.data.website_head.title;
      let seoDescription = setData.data.website_head.description;
      let seoKeywords = setData.data.website_head.keywords;
      let seoSuffix = setData.data.website_head.suffix;
      let seoName = setData.data.website_head.website_name;
      useSeoMeta({
        title: seoTitle + "_" + seoSuffix,
        meta: [
          { name: "description", content: seoDescription + "_" + seoName + "_" + seoSuffix, tagPriority: 10 },
          { name: "keywords", content: seoKeywords + "_" + seoName + "_" + seoSuffix, tagPriority: 10 }
        ]
      });
    } else {
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u8BBE\u7F6E\u9996\u9875SEO\u6570\u636E");
      console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", setData.message);
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
    }
    return (_ctx, _push, _parent, _attrs) => {
      const _component_HomePageHead = __nuxt_component_0$1;
      const _component_HomePageNavigation = __nuxt_component_1$1;
      const _component_HomePageMessage = __nuxt_component_2;
      const _component_HomeAdvertising = _sfc_main$4;
      const _component_HomeMoreService = _sfc_main$3;
      const _component_NuxtLink = __nuxt_component_2$1;
      const _component_HomeSlider = __nuxt_component_6;
      const _component_HomeTopTen = _sfc_main$8;
      const _component_HomeFoot = __nuxt_component_8;
      _push(`<div${ssrRenderAttrs(_attrs)} data-v-d81775c4>`);
      _push(ssrRenderComponent(_component_HomePageHead, null, null, _parent));
      _push(ssrRenderComponent(_component_HomePageNavigation, null, null, _parent));
      _push(ssrRenderComponent(_component_HomePageMessage, null, null, _parent));
      _push(ssrRenderComponent(_component_HomeAdvertising, { imgurl: unref(adImg1) }, null, _parent));
      _push(ssrRenderComponent(_component_HomeMoreService, null, null, _parent));
      _push(`<div class="farming" data-v-d81775c4><div class="inner" data-v-d81775c4>`);
      if (pageData.value.length >= 1) {
        _push(`<div class="farmerLeft" data-v-d81775c4><div class="farmer" data-v-d81775c4>`);
        if (pageData.value[0].cid) {
          _push(`<h3 data-v-d81775c4>`);
          if (pageData.value[0].cid) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              class: "active",
              href: getLinkPath(pageData.value[0]),
              title: pageData.value[0].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[0].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[0].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          if (pageData.value[0].cid) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[0]),
              title: pageData.value[0].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(` \u67E5\u770B\u66F4\u591A `);
                } else {
                  return [
                    createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</h3>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<ul class="mode1ul_style1" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData1.value, (item, index2) => {
          _push(`<li class="imgbg" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", item.imgurl)}${ssrRenderAttr("alt", item.title)} data-v-d81775c4${_scopeId}><div data-v-d81775c4${_scopeId}><p data-v-d81775c4${_scopeId}>`);
                if (index2 == 0) {
                  _push2(`<span data-v-d81775c4${_scopeId}>\u4E13\u9898</span>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(` ${ssrInterpolate(item.title)}</p></div>`);
              } else {
                return [
                  createVNode("img", {
                    src: item.imgurl,
                    alt: item.title
                  }, null, 8, ["src", "alt"]),
                  createVNode("div", null, [
                    createVNode("p", null, [
                      index2 == 0 ? (openBlock(), createBlock("span", { key: 0 }, "\u4E13\u9898")) : createCommentVNode("", true),
                      createTextVNode(" " + toDisplayString(item.title), 1)
                    ])
                  ])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul><ul class="mode1ul_style2" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData1data2.value, (item) => {
          _push(`<li data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<p class="title" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</p>`);
              } else {
                return [
                  createVNode("p", { class: "title" }, toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul></div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (pageData.value.length >= 2) {
        _push(`<div class="farmerRight" data-v-d81775c4><div class="rich" data-v-d81775c4>`);
        if (pageData.value[1].cid) {
          _push(`<h3 data-v-d81775c4>`);
          if (pageData.value[1].cid) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[1]),
              class: "active",
              title: pageData.value[1].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[1].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[1].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          if (pageData.value[1].cid) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[1]),
              title: pageData.value[1].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(` \u67E5\u770B\u66F4\u591A `);
                } else {
                  return [
                    createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</h3>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<ul data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData2.value, (item, index2) => {
          _push(`<li data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<div class="index" data-v-d81775c4${_scopeId}>${ssrInterpolate(index2 + 1)}</div><div class="title" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</div>`);
              } else {
                return [
                  createVNode("div", { class: "index" }, toDisplayString(index2 + 1), 1),
                  createVNode("div", { class: "title" }, toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul></div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div><div class="scienceEducation" data-v-d81775c4><div class="inner" data-v-d81775c4>`);
      if (pageData.value.length >= 3) {
        _push(`<div class="scienceLeft" data-v-d81775c4>`);
        _push(ssrRenderComponent(_component_HomeSlider, {
          message: pageData.value[2],
          boxData1: boxData17.value.imgnum,
          boxData2: boxData17.value.textnum
        }, null, _parent));
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      if (pageData.value.length >= 4) {
        _push(`<div class="scienceRight" data-v-d81775c4>`);
        if (unref(adImg2)) {
          _push(`<div class="adBox1" data-v-d81775c4>`);
          if (unref(adImg2).image_url == null) {
            _push(`<a href="http://nzgxw.org.cn/" target="_blank"${ssrRenderAttr("title", unref(adImg2).introduce)} data-tag="adImg2.ad_tag" data-v-d81775c4><img${ssrRenderAttr("src", unref(adImg2).thumb)}${ssrRenderAttr("alt", unref(adImg2).introduce)}${ssrRenderAttr("id", unref(adImg2).ad_tag)} data-v-d81775c4></a>`);
          } else {
            _push(`<a${ssrRenderAttr("href", unref(adImg2).image_url)}${ssrRenderAttr("title", unref(adImg2).introduce)} data-tag="adImg2.ad_tag" data-v-d81775c4><img${ssrRenderAttr("src", unref(adImg2).image_src)}${ssrRenderAttr("alt", unref(adImg2).introduce)}${ssrRenderAttr("id", unref(adImg2).ad_tag)} data-v-d81775c4></a>`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        if (pageData.value[3].cid) {
          _push(`<h3 data-v-d81775c4><span data-v-d81775c4>`);
          if (pageData.value[3].cid) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[3]),
              class: "active",
              title: pageData.value[3].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[3].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[3].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</span>`);
          if (pageData.value[3].cid) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[3]),
              title: pageData.value[3].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(` \u67E5\u770B\u66F4\u591A `);
                } else {
                  return [
                    createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</h3>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="banner_b_img" data-v-d81775c4><ul data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData4.value, (item) => {
          _push(`<li data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<p class="title" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</p>`);
              } else {
                return [
                  createVNode("p", { class: "title" }, toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul></div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div>`);
      if (unref(adImg3)) {
        _push(ssrRenderComponent(_component_HomeTopTen, { imgurl: unref(adImg3) }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`<div class="layoutCopy" data-v-d81775c4><div class="layoutCopyLeft" data-v-d81775c4><div class="layoutCopyLeftTop" data-v-d81775c4>`);
      if (pageData.value.length >= 5) {
        _push(`<div class="layoutCopyLeft1" data-v-d81775c4>`);
        if (pageData.value[4]) {
          _push(`<div class="layoutTitleBox" data-v-d81775c4>`);
          if (pageData.value[4].cid) {
            _push(`<div class="layoutTitle" data-v-d81775c4>`);
            if (pageData.value[4].cid) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                href: getLinkPath(pageData.value[4]),
                class: "active",
                title: pageData.value[4].alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(pageData.value[4].alias)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(pageData.value[4].alias), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</div>`);
          } else {
            _push(`<!---->`);
          }
          if (pageData.value[4].cid) {
            _push(`<div class="layoutMore" data-v-d81775c4>`);
            if (pageData.value[4].cid) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                href: getLinkPath(pageData.value[4]),
                title: pageData.value[4].alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(` \u67E5\u770B\u66F4\u591A `);
                  } else {
                    return [
                      createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        if (boxData5.value[0]) {
          _push(`<div class="layoutCopyData_style1" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(boxData5.value[0]),
            title: boxData5.value[0].title,
            target: boxData5.value[0].islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", boxData5.value[0].imgurl)}${ssrRenderAttr("alt", boxData5.value[0].title)} data-v-d81775c4${_scopeId}><div data-v-d81775c4${_scopeId}><span data-v-d81775c4${_scopeId}>${ssrInterpolate(boxData5.value[0].title)}</span></div>`);
              } else {
                return [
                  createVNode("img", {
                    src: boxData5.value[0].imgurl,
                    alt: boxData5.value[0].title
                  }, null, 8, ["src", "alt"]),
                  createVNode("div", null, [
                    createVNode("span", null, toDisplayString(boxData5.value[0].title), 1)
                  ])
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(boxData5data2.value[0]),
            title: boxData5data2.value[0],
            target: boxData5data2.value[0].islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<p class="title" data-v-d81775c4${_scopeId}>${ssrInterpolate(boxData5data2.value[0].title)}</p><p data-v-d81775c4${_scopeId}>\xA0</p>`);
              } else {
                return [
                  createVNode("p", { class: "title" }, toDisplayString(boxData5data2.value[0].title), 1),
                  createVNode("p", null, "\xA0")
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      if (pageData.value.length >= 6) {
        _push(`<div class="layoutCopyLeft2" data-v-d81775c4>`);
        if (pageData.value[5]) {
          _push(`<div class="layoutTitleBox" data-v-d81775c4>`);
          if (pageData.value[5].cid) {
            _push(`<div class="layoutTitle" data-v-d81775c4>`);
            if (pageData.value[5].cid) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                href: getLinkPath(pageData.value[5]),
                class: "active",
                title: pageData.value[5].alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(pageData.value[5].alias)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(pageData.value[5].alias), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</div>`);
          } else {
            _push(`<!---->`);
          }
          if (pageData.value[5].cid) {
            _push(`<div class="layoutMore" data-v-d81775c4>`);
            if (pageData.value[5].cid) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                href: getLinkPath(pageData.value[5]),
                title: pageData.value[5].alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(` \u67E5\u770B\u66F4\u591A `);
                  } else {
                    return [
                      createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="layoutCopyData_style2" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData6.value, (item) => {
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<p class="title" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</p>`);
              } else {
                return [
                  createVNode("p", { class: "title" }, toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        });
        _push(`<!--]--></div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
      if (pageData.value.length >= 7) {
        _push(`<div class="layoutCopyLeftBottom" data-v-d81775c4>`);
        if (pageData.value[6]) {
          _push(`<div class="layoutTitleBox" data-v-d81775c4>`);
          if (pageData.value[6].cid) {
            _push(`<div class="layoutTitle" data-v-d81775c4>`);
            if (pageData.value[6].cid) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                href: getLinkPath(pageData.value[6]),
                class: "active",
                title: pageData.value[6].alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(pageData.value[6].alias)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(pageData.value[6].alias), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</div>`);
          } else {
            _push(`<!---->`);
          }
          if (pageData.value[6].cid) {
            _push(`<div class="layoutMore" data-v-d81775c4>`);
            if (pageData.value[6].cid) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                href: getLinkPath(pageData.value[6]),
                title: pageData.value[6].alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(` \u67E5\u770B\u66F4\u591A `);
                  } else {
                    return [
                      createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="layoutCopyData_style3" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData7.value, (item, index2) => {
          _push(`<div data-v-d81775c4>`);
          if (index2 == 0) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title,
              class: "style3link1",
              target: item.islink == 1 ? "_blank" : "_self"
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<div class="time" data-v-d81775c4${_scopeId}><p data-v-d81775c4${_scopeId}>${ssrInterpolate(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "day", 1))}</p><p data-v-d81775c4${_scopeId}>${ssrInterpolate(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "month", 1))}</p></div><div data-v-d81775c4${_scopeId}><p class="title" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</p><p class="introduce" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.introduce)}</p></div>`);
                } else {
                  return [
                    createVNode("div", { class: "time" }, [
                      createVNode("p", null, toDisplayString(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "day", 1)), 1),
                      createVNode("p", null, toDisplayString(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "month", 1)), 1)
                    ]),
                    createVNode("div", null, [
                      createVNode("p", { class: "title" }, toDisplayString(item.title), 1),
                      createVNode("p", { class: "introduce" }, toDisplayString(item.introduce), 1)
                    ])
                  ];
                }
              }),
              _: 2
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          if (index2 > 0) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title,
              class: "style3link2",
              target: item.islink == 1 ? "_blank" : "_self"
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<div data-v-d81775c4${_scopeId}><b data-v-d81775c4${_scopeId}></b><p class="title" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</p></div><p data-v-d81775c4${_scopeId}>\xA0</p>`);
                } else {
                  return [
                    createVNode("div", null, [
                      createVNode("b"),
                      createVNode("p", { class: "title" }, toDisplayString(item.title), 1)
                    ]),
                    createVNode("p", null, "\xA0")
                  ];
                }
              }),
              _: 2
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        });
        _push(`<!--]--></div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
      if (pageData.value.length >= 8) {
        _push(`<div class="layoutCopyRight" data-v-d81775c4>`);
        if (pageData.value[7]) {
          _push(`<div class="layoutTitleBox" data-v-d81775c4>`);
          if (pageData.value[7].cid) {
            _push(`<div class="layoutTitle" data-v-d81775c4>`);
            if (pageData.value[7].cid) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                href: getLinkPath(pageData.value[7]),
                class: "active",
                title: pageData.value[7].alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(pageData.value[7].alias)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(pageData.value[7].alias), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</div>`);
          } else {
            _push(`<!---->`);
          }
          if (pageData.value[7].cid) {
            _push(`<div class="layoutMore" data-v-d81775c4>`);
            if (pageData.value[7].cid) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                href: getLinkPath(pageData.value[7]),
                title: pageData.value[7].alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(` \u67E5\u770B\u66F4\u591A `);
                  } else {
                    return [
                      createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="layoutCopyData_style4" data-v-d81775c4><div class="layoutCopyData_pic" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData8.value, (item) => {
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", item.imgurl)}${ssrRenderAttr("alt", item.title)} data-v-d81775c4${_scopeId}><p data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</p>`);
              } else {
                return [
                  createVNode("img", {
                    src: item.imgurl,
                    alt: item.title
                  }, null, 8, ["src", "alt"]),
                  createVNode("p", null, toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        });
        _push(`<!--]--></div><div class="layoutCopyData_text" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData88.value, (item) => {
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<div class="title" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</div><div class="more" data-v-d81775c4${_scopeId}>\u8BE6</div>`);
              } else {
                return [
                  createVNode("div", { class: "title" }, toDisplayString(item.title), 1),
                  createVNode("div", { class: "more" }, "\u8BE6")
                ];
              }
            }),
            _: 2
          }, _parent));
        });
        _push(`<!--]--></div></div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="farming" data-v-d81775c4><div class="inner" data-v-d81775c4><div class="farmerLeft" data-v-d81775c4><div class="farmer" data-v-d81775c4><h3 data-v-d81775c4>`);
      if (pageData.value.length >= 9) {
        _push(`<div class="titleBoxTabs" data-v-d81775c4>`);
        if (pageData.value[8].cid) {
          _push(`<span class="active" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPath(pageData.value[8]),
            title: pageData.value[8].alias,
            onMouseenter: ($event) => tabsData1.value = 1,
            class: { active: tabsData1.value == 1 }
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(pageData.value[8].alias)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(pageData.value[8].alias), 1)
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(`</span>`);
        } else {
          _push(`<!---->`);
        }
        if (pageData.value[9].cid) {
          _push(`<span data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPath(pageData.value[9]),
            title: pageData.value[9].alias,
            onMouseenter: ($event) => tabsData1.value = 2,
            class: { active: tabsData1.value == 2 }
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(pageData.value[9].alias)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(pageData.value[9].alias), 1)
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(`</span>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</h3>`);
      if (tabsData1.value == 1) {
        _push(`<ul class="mode1ul_style1" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData9.value, (item, index2) => {
          _push(`<li class="imgbg" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", item.imgurl)}${ssrRenderAttr("alt", item.title)} data-v-d81775c4${_scopeId}><div data-v-d81775c4${_scopeId}><p data-v-d81775c4${_scopeId}>`);
                if (index2 == 0) {
                  _push2(`<span data-v-d81775c4${_scopeId}>\u4E13\u9898</span>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(` ${ssrInterpolate(item.title)}</p><p data-v-d81775c4${_scopeId}>\xA0</p></div>`);
              } else {
                return [
                  createVNode("img", {
                    src: item.imgurl,
                    alt: item.title
                  }, null, 8, ["src", "alt"]),
                  createVNode("div", null, [
                    createVNode("p", null, [
                      index2 == 0 ? (openBlock(), createBlock("span", { key: 0 }, "\u4E13\u9898")) : createCommentVNode("", true),
                      createTextVNode(" " + toDisplayString(item.title), 1)
                    ]),
                    createVNode("p", null, "\xA0")
                  ])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul>`);
      } else {
        _push(`<!---->`);
      }
      if (tabsData1.value == 1) {
        _push(`<ul class="mode1ul_style2" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData9data2.value, (item) => {
          _push(`<li data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<p class="title" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</p><p data-v-d81775c4${_scopeId}>\xA0</p>`);
              } else {
                return [
                  createVNode("p", { class: "title" }, toDisplayString(item.title), 1),
                  createVNode("p", null, "\xA0")
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul>`);
      } else {
        _push(`<!---->`);
      }
      if (tabsData1.value == 2) {
        _push(`<ul class="mode1ul_style1" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData10.value, (item, index2) => {
          _push(`<li class="imgbg" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", item.imgurl)}${ssrRenderAttr("alt", item.title)} data-v-d81775c4${_scopeId}><div data-v-d81775c4${_scopeId}><p data-v-d81775c4${_scopeId}>`);
                if (index2 == 0) {
                  _push2(`<span data-v-d81775c4${_scopeId}>\u4E13\u9898</span>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(` ${ssrInterpolate(item.title)}</p><p data-v-d81775c4${_scopeId}>\xA0</p></div>`);
              } else {
                return [
                  createVNode("img", {
                    src: item.imgurl,
                    alt: item.title
                  }, null, 8, ["src", "alt"]),
                  createVNode("div", null, [
                    createVNode("p", null, [
                      index2 == 0 ? (openBlock(), createBlock("span", { key: 0 }, "\u4E13\u9898")) : createCommentVNode("", true),
                      createTextVNode(" " + toDisplayString(item.title), 1)
                    ]),
                    createVNode("p", null, "\xA0")
                  ])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul>`);
      } else {
        _push(`<!---->`);
      }
      if (tabsData1.value == 2) {
        _push(`<ul class="mode1ul_style2" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData10data2.value, (item) => {
          _push(`<li data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<p class="title" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</p><p data-v-d81775c4${_scopeId}>\xA0</p>`);
              } else {
                return [
                  createVNode("p", { class: "title" }, toDisplayString(item.title), 1),
                  createVNode("p", null, "\xA0")
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div><div class="farmerRight" data-v-d81775c4>`);
      if (pageData.value.length >= 11) {
        _push(`<div class="rich" data-v-d81775c4>`);
        if (pageData.value[10]) {
          _push(`<h3 data-v-d81775c4>`);
          if (pageData.value[10].cid) {
            _push(`<span data-v-d81775c4>`);
            if (pageData.value[10].cid) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                href: getLinkPath(pageData.value[10]),
                class: "active",
                title: pageData.value[10].alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(pageData.value[10].alias)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(pageData.value[10].alias), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</span>`);
          } else {
            _push(`<!---->`);
          }
          if (pageData.value[10].cid) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[10]),
              title: pageData.value[10].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(` \u67E5\u770B\u66F4\u591A `);
                } else {
                  return [
                    createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</h3>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="richList" data-v-d81775c4>`);
        if (boxData11.value[0]) {
          _push(`<div class="richListPic" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(boxData11.value[0]),
            title: boxData11.value[0].title,
            target: boxData11.value[0].islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", boxData11.value[0].imgurl)}${ssrRenderAttr("alt", boxData11.value[0].title)} data-v-d81775c4${_scopeId}><div data-v-d81775c4${_scopeId}><span data-v-d81775c4${_scopeId}>${ssrInterpolate(boxData11.value[0].title)}</span></div>`);
              } else {
                return [
                  createVNode("img", {
                    src: boxData11.value[0].imgurl,
                    alt: boxData11.value[0].title
                  }, null, 8, ["src", "alt"]),
                  createVNode("div", null, [
                    createVNode("span", null, toDisplayString(boxData11.value[0].title), 1)
                  ])
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        if (boxData11data2.value[0]) {
          _push(`<div class="richListText" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(boxData11data2.value[0]),
            title: boxData11data2.value[0].title,
            target: boxData11data2.value[0].islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<span data-v-d81775c4${_scopeId}>${ssrInterpolate(boxData11data2.value[0].title)}</span>`);
              } else {
                return [
                  createVNode("span", null, toDisplayString(boxData11data2.value[0].title), 1)
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        if (boxData11data2.value[1]) {
          _push(`<div class="richListText" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(boxData11data2.value[1]),
            title: boxData11data2.value[1].title,
            target: boxData11data2.value[1].islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<span data-v-d81775c4${_scopeId}>${ssrInterpolate(boxData11data2.value[1].title)}</span>`);
              } else {
                return [
                  createVNode("span", null, toDisplayString(boxData11data2.value[1].title), 1)
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        if (boxData11.value[1]) {
          _push(`<div class="richListPictow" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(boxData11.value[1]),
            title: boxData11.value[1].title,
            target: boxData11.value[1].islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", boxData11.value[1].imgurl)}${ssrRenderAttr("alt", boxData11.value[1].title)} data-v-d81775c4${_scopeId}><div data-v-d81775c4${_scopeId}><span data-v-d81775c4${_scopeId}>${ssrInterpolate(boxData11.value[1].title)}</span></div>`);
              } else {
                return [
                  createVNode("img", {
                    src: boxData11.value[1].imgurl,
                    alt: boxData11.value[1].title
                  }, null, 8, ["src", "alt"]),
                  createVNode("div", null, [
                    createVNode("span", null, toDisplayString(boxData11.value[1].title), 1)
                  ])
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        if (boxData11data2.value[2]) {
          _push(`<div class="richListText" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(boxData11data2.value[2]),
            title: boxData11data2.value[2].title,
            target: boxData11data2.value[2].islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<span data-v-d81775c4${_scopeId}>${ssrInterpolate(boxData11data2.value[2].title)}</span>`);
              } else {
                return [
                  createVNode("span", null, toDisplayString(boxData11data2.value[2].title), 1)
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        if (boxData11data2.value[3]) {
          _push(`<div class="richListText" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(boxData11data2.value[3]),
            title: boxData11data2.value[3].title,
            target: boxData11data2.value[3].islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<span data-v-d81775c4${_scopeId}>${ssrInterpolate(boxData11data2.value[3].title)}</span>`);
              } else {
                return [
                  createVNode("span", null, toDisplayString(boxData11data2.value[3].title), 1)
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></div><section class="index_3 clearfix" data-v-d81775c4><div class="index_3_box_left" data-v-d81775c4><div class="index_2_head_box clearfix" data-v-d81775c4>`);
      if (pageData.value.length >= 12) {
        _push(`<div class="index_1_head_box index_1_head_box_2 clearfix" data-v-d81775c4>`);
        if (pageData.value[11].cid) {
          _push(`<div class="index_1_head index_1_head_only" data-v-d81775c4>`);
          if (pageData.value[11].cid) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[11]),
              onMouseenter: ($event) => tabsData2.value = 1,
              class: { active: tabsData2.value == 1 },
              title: pageData.value[11].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[11].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[11].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        if (pageData.value[12].cid) {
          _push(`<div class="index_1_head" data-v-d81775c4>`);
          if (pageData.value[12].cid) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[12]),
              onMouseenter: ($event) => tabsData2.value = 2,
              class: { active: tabsData2.value == 2 },
              title: pageData.value[12].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[12].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[12].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
      if (tabsData2.value == 1) {
        _push(`<div class="index_3_ul clearfix" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData12.value, (item, index2) => {
          _push(`<div class="${ssrRenderClass(["index_3_li", index2 < 2 ? "index_3_li_color" : ""])}" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<p class="title" data-v-d81775c4${_scopeId}><b class="${ssrRenderClass(["lis", index2 < 2 ? "active" : ""])}" data-v-d81775c4${_scopeId}></b> ${ssrInterpolate(item.title)}</p>`);
              } else {
                return [
                  createVNode("p", { class: "title" }, [
                    createVNode("b", {
                      class: ["lis", index2 < 2 ? "active" : ""]
                    }, null, 2),
                    createTextVNode(" " + toDisplayString(item.title), 1)
                  ])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</div>`);
        });
        _push(`<!--]--></div>`);
      } else {
        _push(`<!---->`);
      }
      if (tabsData2.value == 2) {
        _push(`<div class="index_3_ul clearfix" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData13.value, (item, index2) => {
          _push(`<div class="${ssrRenderClass(["index_3_li", index2 < 2 ? "index_3_li_color" : ""])}" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<p class="title" data-v-d81775c4${_scopeId}><b class="${ssrRenderClass(["lis", index2 < 2 ? "active" : ""])}" data-v-d81775c4${_scopeId}></b> ${ssrInterpolate(item.title)}</p>`);
              } else {
                return [
                  createVNode("p", { class: "title" }, [
                    createVNode("b", {
                      class: ["lis", index2 < 2 ? "active" : ""]
                    }, null, 2),
                    createTextVNode(" " + toDisplayString(item.title), 1)
                  ])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</div>`);
        });
        _push(`<!--]--></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="index_1_box_right" data-v-d81775c4><img${ssrRenderAttr("src", _imports_0)} alt="\u4E09\u519C\u8C03\u67E5" data-v-d81775c4><div class="index_3_box_vote" data-v-d81775c4>`);
      if (unref(voteList).length > 0) {
        _push(`<div class="inquire" data-v-d81775c4>`);
        if (unref(voteList).length > 0) {
          _push(`<p data-v-d81775c4>${ssrInterpolate(unref(voteList)[0].survey_name)}</p>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="radioBox" data-v-d81775c4>`);
        if (!isDisabled.value) {
          _push(`<div data-v-d81775c4>`);
          if (isRadio.value) {
            _push(`<div class="radio" data-v-d81775c4>`);
            _push(ssrRenderComponent(unref(ElRadioGroup), {
              modelValue: radio1.value,
              "onUpdate:modelValue": ($event) => radio1.value = $event,
              onChange: handleRadioChange
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<!--[-->`);
                  ssrRenderList(unref(voteList), (item) => {
                    _push2(ssrRenderComponent(unref(ElRadio), {
                      key: item.id,
                      value: item.id,
                      size: "large"
                    }, {
                      default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                        if (_push3) {
                          if (item.is_other == 0) {
                            _push3(`<span data-v-d81775c4${_scopeId2}>${ssrInterpolate(item.choice_name)}</span>`);
                          } else {
                            _push3(`<span data-v-d81775c4${_scopeId2}>\u5176\u4ED6</span>`);
                          }
                        } else {
                          return [
                            item.is_other == 0 ? (openBlock(), createBlock("span", { key: 0 }, toDisplayString(item.choice_name), 1)) : (openBlock(), createBlock("span", { key: 1 }, "\u5176\u4ED6"))
                          ];
                        }
                      }),
                      _: 2
                    }, _parent2, _scopeId));
                  });
                  _push2(`<!--]-->`);
                } else {
                  return [
                    (openBlock(true), createBlock(Fragment, null, renderList(unref(voteList), (item) => {
                      return openBlock(), createBlock(unref(ElRadio), {
                        key: item.id,
                        value: item.id,
                        size: "large"
                      }, {
                        default: withCtx(() => [
                          item.is_other == 0 ? (openBlock(), createBlock("span", { key: 0 }, toDisplayString(item.choice_name), 1)) : (openBlock(), createBlock("span", { key: 1 }, "\u5176\u4ED6"))
                        ]),
                        _: 2
                      }, 1032, ["value"]);
                    }), 128))
                  ];
                }
              }),
              _: 1
            }, _parent));
            if (showUserChoice.value) {
              _push(ssrRenderComponent(unref(ElInput), {
                modelValue: userChoice.value,
                "onUpdate:modelValue": ($event) => userChoice.value = $event,
                rows: 2,
                type: "textarea",
                resize: "none",
                placeholder: "\u8BF7\u8F93\u5165.."
              }, null, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</div>`);
          } else {
            _push(`<div class="checkInputBox" data-v-d81775c4>`);
            _push(ssrRenderComponent(unref(ElCheckboxGroup), {
              modelValue: check1.value,
              "onUpdate:modelValue": ($event) => check1.value = $event,
              onChange: handleCheckboxChange
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<!--[-->`);
                  ssrRenderList(unref(voteList), (item) => {
                    _push2(`<span data-v-d81775c4${_scopeId}>`);
                    if (item.is_other == 0) {
                      _push2(`<span data-v-d81775c4${_scopeId}>`);
                      _push2(ssrRenderComponent(unref(ElCheckbox), {
                        size: "large",
                        label: item.choice_name,
                        value: item.id
                      }, null, _parent2, _scopeId));
                      _push2(`</span>`);
                    } else {
                      _push2(`<span data-v-d81775c4${_scopeId}>`);
                      _push2(ssrRenderComponent(unref(ElCheckbox), {
                        size: "large",
                        label: "\u5176\u4ED6",
                        value: item.id
                      }, null, _parent2, _scopeId));
                      _push2(`</span>`);
                    }
                    _push2(`</span>`);
                  });
                  _push2(`<!--]-->`);
                } else {
                  return [
                    (openBlock(true), createBlock(Fragment, null, renderList(unref(voteList), (item) => {
                      return openBlock(), createBlock("span", {
                        key: item.id
                      }, [
                        item.is_other == 0 ? (openBlock(), createBlock("span", { key: 0 }, [
                          createVNode(unref(ElCheckbox), {
                            size: "large",
                            label: item.choice_name,
                            value: item.id
                          }, null, 8, ["label", "value"])
                        ])) : (openBlock(), createBlock("span", { key: 1 }, [
                          createVNode(unref(ElCheckbox), {
                            size: "large",
                            label: "\u5176\u4ED6",
                            value: item.id
                          }, null, 8, ["value"])
                        ]))
                      ]);
                    }), 128))
                  ];
                }
              }),
              _: 1
            }, _parent));
            if (showUserChoice.value) {
              _push(ssrRenderComponent(unref(ElInput), {
                modelValue: userChoice.value,
                "onUpdate:modelValue": ($event) => userChoice.value = $event,
                rows: 2,
                type: "textarea",
                resize: "none",
                placeholder: "\u8BF7\u8F93\u5165.."
              }, null, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</div>`);
          }
          _push(`</div>`);
        } else {
          _push(`<div class="inquireData" data-v-d81775c4><!--[-->`);
          ssrRenderList(websiteSurveyData.value.data, (item) => {
            _push(`<div data-v-d81775c4>`);
            if (item.status == 1) {
              _push(`<div class="inquireDataItem active" data-v-d81775c4><div class="inquireDataItemTitle" data-v-d81775c4>`);
              if (item.choice_name == "") {
                _push(`<span data-v-d81775c4>\u5176\u4ED6</span>`);
              } else {
                _push(`<span data-v-d81775c4>${ssrInterpolate(item.choice_name)}</span>`);
              }
              _push(`</div><div class="inquireDataItemNum" data-v-d81775c4>${ssrInterpolate(item.results)}\u7968</div></div>`);
            } else {
              _push(`<div class="inquireDataItem" data-v-d81775c4><div class="inquireDataItemTitle" data-v-d81775c4>`);
              if (item.choice_name == "") {
                _push(`<span data-v-d81775c4>\u5176\u4ED6</span>`);
              } else {
                _push(`<span data-v-d81775c4>${ssrInterpolate(item.choice_name)}</span>`);
              }
              _push(`</div><div class="inquireDataItemNum" data-v-d81775c4>${ssrInterpolate(item.results)}\u7968</div></div>`);
            }
            _push(`</div>`);
          });
          _push(`<!--]--></div>`);
        }
        _push(`</div><div class="btn" data-v-d81775c4>`);
        if (!isDisabled.value) {
          _push(`<button class="voting"${ssrIncludeBooleanAttr(isDisabled.value) ? " disabled" : ""} data-v-d81775c4>\u6295\u7968</button>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></section>`);
      if (unref(adImg4)) {
        _push(`<div class="titleBox" data-v-d81775c4>`);
        if (unref(adImg4).image_url == null) {
          _push(`<a href="http://nzgxw.org.cn/" target="_blank"${ssrRenderAttr("title", unref(adImg4).introduce)} data-tag="adImg4.ad_tag" data-v-d81775c4><img${ssrRenderAttr("src", unref(adImg4).thumb)}${ssrRenderAttr("alt", unref(adImg4).introduce)}${ssrRenderAttr("id", unref(adImg4).ad_tag)} data-v-d81775c4></a>`);
        } else {
          _push(`<a${ssrRenderAttr("href", unref(adImg4).image_url)} target="_blank"${ssrRenderAttr("title", unref(adImg4).introduce)} data-tag="adImg4.ad_tag" data-v-d81775c4><img${ssrRenderAttr("src", unref(adImg4).image_src)}${ssrRenderAttr("lt", unref(adImg4).introduce)}${ssrRenderAttr("id", unref(adImg4).ad_tag)} data-v-d81775c4></a>`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<div class="lastPart3" data-v-d81775c4><div class="inner" data-v-d81775c4>`);
      if (pageData.value.length >= 14) {
        _push(`<div class="lastPartTitle" data-v-d81775c4><div class="left" data-v-d81775c4>`);
        if (pageData.value[13].cid) {
          _push(`<span data-v-d81775c4>`);
          if (pageData.value[13].cid) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[13]),
              class: { active: tabsData3.value == 1 },
              onMouseenter: ($event) => tabsData3.value = 1,
              title: pageData.value[13].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[13].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[13].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</span>`);
        } else {
          _push(`<!---->`);
        }
        if (pageData.value[14].cid) {
          _push(`<span data-v-d81775c4>`);
          if (pageData.value[14].cid) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[14]),
              class: { active: tabsData3.value == 2 },
              onMouseenter: ($event) => tabsData3.value = 2,
              title: pageData.value[14].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[14].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[14].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</span>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
        if (tabsData3.value == 1) {
          _push(`<div class="right" data-v-d81775c4><!--[-->`);
          ssrRenderList(boxData14menu.value, (item) => {
            _push(ssrRenderComponent(_component_NuxtLink, {
              to: { path: `/${item.aLIas_pinyin}/list-1.html` },
              title: item.alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(item.alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(item.alias), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
          });
          _push(`<!--]--></div>`);
        } else {
          _push(`<!---->`);
        }
        if (tabsData3.value == 2) {
          _push(`<div class="right" data-v-d81775c4>`);
          if (pageData.value[14].cid) {
            _push(`<!--[-->`);
            ssrRenderList(boxData15menu.value, (item) => {
              _push(ssrRenderComponent(_component_NuxtLink, {
                to: { path: `/${item.aLIas_pinyin}/list-1.html}` },
                title: item.alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(item.alias)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(item.alias), 1)
                    ];
                  }
                }),
                _: 2
              }, _parent));
            });
            _push(`<!--]-->`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      if (tabsData3.value == 1) {
        _push(`<div class="lastPartContext" data-v-d81775c4><div class="left" data-v-d81775c4><ul class="mode1ul_style1" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData14.value, (item, index2) => {
          _push(`<li class="imgbg" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", item.imgurl)}${ssrRenderAttr("alt", item.title)} data-v-d81775c4${_scopeId}><div data-v-d81775c4${_scopeId}><p data-v-d81775c4${_scopeId}>`);
                if (index2 == 0) {
                  _push2(`<span data-v-d81775c4${_scopeId}>\u4E13\u9898</span>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(` ${ssrInterpolate(item.title)}</p></div>`);
              } else {
                return [
                  createVNode("img", {
                    src: item.imgurl,
                    alt: item.title
                  }, null, 8, ["src", "alt"]),
                  createVNode("div", null, [
                    createVNode("p", null, [
                      index2 == 0 ? (openBlock(), createBlock("span", { key: 0 }, "\u4E13\u9898")) : createCommentVNode("", true),
                      createTextVNode(" " + toDisplayString(item.title), 1)
                    ])
                  ])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul><ul class="mode1ul_style2" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData14data2.value, (item) => {
          _push(`<li data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<p class="title" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</p>`);
              } else {
                return [
                  createVNode("p", { class: "title" }, toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul></div>`);
        if (pageData.value.length >= 15) {
          _push(`<div class="right" data-v-d81775c4><div class="title" data-v-d81775c4>`);
          if (boxData14menu.value[0]) {
            _push(`<h3 data-v-d81775c4>`);
            if (boxData14menu.value[0]) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                to: { path: `/${boxData14childpinyin.value}/list-1.html` },
                class: "leftTitle",
                title: boxData14menu.value[0].alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(boxData14menu.value[0].alias)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(boxData14menu.value[0].alias), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            if (boxData14menu.value[0]) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                to: { path: `/${boxData14childpinyin.value}/list-1.html` },
                title: boxData14menu.value[0].alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(` \u67E5\u770B\u66F4\u591A `);
                  } else {
                    return [
                      createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</h3>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div><ul class="content" data-v-d81775c4><!--[-->`);
          ssrRenderList(boxData14mainData.value, (item) => {
            _push(`<li data-v-d81775c4>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title,
              target: item.islink == 1 ? "_blank" : "_self"
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<span data-v-d81775c4${_scopeId}><strong data-v-d81775c4${_scopeId}>${ssrInterpolate(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "month", 1))}</strong> ${ssrInterpolate(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "year", 3))}</span><span class="text" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</span>`);
                } else {
                  return [
                    createVNode("span", null, [
                      createVNode("strong", null, toDisplayString(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "month", 1)), 1),
                      createTextVNode(" " + toDisplayString(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "year", 3)), 1)
                    ]),
                    createVNode("span", { class: "text" }, toDisplayString(item.title), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</li>`);
          });
          _push(`<!--]--></ul></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      if (tabsData3.value == 2) {
        _push(`<div class="lastPartContext" data-v-d81775c4><div class="left" data-v-d81775c4><ul class="mode1ul_style1" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData15.value, (item, index2) => {
          _push(`<li class="imgbg" data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", item.imgurl)}${ssrRenderAttr("alt", item.title)} data-v-d81775c4${_scopeId}><div data-v-d81775c4${_scopeId}><p data-v-d81775c4${_scopeId}>`);
                if (index2 == 0) {
                  _push2(`<span data-v-d81775c4${_scopeId}>\u4E13\u9898</span>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(` ${ssrInterpolate(item.title)}</p></div>`);
              } else {
                return [
                  createVNode("img", {
                    src: item.imgurl,
                    alt: item.title
                  }, null, 8, ["src", "alt"]),
                  createVNode("div", null, [
                    createVNode("p", null, [
                      index2 == 0 ? (openBlock(), createBlock("span", { key: 0 }, "\u4E13\u9898")) : createCommentVNode("", true),
                      createTextVNode(" " + toDisplayString(item.title), 1)
                    ])
                  ])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul><ul class="mode1ul_style2" data-v-d81775c4><!--[-->`);
        ssrRenderList(boxData15data2.value, (item) => {
          _push(`<li data-v-d81775c4>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title,
            target: item.islink == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<p class="title" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</p>`);
              } else {
                return [
                  createVNode("p", { class: "title" }, toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul></div>`);
        if (pageData.value.length >= 15) {
          _push(`<div class="right" data-v-d81775c4><div class="title" data-v-d81775c4>`);
          if (boxData15menu.value[0]) {
            _push(`<h3 data-v-d81775c4>`);
            if (boxData15menu.value[0]) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                to: { path: `/${boxData15childpinyin.value}/list-1.html` },
                class: "leftTitle",
                title: boxData15menu.value[0].alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(boxData15menu.value[0].alias)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(boxData15menu.value[0].alias), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            if (boxData15menu.value[0]) {
              _push(ssrRenderComponent(_component_NuxtLink, {
                to: { path: `/${boxData15childpinyin.value}/list-1.html` },
                title: boxData15menu.value[0].alias
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(` \u67E5\u770B\u66F4\u591A `);
                  } else {
                    return [
                      createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                    ];
                  }
                }),
                _: 1
              }, _parent));
            } else {
              _push(`<!---->`);
            }
            _push(`</h3>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div><ul class="content" data-v-d81775c4><!--[-->`);
          ssrRenderList(boxData15mainData.value, (item) => {
            _push(`<li data-v-d81775c4>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title,
              target: item.islink == 1 ? "_blank" : "_self"
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<span data-v-d81775c4${_scopeId}><strong data-v-d81775c4${_scopeId}>${ssrInterpolate(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "month", 1))}</strong> ${ssrInterpolate(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "year", 3))}</span><span class="text" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</span>`);
                } else {
                  return [
                    createVNode("span", null, [
                      createVNode("strong", null, toDisplayString(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "month", 1)), 1),
                      createTextVNode(" " + toDisplayString(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "year", 3)), 1)
                    ]),
                    createVNode("span", { class: "text" }, toDisplayString(item.title), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</li>`);
          });
          _push(`<!--]--></ul></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div><section class="index_2 clearfix" data-v-d81775c4>`);
      if (pageData.value.length >= 16) {
        _push(`<div class="index_2_head_box clearfix" data-v-d81775c4><div class="index_1_head_box index_1_head_box_2 clearfix" data-v-d81775c4>`);
        if (pageData.value[15].cid) {
          _push(`<div class="index_1_head index_1_head_only" data-v-d81775c4>`);
          if (pageData.value[15].cid) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[15]),
              class: { active: tabsData4.value == 1 },
              title: pageData.value[15].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[15].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[15].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div><div class="index_2_head_a_box clearfix" data-v-d81775c4>`);
        if (pageData.value[15].cid) {
          _push(`<!--[-->`);
          ssrRenderList(boxData16menu.value, (item) => {
            _push(ssrRenderComponent(_component_NuxtLink, {
              to: { path: `/${item.aLIas_pinyin}/list-1.html` },
              title: item.alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(item.alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(item.alias), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
          });
          _push(`<!--]-->`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<div class="clearfix" data-v-d81775c4><div class="clearfix" data-v-d81775c4><div class="index_1_box" data-v-d81775c4><div class="index_2_big_img_ul" data-v-d81775c4>`);
      if (boxData16.value.length > 0) {
        _push(`<div class="index_2_big_img_li cover100" data-v-d81775c4>`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          href: getLinkPathDetail(boxData16.value[0]),
          title: boxData16.value[0].title,
          target: boxData16.value[0].islink == 1 ? "_blank" : "_self"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<img class=""${ssrRenderAttr("src", boxData16.value[0].imgurl)}${ssrRenderAttr("alt", boxData16.value[0].title)} data-v-d81775c4${_scopeId}><div class="index_2_big_img_li_dot2 dot2" data-v-d81775c4${_scopeId}><span class="index_2_big_img_li_dot2_tag" data-v-d81775c4${_scopeId}>\u4E13\u9898</span> ${ssrInterpolate(boxData16.value[0].title)}</div><div class="index_1_box_right_img_li_dot1 dot1" data-v-d81775c4${_scopeId}></div>`);
            } else {
              return [
                createVNode("img", {
                  class: "",
                  src: boxData16.value[0].imgurl,
                  alt: boxData16.value[0].title
                }, null, 8, ["src", "alt"]),
                createVNode("div", { class: "index_2_big_img_li_dot2 dot2" }, [
                  createVNode("span", { class: "index_2_big_img_li_dot2_tag" }, "\u4E13\u9898"),
                  createTextVNode(" " + toDisplayString(boxData16.value[0].title), 1)
                ]),
                createVNode("div", { class: "index_1_box_right_img_li_dot1 dot1" })
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="index_1_box_right_img_ul index_1_box_right_img_ul_2 clearfix" data-v-d81775c4>`);
      if (boxData16.value.length > 1) {
        _push(`<div class="index_1_box_right_img_li cover100" data-v-d81775c4>`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          href: getLinkPathDetail(boxData16.value[1]),
          title: boxData16.value[1].title,
          target: boxData16.value[1].islink == 1 ? "_blank" : "_self"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<img class=""${ssrRenderAttr("src", boxData16.value[1].imgurl)}${ssrRenderAttr("alt", boxData16.value[1].title)} data-v-d81775c4${_scopeId}><div class="index_1_box_right_img_li_dot1 dot1" data-v-d81775c4${_scopeId}>${ssrInterpolate(boxData16.value[1].title)}</div>`);
            } else {
              return [
                createVNode("img", {
                  class: "",
                  src: boxData16.value[1].imgurl,
                  alt: boxData16.value[1].title
                }, null, 8, ["src", "alt"]),
                createVNode("div", { class: "index_1_box_right_img_li_dot1 dot1" }, toDisplayString(boxData16.value[1].title), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      if (boxData16.value.length > 2) {
        _push(`<div class="index_1_box_right_img_li cover100" data-v-d81775c4>`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          href: getLinkPathDetail(boxData16.value[2]),
          title: boxData16.value[2].title,
          target: boxData16.value[2].islink == 1 ? "_blank" : "_self"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<img class=""${ssrRenderAttr("src", boxData16.value[2].imgurl)}${ssrRenderAttr("alt", boxData16.value[2].title)} data-v-d81775c4${_scopeId}><div class="index_1_box_right_img_li_dot1 dot1" data-v-d81775c4${_scopeId}>${ssrInterpolate(boxData16.value[2].title)}</div>`);
            } else {
              return [
                createVNode("img", {
                  class: "",
                  src: boxData16.value[2].imgurl,
                  alt: boxData16.value[2].title
                }, null, 8, ["src", "alt"]),
                createVNode("div", { class: "index_1_box_right_img_li_dot1 dot1" }, toDisplayString(boxData16.value[2].title), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
      if (boxData16.value.length > 3) {
        _push(`<div class="index_2_big_img_ul" data-v-d81775c4>`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          href: getLinkPathDetail(boxData16.value[3]),
          title: boxData16.value[3].title,
          target: boxData16.value[3].islink == 1 ? "_blank" : "_self"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              if (boxData16.value[3]) {
                _push2(`<div class="index_2_big_img_li cover100" data-v-d81775c4${_scopeId}><img class=""${ssrRenderAttr("src", boxData16.value[3].imgurl)}${ssrRenderAttr("alt", boxData16.value[3].title)} data-v-d81775c4${_scopeId}><div class="index_2_big_img_li_dot2 dot2" data-v-d81775c4${_scopeId}>${ssrInterpolate(boxData16.value[3].title)}</div></div>`);
              } else {
                _push2(`<!---->`);
              }
            } else {
              return [
                boxData16.value[3] ? (openBlock(), createBlock("div", {
                  key: 0,
                  class: "index_2_big_img_li cover100"
                }, [
                  createVNode("img", {
                    class: "",
                    src: boxData16.value[3].imgurl,
                    alt: boxData16.value[3].title
                  }, null, 8, ["src", "alt"]),
                  createVNode("div", { class: "index_2_big_img_li_dot2 dot2" }, toDisplayString(boxData16.value[3].title), 1)
                ])) : createCommentVNode("", true)
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="index_1_box" data-v-d81775c4><div class="index_1_ul clearfix" data-v-d81775c4><!--[-->`);
      ssrRenderList(boxData16data2.value, (item) => {
        _push(`<div class="index_1_li clearfix index_1_li_only" data-v-d81775c4>`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          href: getLinkPathDetail(item),
          title: item.title,
          target: item.islink == 1 ? "_blank" : "_self"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<div class="index_1_li_dot2 dot2" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</div>`);
            } else {
              return [
                createVNode("div", { class: "index_1_li_dot2 dot2" }, toDisplayString(item.title), 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</div>`);
      });
      _push(`<!--]--></div></div><div class="index_1_box_right" data-v-d81775c4><div class="index_1_head_box clearfix index_1_head_box_line_none" data-v-d81775c4>`);
      if (boxData16menu.value[0]) {
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: { path: `/${boxData16childpinyin.value}/list-1.html` },
          class: "leftTitle",
          title: boxData16menu.value[0].alias
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`${ssrInterpolate(boxData16menu.value[0].alias)}`);
            } else {
              return [
                createTextVNode(toDisplayString(boxData16menu.value[0].alias), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(`<!---->`);
      }
      if (boxData16menu.value[0]) {
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: { path: `/${boxData16childpinyin.value}/list-1.html` },
          title: boxData16menu.value[0].alias
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(` \u67E5\u770B\u66F4\u591A `);
            } else {
              return [
                createTextVNode(" \u67E5\u770B\u66F4\u591A ")
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="index_2_ul" data-v-d81775c4><!--[-->`);
      ssrRenderList(boxData16mainData.value, (item) => {
        _push(`<div class="index_2_li clearfix" data-v-d81775c4>`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          href: getLinkPathDetail(item),
          title: item.title,
          target: item.islink == 1 ? "_blank" : "_self"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<time class="index_2_li_time_box" data-v-d81775c4${_scopeId}><div class="index_2_li_time_head" data-v-d81775c4${_scopeId}>${ssrInterpolate(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "day", 1))}</div><div class="index_2_li_time_foot" data-v-d81775c4${_scopeId}>${ssrInterpolate(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "year", 2))}</div></time><div class="index_2_li_dot2 dot2" data-v-d81775c4${_scopeId}>${ssrInterpolate(item.title)}</div>`);
            } else {
              return [
                createVNode("time", { class: "index_2_li_time_box" }, [
                  createVNode("div", { class: "index_2_li_time_head" }, toDisplayString(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "day", 1)), 1),
                  createVNode("div", { class: "index_2_li_time_foot" }, toDisplayString(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "year", 2)), 1)
                ]),
                createVNode("div", { class: "index_2_li_dot2 dot2" }, toDisplayString(item.title), 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</div>`);
      });
      _push(`<!--]--></div></div></div></div></section>`);
      _push(ssrRenderComponent(_component_HomeFoot, null, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const index = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-d81775c4"]]);

export { index as default };
//# sourceMappingURL=index-9Wu_pT6g.mjs.map
