import { c as useState, u as useSeoMeta, _ as __nuxt_component_0, b as __nuxt_component_2 } from './nuxt-link-CT-wIPZG.mjs';
import { _ as __nuxt_component_1 } from './pageNavigation1-CX3JDA81.mjs';
import { _ as __nuxt_component_3 } from './foot1-D3tno6Bd.mjs';
import { ref, unref, isRef, withCtx, createVNode, openBlock, createBlock, Fragment, renderList, toDisplayString, createCommentVNode, withDirectives, vShow, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderList, ssrInterpolate, ssrRenderAttr, ssrRenderStyle } from 'vue/server-renderer';
import { ElTabs, ElTabPane, ElPagination } from 'element-plus';
import { _ as _export_sfc, u as useNuxtApp } from './server.mjs';
import '@unhead/shared';
import 'js-cookie';
import '../_/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:url';
import 'node:path';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import 'vue-router';
import 'pinia';

const _sfc_main = {
  __name: "index",
  __ssrInlineRender: true,
  setup(__props) {
    const nuxtApp = useNuxtApp();
    const axios = nuxtApp.$axios;
    ref({
      title: "\u5546\u5708",
      description: "\u9ED8\u8BA4\u63CF\u8FF0",
      keywords: "\u9ED8\u8BA4\u5173\u952E\u8BCD",
      image: "https://example.com/default-image.jpg"
    });
    const activeName = useState("activeName", () => "");
    const listData = useState("listData", () => []);
    const typeList = useState("typeList", () => []);
    useState("statusList", () => []);
    const currentPage = useState("currentPage", () => 0);
    const pageSize = useState("pageSize", () => 10);
    const page = useState("page", () => 1);
    const pageChage = (val) => {
      page.value = val;
      getTopicsList();
    };
    const getTopicsList = () => {
      console.log("activeName", activeName.value);
      let data = new FormData();
      data.append("page", page.value);
      data.append("page_size", pageSize.value);
      data.append("status", 2);
      data.append("type", activeName.value);
      axios.post("chat/getTopicsList", data).then((response) => {
        console.log(8899);
        console.log("response", response);
        listData.value = response.data.data;
        currentPage.value = response.data.total;
      });
    };
    useSeoMeta({
      title: "\u5546\u5708_\u4E09\u519C\u8D44\u8BAF\u7F51_\u5168\u56FD\u653F\u52A1\u4FE1\u606F\u4E00\u4F53\u5316\u5E94\u7528\u5E73\u53F0",
      meta: [
        { name: "description", content: "\u4E09\u519C\u8D44\u8BAF\u7F51\u4EE5\u670D\u52A1\u4E8E\u515A\u548C\u56FD\u5BB6\u5404\u7EA7\u804C\u80FD\u90E8\u95E8\u4E09\u519C\u653F\u52A1\u8D44\u8BAF\u53D1\u5E03\u53CA\u653F\u52A1\u516C\u5F00\u4FE1\u606F\u516C\u793A\u4E3A\u57FA\u70B9\uFF0C\u4E3A\u5168\u56FD\u53BF\u7EA7\u4EE5\u4E0A\u5404\u7EA7\u515A\u653F\u673A\u5173\u53CA\u5176\u804C\u80FD\u90E8\u95E8\u914D\u7F6E\u5404\u81EA\u516C\u5F00\u72EC\u7ACB\u7F51\u7EDC\u53D1\u5E03\u5E73\u53F0\u3002\u4E3B\u8981\u9891\u9053\u6709\uFF1A\u4E09\u519C\u653F\u52A1\u8D44\u8BAF\uFF0C\u519C\u79D1\u8D44\u8BAF\uFF0C\u519C\u8D44\u8D2D\u9500\uFF0C\u519C\u4EA7\u8D2D\u9500\uFF0C\u519C\u8D38\u8D44\u8BAF\uFF0C\u4E09\u519C\u81F4\u5BCC\u4FE1\u606F\uFF0C\u519C\u6751\u6587\u5316\u751F\u6D3B\uFF0C\u4E09\u519C\u653F\u7B56\u6CD5\u89C4\uFF0C\u4E09\u519C\u4E4B\u7A97\uFF0C\u4E09\u519C\u8C03\u67E5\uFF0C\u4E09\u519C\u670D\u52A1\uFF0C\u4E09\u519C\u77E5\u8BC6\uFF0C\u519C\u6C11\u5DE5\uFF0C\u6253\u5047\u7EF4\u6743\u7B49\u3002\u4E09\u519C\u8D44\u8BAF\u7F51\u6253\u9020\u6700\u5177\u5F71\u54CD\u529B\u7684\u4E09\u519C\u4FE1\u606F\u53D1\u5E03\u5E73\u53F0\uFF0C\u5E76\u6210\u4E3A\u6700\u5177\u6743\u5A01\u7684\u4E09\u519C\u8D44\u8BAF\u7F51\u3002_\u4E09\u519C\u8D44\u8BAF\u7F51-\u6D4B\u8BD5\u4E13\u7528_\u5168\u56FD\u653F\u52A1\u4FE1\u606F\u4E00\u4F53\u5316\u5E94\u7528\u5E73\u53F0", tagPriority: 10 },
        { name: "keywords", content: "\u4E09\u519C\u8D44\u8BAF,\u519C\u4E1A,\u4E09\u519C,\u4E09\u519C\u5728\u7EBF,\u519C\u4E1A\u65B0\u95FB,\u4E09\u519C\u8D44\u8BAF\u7F51_\u4E09\u519C\u8D44\u8BAF\u7F51-\u6D4B\u8BD5\u4E13\u7528_\u5168\u56FD\u653F\u52A1\u4FE1\u606F\u4E00\u4F53\u5316\u5E94\u7528\u5E73\u53F0", tagPriority: 10 }
      ]
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_HomePageHead = __nuxt_component_0;
      const _component_HomePageNavigation1 = __nuxt_component_1;
      const _component_NuxtLink = __nuxt_component_2;
      const _component_HomeFoot1 = __nuxt_component_3;
      _push(`<div${ssrRenderAttrs(_attrs)} data-v-ad30e183>`);
      _push(ssrRenderComponent(_component_HomePageHead, null, null, _parent));
      _push(ssrRenderComponent(_component_HomePageNavigation1, null, null, _parent));
      _push(`<div class="topicBox" data-v-ad30e183><div class="inner" data-v-ad30e183>`);
      _push(ssrRenderComponent(unref(ElTabs), {
        modelValue: unref(activeName),
        "onUpdate:modelValue": ($event) => isRef(activeName) ? activeName.value = $event : null,
        class: "demo-tabs",
        onTabChange: getTopicsList
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(unref(ElTabPane), {
              label: "\u63A8\u8350",
              name: ""
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<!--[-->`);
                  ssrRenderList(unref(listData), (item) => {
                    _push3(ssrRenderComponent(_component_NuxtLink, {
                      to: `/topic/${item.id}`,
                      key: _ctx.index
                    }, {
                      default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                        if (_push4) {
                          _push4(`<div class="topicList" data-v-ad30e183${_scopeId3}><div class="listHead" data-v-ad30e183${_scopeId3}><div class="left" data-v-ad30e183${_scopeId3}><!--[-->`);
                          ssrRenderList(unref(typeList), (i) => {
                            _push4(`<span data-v-ad30e183${_scopeId3}>`);
                            if (item.type == i.value) {
                              _push4(`<span class="one" data-v-ad30e183${_scopeId3}>${ssrInterpolate(i.label)}</span>`);
                            } else {
                              _push4(`<!---->`);
                            }
                            _push4(`</span>`);
                          });
                          _push4(`<!--]--></div><div class="right" data-v-ad30e183${_scopeId3}>${ssrInterpolate(item.created_at)}</div></div><div class="listFoot" data-v-ad30e183${_scopeId3}><div class="left" data-v-ad30e183${_scopeId3}><h2 data-v-ad30e183${_scopeId3}>${ssrInterpolate(item.title)}</h2><p data-v-ad30e183${_scopeId3}>`);
                          if (item.avatar) {
                            _push4(`<img${ssrRenderAttr("src", item.avatar)} alt="" data-v-ad30e183${_scopeId3}>`);
                          } else {
                            _push4(`<img src="http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Rectangle.png" alt="" data-v-ad30e183${_scopeId3}>`);
                          }
                          _push4(`<span data-v-ad30e183${_scopeId3}>${ssrInterpolate(item.author)}</span><img src="http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat.png" alt="" data-v-ad30e183${_scopeId3}><span data-v-ad30e183${_scopeId3}>${ssrInterpolate(item.num ? item.num : 0)}</span></p></div><div class="right" style="${ssrRenderStyle(item.group_name ? null : { display: "none" })}" data-v-ad30e183${_scopeId3}><img src="http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat1.png" alt="" data-v-ad30e183${_scopeId3}><span data-v-ad30e183${_scopeId3}>${ssrInterpolate(item.group_name)}</span></div></div></div>`);
                        } else {
                          return [
                            createVNode("div", { class: "topicList" }, [
                              createVNode("div", { class: "listHead" }, [
                                createVNode("div", { class: "left" }, [
                                  (openBlock(true), createBlock(Fragment, null, renderList(unref(typeList), (i) => {
                                    return openBlock(), createBlock("span", { key: _ctx.index }, [
                                      item.type == i.value ? (openBlock(), createBlock("span", {
                                        key: 0,
                                        class: "one"
                                      }, toDisplayString(i.label), 1)) : createCommentVNode("", true)
                                    ]);
                                  }), 128))
                                ]),
                                createVNode("div", { class: "right" }, toDisplayString(item.created_at), 1)
                              ]),
                              createVNode("div", { class: "listFoot" }, [
                                createVNode("div", { class: "left" }, [
                                  createVNode("h2", null, toDisplayString(item.title), 1),
                                  createVNode("p", null, [
                                    item.avatar ? (openBlock(), createBlock("img", {
                                      key: 0,
                                      src: item.avatar,
                                      alt: ""
                                    }, null, 8, ["src"])) : (openBlock(), createBlock("img", {
                                      key: 1,
                                      src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Rectangle.png",
                                      alt: ""
                                    })),
                                    createVNode("span", null, toDisplayString(item.author), 1),
                                    createVNode("img", {
                                      src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat.png",
                                      alt: ""
                                    }),
                                    createVNode("span", null, toDisplayString(item.num ? item.num : 0), 1)
                                  ])
                                ]),
                                withDirectives(createVNode("div", { class: "right" }, [
                                  createVNode("img", {
                                    src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat1.png",
                                    alt: ""
                                  }),
                                  createVNode("span", null, toDisplayString(item.group_name), 1)
                                ], 512), [
                                  [vShow, item.group_name]
                                ])
                              ])
                            ])
                          ];
                        }
                      }),
                      _: 2
                    }, _parent3, _scopeId2));
                  });
                  _push3(`<!--]--><div class="adEmpty" style="${ssrRenderStyle(!unref(currentPage) ? null : { display: "none" })}" data-v-ad30e183${_scopeId2}><img src="http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Blogs_empty.png" alt="" data-v-ad30e183${_scopeId2}><span data-v-ad30e183${_scopeId2}>\u6682\u65E0\u5546\u5708\u5217\u8868~</span></div>`);
                } else {
                  return [
                    (openBlock(true), createBlock(Fragment, null, renderList(unref(listData), (item) => {
                      return openBlock(), createBlock(_component_NuxtLink, {
                        to: `/topic/${item.id}`,
                        key: _ctx.index
                      }, {
                        default: withCtx(() => [
                          createVNode("div", { class: "topicList" }, [
                            createVNode("div", { class: "listHead" }, [
                              createVNode("div", { class: "left" }, [
                                (openBlock(true), createBlock(Fragment, null, renderList(unref(typeList), (i) => {
                                  return openBlock(), createBlock("span", { key: _ctx.index }, [
                                    item.type == i.value ? (openBlock(), createBlock("span", {
                                      key: 0,
                                      class: "one"
                                    }, toDisplayString(i.label), 1)) : createCommentVNode("", true)
                                  ]);
                                }), 128))
                              ]),
                              createVNode("div", { class: "right" }, toDisplayString(item.created_at), 1)
                            ]),
                            createVNode("div", { class: "listFoot" }, [
                              createVNode("div", { class: "left" }, [
                                createVNode("h2", null, toDisplayString(item.title), 1),
                                createVNode("p", null, [
                                  item.avatar ? (openBlock(), createBlock("img", {
                                    key: 0,
                                    src: item.avatar,
                                    alt: ""
                                  }, null, 8, ["src"])) : (openBlock(), createBlock("img", {
                                    key: 1,
                                    src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Rectangle.png",
                                    alt: ""
                                  })),
                                  createVNode("span", null, toDisplayString(item.author), 1),
                                  createVNode("img", {
                                    src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat.png",
                                    alt: ""
                                  }),
                                  createVNode("span", null, toDisplayString(item.num ? item.num : 0), 1)
                                ])
                              ]),
                              withDirectives(createVNode("div", { class: "right" }, [
                                createVNode("img", {
                                  src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat1.png",
                                  alt: ""
                                }),
                                createVNode("span", null, toDisplayString(item.group_name), 1)
                              ], 512), [
                                [vShow, item.group_name]
                              ])
                            ])
                          ])
                        ]),
                        _: 2
                      }, 1032, ["to"]);
                    }), 128)),
                    withDirectives(createVNode("div", { class: "adEmpty" }, [
                      createVNode("img", {
                        src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Blogs_empty.png",
                        alt: ""
                      }),
                      createVNode("span", null, "\u6682\u65E0\u5546\u5708\u5217\u8868~")
                    ], 512), [
                      [vShow, !unref(currentPage)]
                    ])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`<!--[-->`);
            ssrRenderList(unref(typeList), (item) => {
              _push2(ssrRenderComponent(unref(ElTabPane), {
                label: item.label,
                name: item.value
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`<!--[-->`);
                    ssrRenderList(unref(listData), (item2) => {
                      _push3(ssrRenderComponent(_component_NuxtLink, {
                        to: `/topic/${item2.id}`,
                        target: "_blank"
                      }, {
                        default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                          if (_push4) {
                            _push4(`<div class="topicList" data-v-ad30e183${_scopeId3}><div class="listHead" data-v-ad30e183${_scopeId3}><div class="left" data-v-ad30e183${_scopeId3}><!--[-->`);
                            ssrRenderList(unref(typeList), (i) => {
                              _push4(`<span data-v-ad30e183${_scopeId3}>`);
                              if (item2.type == i.value) {
                                _push4(`<span class="one" data-v-ad30e183${_scopeId3}>${ssrInterpolate(i.label)}</span>`);
                              } else {
                                _push4(`<!---->`);
                              }
                              _push4(`</span>`);
                            });
                            _push4(`<!--]--></div><div class="right" data-v-ad30e183${_scopeId3}>${ssrInterpolate(item2.created_at)}</div></div><div class="listFoot" data-v-ad30e183${_scopeId3}><div class="left" data-v-ad30e183${_scopeId3}><h2 data-v-ad30e183${_scopeId3}>${ssrInterpolate(item2.title)}</h2><p data-v-ad30e183${_scopeId3}><img${ssrRenderAttr("src", item2.avatar)} alt="" data-v-ad30e183${_scopeId3}><span data-v-ad30e183${_scopeId3}>${ssrInterpolate(item2.author)}</span><img src="http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat.png" alt="" data-v-ad30e183${_scopeId3}><span data-v-ad30e183${_scopeId3}>${ssrInterpolate(item2.num ? item2.num : 0)}</span></p></div><div class="right" style="${ssrRenderStyle(item2.group_name ? null : { display: "none" })}" data-v-ad30e183${_scopeId3}><img src="http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat1.png" alt="" data-v-ad30e183${_scopeId3}><span data-v-ad30e183${_scopeId3}>${ssrInterpolate(item2.group_name)}</span></div></div></div>`);
                          } else {
                            return [
                              createVNode("div", { class: "topicList" }, [
                                createVNode("div", { class: "listHead" }, [
                                  createVNode("div", { class: "left" }, [
                                    (openBlock(true), createBlock(Fragment, null, renderList(unref(typeList), (i) => {
                                      return openBlock(), createBlock("span", { key: _ctx.index }, [
                                        item2.type == i.value ? (openBlock(), createBlock("span", {
                                          key: 0,
                                          class: "one"
                                        }, toDisplayString(i.label), 1)) : createCommentVNode("", true)
                                      ]);
                                    }), 128))
                                  ]),
                                  createVNode("div", { class: "right" }, toDisplayString(item2.created_at), 1)
                                ]),
                                createVNode("div", { class: "listFoot" }, [
                                  createVNode("div", { class: "left" }, [
                                    createVNode("h2", null, toDisplayString(item2.title), 1),
                                    createVNode("p", null, [
                                      createVNode("img", {
                                        src: item2.avatar,
                                        alt: ""
                                      }, null, 8, ["src"]),
                                      createVNode("span", null, toDisplayString(item2.author), 1),
                                      createVNode("img", {
                                        src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat.png",
                                        alt: ""
                                      }),
                                      createVNode("span", null, toDisplayString(item2.num ? item2.num : 0), 1)
                                    ])
                                  ]),
                                  withDirectives(createVNode("div", { class: "right" }, [
                                    createVNode("img", {
                                      src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat1.png",
                                      alt: ""
                                    }),
                                    createVNode("span", null, toDisplayString(item2.group_name), 1)
                                  ], 512), [
                                    [vShow, item2.group_name]
                                  ])
                                ])
                              ])
                            ];
                          }
                        }),
                        _: 2
                      }, _parent3, _scopeId2));
                    });
                    _push3(`<!--]--><div class="adEmpty" style="${ssrRenderStyle(!unref(currentPage) ? null : { display: "none" })}" data-v-ad30e183${_scopeId2}><img src="http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Blogs_empty.png" alt="" data-v-ad30e183${_scopeId2}><span data-v-ad30e183${_scopeId2}>\u6682\u65E0\u5546\u5708\u5217\u8868~</span></div>`);
                  } else {
                    return [
                      (openBlock(true), createBlock(Fragment, null, renderList(unref(listData), (item2) => {
                        return openBlock(), createBlock(_component_NuxtLink, {
                          to: `/topic/${item2.id}`,
                          target: "_blank"
                        }, {
                          default: withCtx(() => [
                            createVNode("div", { class: "topicList" }, [
                              createVNode("div", { class: "listHead" }, [
                                createVNode("div", { class: "left" }, [
                                  (openBlock(true), createBlock(Fragment, null, renderList(unref(typeList), (i) => {
                                    return openBlock(), createBlock("span", { key: _ctx.index }, [
                                      item2.type == i.value ? (openBlock(), createBlock("span", {
                                        key: 0,
                                        class: "one"
                                      }, toDisplayString(i.label), 1)) : createCommentVNode("", true)
                                    ]);
                                  }), 128))
                                ]),
                                createVNode("div", { class: "right" }, toDisplayString(item2.created_at), 1)
                              ]),
                              createVNode("div", { class: "listFoot" }, [
                                createVNode("div", { class: "left" }, [
                                  createVNode("h2", null, toDisplayString(item2.title), 1),
                                  createVNode("p", null, [
                                    createVNode("img", {
                                      src: item2.avatar,
                                      alt: ""
                                    }, null, 8, ["src"]),
                                    createVNode("span", null, toDisplayString(item2.author), 1),
                                    createVNode("img", {
                                      src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat.png",
                                      alt: ""
                                    }),
                                    createVNode("span", null, toDisplayString(item2.num ? item2.num : 0), 1)
                                  ])
                                ]),
                                withDirectives(createVNode("div", { class: "right" }, [
                                  createVNode("img", {
                                    src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat1.png",
                                    alt: ""
                                  }),
                                  createVNode("span", null, toDisplayString(item2.group_name), 1)
                                ], 512), [
                                  [vShow, item2.group_name]
                                ])
                              ])
                            ])
                          ]),
                          _: 2
                        }, 1032, ["to"]);
                      }), 256)),
                      withDirectives(createVNode("div", { class: "adEmpty" }, [
                        createVNode("img", {
                          src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Blogs_empty.png",
                          alt: ""
                        }),
                        createVNode("span", null, "\u6682\u65E0\u5546\u5708\u5217\u8868~")
                      ], 512), [
                        [vShow, !unref(currentPage)]
                      ])
                    ];
                  }
                }),
                _: 2
              }, _parent2, _scopeId));
            });
            _push2(`<!--]-->`);
          } else {
            return [
              createVNode(unref(ElTabPane), {
                label: "\u63A8\u8350",
                name: ""
              }, {
                default: withCtx(() => [
                  (openBlock(true), createBlock(Fragment, null, renderList(unref(listData), (item) => {
                    return openBlock(), createBlock(_component_NuxtLink, {
                      to: `/topic/${item.id}`,
                      key: _ctx.index
                    }, {
                      default: withCtx(() => [
                        createVNode("div", { class: "topicList" }, [
                          createVNode("div", { class: "listHead" }, [
                            createVNode("div", { class: "left" }, [
                              (openBlock(true), createBlock(Fragment, null, renderList(unref(typeList), (i) => {
                                return openBlock(), createBlock("span", { key: _ctx.index }, [
                                  item.type == i.value ? (openBlock(), createBlock("span", {
                                    key: 0,
                                    class: "one"
                                  }, toDisplayString(i.label), 1)) : createCommentVNode("", true)
                                ]);
                              }), 128))
                            ]),
                            createVNode("div", { class: "right" }, toDisplayString(item.created_at), 1)
                          ]),
                          createVNode("div", { class: "listFoot" }, [
                            createVNode("div", { class: "left" }, [
                              createVNode("h2", null, toDisplayString(item.title), 1),
                              createVNode("p", null, [
                                item.avatar ? (openBlock(), createBlock("img", {
                                  key: 0,
                                  src: item.avatar,
                                  alt: ""
                                }, null, 8, ["src"])) : (openBlock(), createBlock("img", {
                                  key: 1,
                                  src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Rectangle.png",
                                  alt: ""
                                })),
                                createVNode("span", null, toDisplayString(item.author), 1),
                                createVNode("img", {
                                  src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat.png",
                                  alt: ""
                                }),
                                createVNode("span", null, toDisplayString(item.num ? item.num : 0), 1)
                              ])
                            ]),
                            withDirectives(createVNode("div", { class: "right" }, [
                              createVNode("img", {
                                src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat1.png",
                                alt: ""
                              }),
                              createVNode("span", null, toDisplayString(item.group_name), 1)
                            ], 512), [
                              [vShow, item.group_name]
                            ])
                          ])
                        ])
                      ]),
                      _: 2
                    }, 1032, ["to"]);
                  }), 128)),
                  withDirectives(createVNode("div", { class: "adEmpty" }, [
                    createVNode("img", {
                      src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Blogs_empty.png",
                      alt: ""
                    }),
                    createVNode("span", null, "\u6682\u65E0\u5546\u5708\u5217\u8868~")
                  ], 512), [
                    [vShow, !unref(currentPage)]
                  ])
                ]),
                _: 1
              }),
              (openBlock(true), createBlock(Fragment, null, renderList(unref(typeList), (item) => {
                return openBlock(), createBlock(unref(ElTabPane), {
                  label: item.label,
                  name: item.value
                }, {
                  default: withCtx(() => [
                    (openBlock(true), createBlock(Fragment, null, renderList(unref(listData), (item2) => {
                      return openBlock(), createBlock(_component_NuxtLink, {
                        to: `/topic/${item2.id}`,
                        target: "_blank"
                      }, {
                        default: withCtx(() => [
                          createVNode("div", { class: "topicList" }, [
                            createVNode("div", { class: "listHead" }, [
                              createVNode("div", { class: "left" }, [
                                (openBlock(true), createBlock(Fragment, null, renderList(unref(typeList), (i) => {
                                  return openBlock(), createBlock("span", { key: _ctx.index }, [
                                    item2.type == i.value ? (openBlock(), createBlock("span", {
                                      key: 0,
                                      class: "one"
                                    }, toDisplayString(i.label), 1)) : createCommentVNode("", true)
                                  ]);
                                }), 128))
                              ]),
                              createVNode("div", { class: "right" }, toDisplayString(item2.created_at), 1)
                            ]),
                            createVNode("div", { class: "listFoot" }, [
                              createVNode("div", { class: "left" }, [
                                createVNode("h2", null, toDisplayString(item2.title), 1),
                                createVNode("p", null, [
                                  createVNode("img", {
                                    src: item2.avatar,
                                    alt: ""
                                  }, null, 8, ["src"]),
                                  createVNode("span", null, toDisplayString(item2.author), 1),
                                  createVNode("img", {
                                    src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat.png",
                                    alt: ""
                                  }),
                                  createVNode("span", null, toDisplayString(item2.num ? item2.num : 0), 1)
                                ])
                              ]),
                              withDirectives(createVNode("div", { class: "right" }, [
                                createVNode("img", {
                                  src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Chat1.png",
                                  alt: ""
                                }),
                                createVNode("span", null, toDisplayString(item2.group_name), 1)
                              ], 512), [
                                [vShow, item2.group_name]
                              ])
                            ])
                          ])
                        ]),
                        _: 2
                      }, 1032, ["to"]);
                    }), 256)),
                    withDirectives(createVNode("div", { class: "adEmpty" }, [
                      createVNode("img", {
                        src: "http://img.bjzxtw.org.cn/master/bjzxtw/public/topic/Blogs_empty.png",
                        alt: ""
                      }),
                      createVNode("span", null, "\u6682\u65E0\u5546\u5708\u5217\u8868~")
                    ], 512), [
                      [vShow, !unref(currentPage)]
                    ])
                  ]),
                  _: 2
                }, 1032, ["label", "name"]);
              }), 256))
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<div class="paginationBox" style="${ssrRenderStyle(unref(currentPage) ? null : { display: "none" })}" data-v-ad30e183>`);
      _push(ssrRenderComponent(unref(ElPagination), {
        background: "",
        layout: "prev, pager, next",
        total: unref(currentPage),
        "prev-text": "\u4E0A\u4E00\u9875",
        "next-text": "\u4E0B\u4E00\u9875",
        onChange: pageChage
      }, null, _parent));
      _push(`</div></div></div>`);
      _push(ssrRenderComponent(_component_HomeFoot1, null, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/topic/index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const index = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-ad30e183"]]);

export { index as default };
//# sourceMappingURL=index-DOw3ZGVt.mjs.map
