import { r as requestDataPromise, u as useSeoMeta, _ as __nuxt_component_0, b as __nuxt_component_2 } from './nuxt-link-CT-wIPZG.mjs';
import { _ as __nuxt_component_1 } from './pageNavigation1-CX3JDA81.mjs';
import { _ as _sfc_main$1 } from './TopTen-DeGWOUBH.mjs';
import { _ as __nuxt_component_3 } from './foot1-D3tno6Bd.mjs';
import { withAsyncContext, ref, unref, withCtx, createTextVNode, createVNode, toDisplayString, useSSRContext } from 'vue';
import { ssrRenderComponent, ssrInterpolate, ssrRenderList, ssrRenderStyle } from 'vue/server-renderer';
import { ElBreadcrumb, ElBreadcrumbItem } from 'element-plus';
import { ArrowRight } from '@element-plus/icons-vue';
import { _ as _export_sfc, a as useRoute } from './server.mjs';
import '@unhead/shared';
import 'js-cookie';
import '../_/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:url';
import 'node:path';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import 'vue-router';
import 'pinia';

const _sfc_main = {
  __name: "index.html",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    const route = useRoute();
    const fullPath = route.path;
    const segments = fullPath.split("/");
    const targetSegment = segments[2];
    let articleId;
    let pageId;
    const getRouteId = ([__temp, __restore] = withAsyncContext(() => requestDataPromise("/web/getWebsiteRoute", {
      method: "GET",
      query: {
        "foot_pinyin": targetSegment
      }
    })), __temp = await __temp, __restore(), __temp);
    if (getRouteId.code == 200) {
      articleId = getRouteId.data.id;
      pageId = getRouteId.data.id;
    } else {
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u901A\u8FC7url\u8DEF\u5F84\u67E5\u8BE2\u5BFC\u822A\u6C60id");
      console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", getRouteId.message);
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
    }
    const adList = ref([]);
    let adImg1 = ref([]);
    let adImg2 = ref([]);
    async function getAdData() {
      const adData = await requestDataPromise("/web/getWebsiteAdvertisement", { method: "GET", query: { "ad_tag": "PAGE" } });
      adList.value = adData.data;
      if (adData.code == 200) {
        for (let item of adData.data) {
          if (item.ad_tag == "PAGE_0001") {
            adImg1.value = item;
          }
          if (item.ad_tag == "PAGE_0002") {
            adImg2.value = item;
          }
        }
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u83B7\u53D6\u8BE6\u60C5\u9875\u5E7F\u544A\u5217\u8868");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", adData.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    }
    getAdData();
    const newsDetail = ref({});
    const bottomMenu = ref([]);
    async function getPageData() {
      const mkdata = await requestDataPromise("/web/getWebsiteFooterCategoryInfo", {
        method: "GET",
        query: {
          "fcat_id": articleId
        }
      });
      newsDetail.value = mkdata.data;
    }
    getPageData();
    async function getPageMenu() {
      const mkdata = await requestDataPromise("/web/getWebsiteFooterCategory", {
        method: "GET",
        query: {}
      });
      bottomMenu.value = mkdata.data;
    }
    getPageMenu();
    const setData = ([__temp, __restore] = withAsyncContext(() => requestDataPromise("/web/getWebsiteFootInfo", {
      method: "GET",
      query: {}
    })), __temp = await __temp, __restore(), __temp);
    let seoTitle = setData.data.website_head.title;
    let seoDescription = setData.data.website_head.description;
    let seoKeywords = setData.data.website_head.keywords;
    let seoSuffix = setData.data.website_head.suffix;
    let seoName = setData.data.website_head.website_name;
    useSeoMeta({
      title: seoTitle + "_" + seoSuffix,
      meta: [
        { name: "description", content: seoDescription + "_" + seoName + "_" + seoSuffix, tagPriority: 10 },
        { name: "keywords", content: seoKeywords + "_" + seoName + "_" + seoSuffix, tagPriority: 10 }
      ]
    });
    return (_ctx, _push, _parent, _attrs) => {
      var _a;
      const _component_HomePageHead = __nuxt_component_0;
      const _component_HomePageNavigation1 = __nuxt_component_1;
      const _component_HomeTopTen = _sfc_main$1;
      const _component_NuxtLink = __nuxt_component_2;
      const _component_HomeFoot1 = __nuxt_component_3;
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_HomePageHead, null, null, _parent));
      _push(ssrRenderComponent(_component_HomePageNavigation1, null, null, _parent));
      if (unref(adImg1)) {
        _push(ssrRenderComponent(_component_HomeTopTen, { imgurl: unref(adImg1) }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`<div class="breadcrumb" data-v-80cbbc66><div class="inner" data-v-80cbbc66><span class="location" data-v-80cbbc66>\u5F53\u524D\u4F4D\u7F6E:</span>`);
      _push(ssrRenderComponent(unref(ElBreadcrumb), { "separator-icon": unref(ArrowRight) }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(unref(ElBreadcrumbItem), null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_NuxtLink, { to: "/" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`\u9996\u9875`);
                      } else {
                        return [
                          createTextVNode("\u9996\u9875")
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_NuxtLink, { to: "/" }, {
                      default: withCtx(() => [
                        createTextVNode("\u9996\u9875")
                      ]),
                      _: 1
                    })
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(unref(ElBreadcrumbItem), null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(newsDetail.value.con_title)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(newsDetail.value.con_title), 1)
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode(unref(ElBreadcrumbItem), null, {
                default: withCtx(() => [
                  createVNode(_component_NuxtLink, { to: "/" }, {
                    default: withCtx(() => [
                      createTextVNode("\u9996\u9875")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }),
              createVNode(unref(ElBreadcrumbItem), null, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(newsDetail.value.con_title), 1)
                ]),
                _: 1
              })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div><div class="newsDetail" data-v-80cbbc66><div class="inner" data-v-80cbbc66><div class="innerLeft" data-v-80cbbc66><div class="leftBottomTitle" data-v-80cbbc66>${ssrInterpolate(newsDetail.value.con_title)}</div>`);
      if (newsDetail.value.content) {
        _push(`<div class="leftBottom" data-v-80cbbc66>${(_a = newsDetail.value.content) != null ? _a : ""}</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="innerRight" data-v-80cbbc66><div class="rightMenuTitle" data-v-80cbbc66>\u5BFC\u822A\u5217\u8868</div><ul data-v-80cbbc66><!--[-->`);
      ssrRenderList(bottomMenu.value, (item, index) => {
        _push(`<li data-v-80cbbc66>`);
        if (item.id == unref(pageId) && item.id != 7) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: `/about/${item.name_pinyin}/index.html`,
            title: item.name,
            class: "active"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.name)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.name), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else if (item.id != unref(pageId) && item.id != 7) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: `/about/${item.name_pinyin}/index.html`,
            title: item.name
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.name)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.name), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        if (item.id == 7 && unref(pageId) == 7 && _ctx.routeHref == "/specialList/7") {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: `/about/${item.name_pinyin}/list-1.html`,
            title: item.name,
            class: "active"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.name)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.name), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else if (item.id == 7) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: `/about/${item.name_pinyin}/list-1.html`,
            title: item.name
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.name)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.name), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`</li>`);
      });
      _push(`<!--]--></ul></div><div style="${ssrRenderStyle({ "clear": "both" })}" data-v-80cbbc66></div></div></div>`);
      if (unref(adImg2)) {
        _push(ssrRenderComponent(_component_HomeTopTen, { imgurl: unref(adImg2) }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(ssrRenderComponent(_component_HomeFoot1, null, null, _parent));
      _push(`<!--]-->`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/about/[dir]/index.html.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const index_html = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-80cbbc66"]]);

export { index_html as default };
//# sourceMappingURL=index.html-BdDfNhWO.mjs.map
