import { r as requestDataPromise, u as useSeoMeta, _ as __nuxt_component_0, b as __nuxt_component_2 } from './nuxt-link-CT-wIPZG.mjs';
import { _ as __nuxt_component_1 } from './pageNavigation1-CX3JDA81.mjs';
import { _ as _sfc_main$1 } from './TopTen-DeGWOUBH.mjs';
import { _ as __nuxt_component_3 } from './foot1-D3tno6Bd.mjs';
import { withAsyncContext, ref, mergeProps, unref, withCtx, createTextVNode, createVNode, toDisplayString, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderList, ssrInterpolate, ssrRenderStyle } from 'vue/server-renderer';
import { ElBreadcrumb, ElBreadcrumbItem } from 'element-plus';
import { ArrowRight } from '@element-plus/icons-vue';
import { _ as _export_sfc, a as useRoute } from './server.mjs';
import '@unhead/shared';
import 'js-cookie';
import '../_/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:url';
import 'node:path';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import 'vue-router';
import 'pinia';

const _sfc_main = {
  __name: "list-[id]",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    const route = useRoute();
    const fullPath = route.path;
    const segments = fullPath.split("/");
    const targetSegment = segments[2];
    let pageId;
    const getRouteId = ([__temp, __restore] = withAsyncContext(() => requestDataPromise("/web/getWebsiteRoute", {
      method: "GET",
      query: {
        "foot_pinyin": targetSegment
      }
    })), __temp = await __temp, __restore(), __temp);
    if (getRouteId.code == 200) {
      getRouteId.data.id;
      pageId = getRouteId.data.id;
    } else {
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u901A\u8FC7url\u8DEF\u5F84\u67E5\u8BE2\u5BFC\u822A\u6C60id");
      console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", getRouteId.message);
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
    }
    let adImg1 = ref([]);
    let adImg2 = ref([]);
    const bottomMenu = ref([]);
    async function getPageMenu() {
      const mkdata = await requestDataPromise("/web/getWebsiteFooterCategory", {
        method: "GET",
        query: {}
      });
      bottomMenu.value = mkdata.data;
    }
    getPageMenu();
    const newsList = ref([]);
    let newslists = async () => {
      const listData = await requestDataPromise("/web/getWebsiteFooterCategoryList", {
        method: "GET",
        query: {
          "fcat_id": pageId
        }
      });
      newsList.value = listData.data;
    };
    newslists();
    const setData = ([__temp, __restore] = withAsyncContext(() => requestDataPromise("/web/getWebsiteFootInfo", {
      method: "GET",
      query: {}
    })), __temp = await __temp, __restore(), __temp);
    let seoTitle = setData.data.website_head.title;
    let seoDescription = setData.data.website_head.description;
    let seoKeywords = setData.data.website_head.keywords;
    let seoSuffix = setData.data.website_head.suffix;
    let seoName = setData.data.website_head.website_name;
    useSeoMeta({
      title: seoTitle + "_" + seoSuffix,
      meta: [
        { name: "description", content: seoDescription + "_" + seoName + "_" + seoSuffix, tagPriority: 10 },
        { name: "keywords", content: seoKeywords + "_" + seoName + "_" + seoSuffix, tagPriority: 10 }
      ]
    });
    return (_ctx, _push, _parent, _attrs) => {
      const _component_HomePageHead = __nuxt_component_0;
      const _component_HomePageNavigation1 = __nuxt_component_1;
      const _component_HomeTopTen = _sfc_main$1;
      const _component_NuxtLink = __nuxt_component_2;
      const _component_HomeFoot1 = __nuxt_component_3;
      _push(`<div${ssrRenderAttrs(mergeProps({ id: "newsList" }, _attrs))} data-v-565a5f2b>`);
      _push(ssrRenderComponent(_component_HomePageHead, null, null, _parent));
      _push(ssrRenderComponent(_component_HomePageNavigation1, null, null, _parent));
      if (unref(adImg1)) {
        _push(ssrRenderComponent(_component_HomeTopTen, { imgurl: unref(adImg1) }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`<div class="breadcrumb" data-v-565a5f2b><div class="inner" data-v-565a5f2b><span class="location" data-v-565a5f2b>\u5F53\u524D\u4F4D\u7F6E:</span>`);
      _push(ssrRenderComponent(unref(ElBreadcrumb), { "separator-icon": unref(ArrowRight) }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(unref(ElBreadcrumbItem), null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_NuxtLink, { to: "/" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`\u9996\u9875`);
                      } else {
                        return [
                          createTextVNode("\u9996\u9875")
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_NuxtLink, { to: "/" }, {
                      default: withCtx(() => [
                        createTextVNode("\u9996\u9875")
                      ]),
                      _: 1
                    })
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(unref(ElBreadcrumbItem), null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`\u672C\u7F51\u62DB\u8058`);
                } else {
                  return [
                    createTextVNode("\u672C\u7F51\u62DB\u8058")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode(unref(ElBreadcrumbItem), null, {
                default: withCtx(() => [
                  createVNode(_component_NuxtLink, { to: "/" }, {
                    default: withCtx(() => [
                      createTextVNode("\u9996\u9875")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }),
              createVNode(unref(ElBreadcrumbItem), null, {
                default: withCtx(() => [
                  createTextVNode("\u672C\u7F51\u62DB\u8058")
                ]),
                _: 1
              })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div><div class="newsList" data-v-565a5f2b><div class="inner" data-v-565a5f2b><div class="innerLeft" data-v-565a5f2b><div class="projectMoreBox" data-v-565a5f2b><div class="projectMoreTitle" data-v-565a5f2b>\u793E\u4F1A\u4FDD\u969C\u5728\u7EBF\u7F51</div><div class="projectMoreText" data-v-565a5f2b><p data-v-565a5f2b><b data-v-565a5f2b>\u653F\u8BAF\u901A\xB7\u5168\u56FD\u6587\u5316\u65C5\u6E38\u9879\u76EE</b>\u7F51\u7EDC\u5E73\u53F0\u7531<b data-v-565a5f2b>\u653F\u8BAF\u901A-\u5168\u56FD\u653F\u52A1\u4FE1\u606F\u4E00\u4F53\u5316\u529E\u516C\u5BA4</b>\u4E3B\u7BA1\uFF0C\u8054\u540830\u591A\u5BB6\u4F01\u4E8B\u4E1A\u5355\u4F4D\u7EC4\u6210\uFF0C\u7531\u5317\u4EAC\u653F\u8BAF\u901A\u6587\u5316\u4F20\u64AD\u6709\u9650\u516C\u53F8\u5BF9\u5916\u7275\u5934\u8FD0\u8425\u3002</p><p data-v-565a5f2b><b data-v-565a5f2b>\u653F\u8BAF\u901A\xB7\u5168\u56FD\u6587\u5316\u65C5\u6E38\u9879\u76EE</b>\u7F51\u7EDC\u5E73\u53F0\u6709\u653F\u52A1\u3001\u884C\u4E1A\u72EC\u7ACB\u57DF\u540D\u7F51\u7AD9\u5404<b data-v-565a5f2b>100</b>\u4E2A\u548C<b data-v-565a5f2b>4</b>\u4E2A\u7EFC\u5408\u7BA1\u7406\u7F51\u7AD9\u5171<b data-v-565a5f2b>204</b>\u4E2A\u7F51\u7AD9\uFF0C\u6309\u7167\u4E0D\u540C\u7684\u884C\u4E1A\u548C\u529F\u80FD\u5206\u7C7B\u4E3A\u7528\u6237\u63D0\u4F9B\u5927\u4F53\u7CFB\u3001\u5E7F\u9886\u57DF\u3001\u5168\u65B9\u4F4D\u3001\u5168\u8FC7\u7A0B\uFF0C\u6709\u9488\u5BF9\u6027\u7684\u5168\u56FD\u6027\u6587\u5316\u65C5\u6E38\u6CD5\u5236\u7EFC\u5408\u670D\u52A1\u5E73\u53F0\u3002</p><p data-v-565a5f2b><b data-v-565a5f2b>\u653F\u8BAF\u901A\xB7\u5168\u56FD\u65C5\u6E38\u8D44\u8BAF\u53D1\u5E03\u4E2D\u5FC3</b>\u662F<b data-v-565a5f2b>\u653F\u8BAF\u901A\xB7\u5168\u56FD\u6587\u5316\u65C5\u6E38\u9879\u76EE</b>\u7F51\u7EDC\u5E73\u53F0\u76844\u4E2A\u7EFC\u5408\u7BA1\u7406\u7F51\u7AD9\u4E4B\u4E00\uFF0C\u76EE\u524D\u5F00\u8BBE\u4E86\u680F\u76EE\u4E0A\u5343\u4E2A\uFF0C\u5730\u5E02\u4E2D\u5FC3\u53EF\u5168\u9762\u8986\u76D6\u6211\u56FD334\u4E2A\u5730\u7EA7\u5E02\uFF0C<b data-v-565a5f2b>\u4E1A\u52A1\u8303\u56F4</b>\u6DB5\u76D6\u65C5\u6E38\u8D44\u8BAF\u3001\u8207\u60C5\u76D1\u6D4B\u3001\u6CD5\u5F8B\u54A8\u8BE2\u3001\u65C5\u6E38\u8C03\u7814\u3001\u6CD5\u5F8B\u5BA3\u4F20\u3001\u7FA4\u4F17\u76D1\u7763\u3001\u65C5\u6E38\u5B89\u5168\u7B49\u9886\u57DF\uFF0C\u65E5\u5747\u4F1A\u5458\u8BBF\u95EE\u91CF\u8D85\u8FC7\u4E07\u6B21\uFF0C\u7D2F\u8BA1\u5B8C\u6210\u6587\u5316\u65C5\u6E38\u9886\u57DF\u6CD5\u5236\u8C03\u7814\u8BFE\u9898\u5343\u4F59\u4EF6\uFF0C\u7F51\u7EDC\u4FE1\u606F\u5316\u4F1A\u5458\u904D\u5E03\u5168\u56FD\u5404\u5730\uFF0C\u5B9E\u65BD<b data-v-565a5f2b>\u884C\u4E1A\u3001\u533A\u57DF</b>\u5168\u8986\u76D6\uFF0C\u662F\u6211\u56FD\u5177\u6709\u5E7F\u6CDB\u4F20\u64AD\u529B\u3001\u5F71\u54CD\u529B\u7684\u65B0\u578B\u4E3B\u6D41\u5A92\u4F53\u3002</p></div></div><div class="innerTitle" data-v-565a5f2b>\u672C\u7F51\u62DB\u8058</div><ul class="list" data-v-565a5f2b><!--[-->`);
      ssrRenderList(newsList.value, (item, index) => {
        _push(`<li data-v-565a5f2b>`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: { path: `zhaopin/${item.id}.html` },
          title: item.con_title
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`${ssrInterpolate(item.con_title)}`);
            } else {
              return [
                createTextVNode(toDisplayString(item.con_title), 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</li>`);
      });
      _push(`<!--]--></ul></div><div class="innerRight" data-v-565a5f2b><div class="rightMenuTitle" data-v-565a5f2b>\u5BFC\u822A\u5217\u8868</div><ul data-v-565a5f2b><!--[-->`);
      ssrRenderList(bottomMenu.value, (item, index) => {
        _push(`<li data-v-565a5f2b>`);
        if (item.id == unref(pageId) && item.id != 7) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: `/about/${item.name_pinyin}/index.html`,
            title: item.name,
            class: "active"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.name)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.name), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else if (item.id != unref(pageId) && item.id != 7) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: `/about/${item.name_pinyin}/index.html`,
            title: item.name
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.name)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.name), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        if (item.id == 7 && unref(pageId) == 7) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: `/about/${item.name_pinyin}/list-1.html`,
            title: item.name,
            class: "active"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.name)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.name), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else if (item.id == 7) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: `/about/${item.name_pinyin}/list-1.html`,
            title: item.name
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.name)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.name), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`</li>`);
      });
      _push(`<!--]--></ul></div><div style="${ssrRenderStyle({ "clear": "both" })}" data-v-565a5f2b></div></div></div>`);
      if (unref(adImg2)) {
        _push(ssrRenderComponent(_component_HomeTopTen, { imgurl: unref(adImg2) }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(ssrRenderComponent(_component_HomeFoot1, null, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/about/[dir]/list-[id].vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const list__id_ = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-565a5f2b"]]);

export { list__id_ as default };
//# sourceMappingURL=list-_id_-CF2bW2D5.mjs.map
