import { r as requestDataPromise, b as __nuxt_component_2 } from './nuxt-link-CT-wIPZG.mjs';
import { useSSRContext, ref, mergeProps, withCtx, createTextVNode, unref, openBlock, createBlock, toDisplayString } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderList, ssrInterpolate } from 'vue/server-renderer';
import { _ as _export_sfc, u as useNuxtApp, a as useRoute } from './server.mjs';

const _sfc_main = {
  __name: "pageNavigation1",
  __ssrInlineRender: true,
  setup(__props) {
    const nuxtApp = useNuxtApp();
    nuxtApp.$axios;
    const route = useRoute();
    const routeId = route.params.id;
    const navigation1 = ref("");
    async function getPageData2() {
      const mkdata = await requestDataPromise("/web/getWebsiteModelCategory", {
        method: "GET",
        query: {
          "placeid": 1,
          "pid": 0,
          "num": 35
        }
      });
      navigation1.value = mkdata.data;
    }
    getPageData2();
    const getLinkPath = (item) => {
      if (item.is_url == 1) {
        return `${item.web_url}`;
      } else if (item.children_count == 0) {
        return `/${item.aLIas_pinyin}/list-1.html`;
      } else {
        return `/${item.aLIas_pinyin}/index.html`;
      }
    };
    ref("");
    ref("");
    ref("");
    ref("");
    ref("");
    let provinceList = ref("");
    ref("");
    ref("");
    ref("");
    ref("");
    ref("");
    ref("");
    ref("");
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_2;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "navigate" }, _attrs))} data-v-dcdaefc5><div class="partOne" data-v-dcdaefc5><div class="inner" data-v-dcdaefc5><div class="navLeft" data-v-dcdaefc5><div class="navIndex" data-v-dcdaefc5>`);
      _push(ssrRenderComponent(_component_NuxtLink, { to: "/" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`\u9996\u9875`);
          } else {
            return [
              createTextVNode("\u9996\u9875")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="navClass" data-v-dcdaefc5><div data-v-dcdaefc5>\u4E3B\u9898\u8D44\u8BAF</div><div data-v-dcdaefc5>\u4E92\u52A8\u8D44\u8BAF</div></div></div><ul class="navigationOne" data-v-dcdaefc5><!--[-->`);
      ssrRenderList(navigation1.value, (item, index) => {
        _push(`<li data-v-dcdaefc5>`);
        if (index <= 23) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPath(item),
            title: item.alias,
            target: item.is_url == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                if (item.category_id == unref(routeId)) {
                  _push2(`<span class="active" data-v-dcdaefc5${_scopeId}>${ssrInterpolate(item.alias)}</span>`);
                } else {
                  _push2(`<span data-v-dcdaefc5${_scopeId}>${ssrInterpolate(item.alias)}</span>`);
                }
              } else {
                return [
                  item.category_id == unref(routeId) ? (openBlock(), createBlock("span", {
                    key: 0,
                    class: "active"
                  }, toDisplayString(item.alias), 1)) : (openBlock(), createBlock("span", { key: 1 }, toDisplayString(item.alias), 1))
                ];
              }
            }),
            _: 2
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`</li>`);
      });
      _push(`<!--]--></ul></div></div><div class="cityBox" data-v-dcdaefc5><div class="cityMain" data-v-dcdaefc5><div class="cityTitle" data-v-dcdaefc5>\u5730\u65B9\u9891\u9053</div><ul class="cityList" data-v-dcdaefc5><!--[-->`);
      ssrRenderList(unref(provinceList), (item) => {
        _push(`<li data-v-dcdaefc5>`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: { path: `/search/${item.id}` }
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`${ssrInterpolate(item.abbreviation)}`);
            } else {
              return [
                createTextVNode(toDisplayString(item.abbreviation), 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</li>`);
      });
      _push(`<!--]--></ul></div></div></div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/home/pageNavigation1.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const __nuxt_component_1 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-dcdaefc5"]]);

export { __nuxt_component_1 as _ };
//# sourceMappingURL=pageNavigation1-CX3JDA81.mjs.map
