import { r as requestDataPromise, b as __nuxt_component_2 } from './nuxt-link-CT-wIPZG.mjs';
import { useSSRContext, ref, mergeProps, withCtx, createTextVNode, unref, openBlock, createBlock, toDisplayString, Fragment, renderList, isRef } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderList, ssrInterpolate } from 'vue/server-renderer';
import { ElSelect, ElOption } from 'element-plus';
import { _ as _export_sfc, u as useNuxtApp, a as useRoute } from './server.mjs';

const _sfc_main = {
  __name: "pageNavigation",
  __ssrInlineRender: true,
  setup(__props) {
    const nuxtApp = useNuxtApp();
    nuxtApp.$axios;
    const route = useRoute();
    const routeId = route.params.id;
    const navigation1 = ref("");
    async function getPageData2() {
      const mkdata = await requestDataPromise("/web/getWebsiteModelCategory", {
        method: "GET",
        query: {
          "placeid": 1,
          "pid": 0,
          "num": 35
        }
      });
      navigation1.value = mkdata.data;
    }
    getPageData2();
    const getLinkPath = (item) => {
      if (item.is_url == 1) {
        return `${item.web_url}`;
      } else if (item.children_count == 0) {
        return `/${item.aLIas_pinyin}/list-1.html`;
      } else {
        return `/${item.aLIas_pinyin}/index.html`;
      }
    };
    let department = ref("");
    const depValue = ref("");
    ref("");
    let province = ref("");
    let provinceid = ref("");
    let provinceList = ref("");
    let city = ref("");
    let cityid = ref("");
    let cityList = ref("");
    let region = ref("");
    let regionList = ref("");
    let change = async (id) => {
      provinceid.value = id;
      const shengData = await requestDataPromise("/web/selectWebsiteArea", {
        method: "GET",
        query: {
          "pid": id
        }
      });
      cityList.value = shengData.data;
    };
    let change1 = async (id) => {
      cityid.value = id;
      const xianData = await requestDataPromise("/web/selectWebsiteArea", {
        method: "GET",
        query: {
          "pid": id
        }
      });
      regionList.value = xianData.data;
    };
    ref("");
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_2;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "navigate" }, _attrs))} data-v-7f6266f0><div class="partOne" data-v-7f6266f0><div class="inner" data-v-7f6266f0><div class="navLeft" data-v-7f6266f0><div class="navIndex" data-v-7f6266f0>`);
      _push(ssrRenderComponent(_component_NuxtLink, { to: "/" }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`\u9996\u9875`);
          } else {
            return [
              createTextVNode("\u9996\u9875")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div><div class="navClass" data-v-7f6266f0><div data-v-7f6266f0>\u4E3B\u9898\u8D44\u8BAF</div><div data-v-7f6266f0>\u4E92\u52A8\u8D44\u8BAF</div></div></div><ul class="navigationOne" data-v-7f6266f0><!--[-->`);
      ssrRenderList(navigation1.value, (item, index) => {
        _push(`<li data-v-7f6266f0>`);
        if (index <= 23) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPath(item),
            title: item.alias,
            target: item.is_url == 1 ? "_blank" : "_self"
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                if (item.category_id == unref(routeId)) {
                  _push2(`<span class="active" data-v-7f6266f0${_scopeId}>${ssrInterpolate(item.alias)}</span>`);
                } else {
                  _push2(`<span data-v-7f6266f0${_scopeId}>${ssrInterpolate(item.alias)}</span>`);
                }
              } else {
                return [
                  item.category_id == unref(routeId) ? (openBlock(), createBlock("span", {
                    key: 0,
                    class: "active"
                  }, toDisplayString(item.alias), 1)) : (openBlock(), createBlock("span", { key: 1 }, toDisplayString(item.alias), 1))
                ];
              }
            }),
            _: 2
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`</li>`);
      });
      _push(`<!--]--></ul></div></div><div class="cityBox" data-v-7f6266f0><div class="cityMain" data-v-7f6266f0><div class="cityTitle" data-v-7f6266f0>\u5730\u65B9\u9891\u9053</div>`);
      if (unref(provinceList).length > 0) {
        _push(`<ul class="cityList" data-v-7f6266f0><!--[-->`);
        ssrRenderList(unref(provinceList), (item) => {
          _push(`<li data-v-7f6266f0>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: { path: `/search/${item.id}` }
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.abbreviation)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.abbreviation), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</li>`);
        });
        _push(`<!--]--></ul>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div><div class="select" data-v-7f6266f0><div class="inner" data-v-7f6266f0><div class="role left" data-v-7f6266f0><div class="title" data-v-7f6266f0>\u884C\u653F\u804C\u80FD\u67E5\u8BE2</div><div class="searchRole" data-v-7f6266f0>`);
      _push(ssrRenderComponent(unref(ElSelect), {
        modelValue: depValue.value,
        "onUpdate:modelValue": ($event) => depValue.value = $event,
        placeholder: "\u804C\u80FD\u90E8\u95E8",
        filterable: "",
        size: "large",
        style: { "width": "330px" }
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<!--[-->`);
            ssrRenderList(unref(department), (item, index) => {
              _push2(ssrRenderComponent(unref(ElOption), {
                key: index,
                label: item.name,
                value: item.id
              }, null, _parent2, _scopeId));
            });
            _push2(`<!--]-->`);
          } else {
            return [
              (openBlock(true), createBlock(Fragment, null, renderList(unref(department), (item, index) => {
                return openBlock(), createBlock(unref(ElOption), {
                  key: index,
                  label: item.name,
                  value: item.id
                }, null, 8, ["label", "value"]);
              }), 128))
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<em data-v-7f6266f0></em></div></div><div class="region left" data-v-7f6266f0><div class="title" data-v-7f6266f0>\u884C\u653F\u533A\u5212\u67E5\u8BE2</div>`);
      if (unref(provinceList).length > 0) {
        _push(`<div class="searchRole" data-v-7f6266f0>`);
        _push(ssrRenderComponent(unref(ElSelect), {
          modelValue: unref(province),
          "onUpdate:modelValue": ($event) => isRef(province) ? province.value = $event : province = $event,
          placeholder: "\u8BF7\u9009\u62E9\u7701",
          size: "large",
          style: { "width": "80px" }
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<!--[-->`);
              ssrRenderList(unref(provinceList), (item) => {
                _push2(ssrRenderComponent(unref(ElOption), {
                  key: item.id,
                  label: item.name,
                  onClick: ($event) => unref(change)(item.id),
                  value: item.id
                }, null, _parent2, _scopeId));
              });
              _push2(`<!--]-->`);
            } else {
              return [
                (openBlock(true), createBlock(Fragment, null, renderList(unref(provinceList), (item) => {
                  return openBlock(), createBlock(unref(ElOption), {
                    key: item.id,
                    label: item.name,
                    onClick: ($event) => unref(change)(item.id),
                    value: item.id
                  }, null, 8, ["label", "onClick", "value"]);
                }), 128))
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`<i data-v-7f6266f0></i>`);
        _push(ssrRenderComponent(unref(ElSelect), {
          modelValue: unref(city),
          "onUpdate:modelValue": ($event) => isRef(city) ? city.value = $event : city = $event,
          placeholder: "\u8BF7\u9009\u62E9\u5E02",
          "no-data-text": "\u8BF7\u5148\u9009\u62E9\u7701\u4EFD",
          size: "large",
          style: { "width": "80px" }
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<!--[-->`);
              ssrRenderList(unref(cityList), (item, index) => {
                _push2(ssrRenderComponent(unref(ElOption), {
                  key: item.id,
                  label: item.name,
                  onClick: ($event) => unref(change1)(item.id),
                  value: item.id
                }, null, _parent2, _scopeId));
              });
              _push2(`<!--]-->`);
            } else {
              return [
                (openBlock(true), createBlock(Fragment, null, renderList(unref(cityList), (item, index) => {
                  return openBlock(), createBlock(unref(ElOption), {
                    key: item.id,
                    label: item.name,
                    onClick: ($event) => unref(change1)(item.id),
                    value: item.id
                  }, null, 8, ["label", "onClick", "value"]);
                }), 128))
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`<i data-v-7f6266f0></i>`);
        _push(ssrRenderComponent(unref(ElSelect), {
          modelValue: unref(region),
          "onUpdate:modelValue": ($event) => isRef(region) ? region.value = $event : region = $event,
          placeholder: "\u8BF7\u9009\u62E9\u533A/\u53BF",
          "no-data-text": "\u8BF7\u5148\u9009\u62E9\u5E02",
          size: "large",
          style: { "width": "100px" }
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<!--[-->`);
              ssrRenderList(unref(regionList), (item) => {
                _push2(ssrRenderComponent(unref(ElOption), {
                  key: item.id,
                  label: item.name,
                  value: item.id
                }, null, _parent2, _scopeId));
              });
              _push2(`<!--]-->`);
            } else {
              return [
                (openBlock(true), createBlock(Fragment, null, renderList(unref(regionList), (item) => {
                  return openBlock(), createBlock(unref(ElOption), {
                    key: item.id,
                    label: item.name,
                    value: item.id
                  }, null, 8, ["label", "value"]);
                }), 128))
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`<em data-v-7f6266f0></em></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></div></div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/home/pageNavigation.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const __nuxt_component_1 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-7f6266f0"]]);
const getTime = function(time, type, style) {
  const date = new Date(time);
  const year = date.getFullYear();
  const month = date.getMonth() + 1;
  const day = date.getDate();
  if (type == "year" && style == 1) {
    return `${year}-${month}-${day}`;
  }
  if (type == "year" && style == 2) {
    return `${year}-${month}`;
  }
  if (type == "year" && style == 3) {
    return `${year}`;
  }
  if (type == "month" && style == 1) {
    return `${month}-${day}`;
  }
  if (type == "month" && style == 2) {
    return `${month}.${day}`;
  }
  if (type == "day" && style == 1) {
    return `${day}`;
  }
};

export { __nuxt_component_1 as _, getTime as g };
//# sourceMappingURL=publicFunction-Dw0cPJGx.mjs.map
