const interopDefault = r => r.default || r || [];
const styles = {
  "node_modules/nuxt/dist/app/entry.js": () => import('./entry-styles.2URO5O4X.mjs').then(interopDefault),
  "error.vue": () => import('./error-styles.BhTMVrlx.mjs').then(interopDefault),
  "pages/[dir]/[dir]/[id].vue": () => import('./_id_-styles.BrvsGJTK.mjs').then(interopDefault),
  "error.vue?vue&type=style&index=0&scoped=05330bff&lang.less": () => import('./error-styles.l-XrQkNp.mjs').then(interopDefault),
  "pages/[dir]/[dir]/list-[id].vue": () => import('./list-_id_-styles.CMPlzjgI.mjs').then(interopDefault),
  "pages/[dir]/[id].vue": () => import('./_id_-styles.BCJTcwhY.mjs').then(interopDefault),
  "pages/[dir]/index.html.vue": () => import('./index.html-styles.70pPWxnk.mjs').then(interopDefault),
  "pages/[dir]/list-[id].vue": () => import('./list-_id_-styles.IkFlDCgE.mjs').then(interopDefault),
  "pages/about/[dir]/[dir]/[id].vue": () => import('./_id_-styles.CiOk3-M2.mjs').then(interopDefault),
  "pages/about/[dir]/index.html.vue": () => import('./index.html-styles.wty-2ntT.mjs').then(interopDefault),
  "pages/advertising/adDetail.vue": () => import('./adDetail-styles.CYFiGeF2.mjs').then(interopDefault),
  "pages/about/[dir]/list-[id].vue": () => import('./list-_id_-styles.BZnuKVtV.mjs').then(interopDefault),
  "pages/advertising/index.vue": () => import('./index-styles.CbMTHvMF.mjs').then(interopDefault),
  "pages/index.vue": () => import('./index-styles.DXuG8zhQ.mjs').then(interopDefault),
  "pages/search/[id].vue": () => import('./_id_-styles.C2Gwy4hN.mjs').then(interopDefault),
  "pages/topic/[id].vue": () => import('./_id_-styles.OkxcW8Sk.mjs').then(interopDefault),
  "pages/topic/index.vue": () => import('./index-styles.BkA-Oo3A.mjs').then(interopDefault),
  "pages/topic/index.vue?vue&type=style&index=0&scoped=ad30e183&lang.less": () => import('./index-styles.DaOEYgzD.mjs').then(interopDefault),
  "components/home/SecondaryHeading.vue": () => import('./SecondaryHeading-styles.dqPEaRDf.mjs').then(interopDefault),
  "components/home/pageHead.vue": () => import('./pageHead-styles.CzJ0yzuo.mjs').then(interopDefault),
  "components/home/TopTen.vue": () => import('./TopTen-styles.DXHOBN7T.mjs').then(interopDefault),
  "components/home/foot1.vue": () => import('./foot1-styles.CY-vbrjc.mjs').then(interopDefault),
  "components/home/pageNavigation.vue": () => import('./pageNavigation-styles.D16qDvse.mjs').then(interopDefault),
  "pages/[dir]/index.html.vue?vue&type=style&index=0&scoped=36827488&lang.less": () => import('./index.html-styles.tkTw_fBC.mjs').then(interopDefault),
  "pages/about/[dir]/[dir]/[id].vue?vue&type=style&index=0&scoped=75d01801&lang.less": () => import('./_id_-styles.BtPb7CSU.mjs').then(interopDefault),
  "components/home/PageMessage.vue": () => import('./PageMessage-styles.BHzYSU1e.mjs').then(interopDefault),
  "components/home/Slider.vue": () => import('./Slider-styles.CrS2j-WH.mjs').then(interopDefault),
  "components/home/Advertising.vue": () => import('./Advertising-styles.Dl_MfKYj.mjs').then(interopDefault),
  "components/home/MoreService.vue": () => import('./MoreService-styles.BbYMocdT.mjs').then(interopDefault),
  "components/home/foot.vue": () => import('./foot-styles.D3hfSOWg.mjs').then(interopDefault),
  "components/home/SecondaryHeading.vue?vue&type=style&index=0&scoped=2e1a1e7a&lang.less": () => import('./SecondaryHeading-styles.DfKamPQz.mjs').then(interopDefault),
  "components/home/TopTen.vue?vue&type=style&index=0&lang.less": () => import('./TopTen-styles.DSjq0lYH.mjs').then(interopDefault),
  "components/home/pageNavigation1.vue": () => import('./pageNavigation1-styles.DRlwSEVR.mjs').then(interopDefault),
  "components/home/PageMessage.vue?vue&type=style&index=0&scoped=fbac2168&lang.less": () => import('./PageMessage-styles.gh_1W-O6.mjs').then(interopDefault),
  "components/home/Slider.vue?vue&type=style&index=0&scoped=aebae45b&lang.less": () => import('./Slider-styles.D_1m7unQ.mjs').then(interopDefault),
  "components/home/Advertising.vue?vue&type=style&index=0&lang.less": () => import('./Advertising-styles.ChTaAF81.mjs').then(interopDefault),
  "components/home/MoreService.vue?vue&type=style&index=0&lang.less": () => import('./MoreService-styles.C8JLxUUI.mjs').then(interopDefault),
  "pages/advertising/adDetail.vue?vue&type=style&index=0&scoped=be53a981&lang.less": () => import('./adDetail-styles.B8GHwzZN.mjs').then(interopDefault),
  "pages/about/[dir]/index.html.vue?vue&type=style&index=0&scoped=80cbbc66&lang.less": () => import('./index.html-styles.CHxmt8UL.mjs').then(interopDefault),
  "components/detail/HotNews.vue": () => import('./HotNews-styles.CUrU7M-G.mjs').then(interopDefault),
  "components/detail/HotNews2.vue": () => import('./HotNews2-styles.BQbB6WCN.mjs').then(interopDefault),
  "pages/[dir]/list-[id].vue?vue&type=style&index=0&scoped=d6d36a15&lang.less": () => import('./list-_id_-styles.xbzurxTr.mjs').then(interopDefault),
  "pages/index.vue?vue&type=style&index=0&scoped=d81775c4&lang.less": () => import('./index-styles.ChUD6KcU.mjs').then(interopDefault),
  "pages/topic/[id].vue?vue&type=style&index=0&scoped=b606fd40&lang.less": () => import('./_id_-styles.BY--G8lS.mjs').then(interopDefault),
  "pages/about/[dir]/list-[id].vue?vue&type=style&index=0&scoped=565a5f2b&lang.less": () => import('./list-_id_-styles.CtBsCJC5.mjs').then(interopDefault),
  "components/detail/HotNews.vue?vue&type=style&index=0&scoped=83a8ffb1&lang.less": () => import('./HotNews-styles.BiijAfsb.mjs').then(interopDefault),
  "components/detail/HotNews2.vue?vue&type=style&index=0&scoped=0ef727cf&lang.less": () => import('./HotNews2-styles.B2inkq8T.mjs').then(interopDefault),
  "components/home/BigTitle_List.vue": () => import('./BigTitle_List-styles.Hcw6k5kI.mjs').then(interopDefault),
  "components/home/BigSwiper.vue": () => import('./BigSwiper-styles.DuAJxWs-.mjs').then(interopDefault),
  "pages/[dir]/[dir]/list-[id].vue?vue&type=style&index=0&scoped=95c5399b&lang.less": () => import('./list-_id_-styles.BFlY3QUj.mjs').then(interopDefault),
  "pages/advertising/index.vue?vue&type=style&index=0&scoped=ed2015e8&lang.less": () => import('./index-styles.CGwze9KY.mjs').then(interopDefault),
  "components/home/BigTitle_List.vue?vue&type=style&index=0&scoped=1f5b2766&lang.less": () => import('./BigTitle_List-styles.AsM_K-Sj.mjs').then(interopDefault),
  "components/home/BigSwiper.vue?vue&type=style&index=0&scoped=26f6c437&lang.less": () => import('./BigSwiper-styles.CgSUR611.mjs').then(interopDefault),
  "components/home/pageHead.vue?vue&type=style&index=0&scoped=4340c4ad&lang.less": () => import('./pageHead-styles.CNOITk7S.mjs').then(interopDefault),
  "components/home/Pagination.vue": () => import('./Pagination-styles.DTPp5exw.mjs').then(interopDefault),
  "components/home/Pagination.vue?vue&type=style&index=0&scoped=e8c53e44&lang.less": () => import('./Pagination-styles.DIG7HwDi.mjs').then(interopDefault),
  "pages/[dir]/[dir]/[id].vue?vue&type=style&index=0&scoped=90a1ba44&lang.less": () => import('./_id_-styles.BV2GXp5J.mjs').then(interopDefault),
  "components/advertising/OrderList.vue": () => import('./OrderList-styles.yioYsbJT.mjs').then(interopDefault),
  "pages/[dir]/[id].vue?vue&type=style&index=0&scoped=c010bcbc&lang.less": () => import('./_id_-styles.5RuKYbjc.mjs').then(interopDefault),
  "components/advertising/OrderList.vue?vue&type=style&index=0&scoped=da50cf88&lang.less": () => import('./OrderList-styles.F6P-Oi-R.mjs').then(interopDefault),
  "pages/search/[id].vue?vue&type=style&index=0&scoped=9d80a7d8&lang.less": () => import('./_id_-styles.BHUuHcxu.mjs').then(interopDefault),
  "components/home/pageNavigation.vue?vue&type=style&index=0&scoped=7f6266f0&lang.less": () => import('./pageNavigation-styles.DfSEwtPK.mjs').then(interopDefault),
  "components/home/pageNavigation1.vue?vue&type=style&index=0&scoped=dcdaefc5&lang.less": () => import('./pageNavigation1-styles.Du7epqZQ.mjs').then(interopDefault),
  "components/home/foot1.vue?vue&type=style&index=0&scoped=4ffa27e4&lang.less": () => import('./foot1-styles.CJOnF5Fq.mjs').then(interopDefault),
  "components/home/foot.vue?vue&type=style&index=0&scoped=39e1648e&lang.less": () => import('./foot-styles.CdImUFVV.mjs').then(interopDefault)
};

export { styles as default };
//# sourceMappingURL=styles.mjs.map
