import { r as requestDataPromise, u as useSeoMeta, _ as __nuxt_component_0, b as __nuxt_component_2$1 } from './nuxt-link-CT-wIPZG.mjs';
import { g as getTime, _ as __nuxt_component_1 } from './publicFunction-Dw0cPJGx.mjs';
import { useSSRContext, withAsyncContext, ref, unref, withCtx, createTextVNode, toDisplayString, createVNode, mergeProps } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderAttr, ssrRenderList } from 'vue/server-renderer';
import { _ as _export_sfc, a as useRoute } from './server.mjs';
import { _ as _sfc_main$2 } from './TopTen-DeGWOUBH.mjs';
import { _ as __nuxt_component_3 } from './foot1-D3tno6Bd.mjs';
import { ElMessage } from 'element-plus';
import '@unhead/shared';
import 'js-cookie';
import '../_/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:url';
import 'node:path';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import 'vue-router';
import 'pinia';

const _sfc_main$1 = {
  __name: "SecondaryHeading",
  __ssrInlineRender: true,
  props: {
    titleData: Array,
    pinyinid: Number
  },
  setup(__props) {
    const props = __props;
    const title = ref("");
    async function getPageData() {
      const mkdata = await requestDataPromise("/web/getOneWebsiteCategory", {
        method: "GET",
        query: {
          "catid": props.pinyinid
        }
      });
      if (mkdata.code == 200) {
        title.value = mkdata.data.alias;
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u83B7\u53D6\u4E8C\u7EA7\u6807\u9898");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", mkdata.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    }
    getPageData();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_2$1;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "sannongzhichuang" }, _attrs))} data-v-2e1a1e7a><div class="inner" data-v-2e1a1e7a><h2 data-v-2e1a1e7a>${ssrInterpolate(unref(title))} <em class="iconfont icon-xingzhuang-zhijiaosanjiaoxing-copy" data-v-2e1a1e7a></em></h2><div class="introduction" data-v-2e1a1e7a><strong data-v-2e1a1e7a>\u9891\u9053\u4ECB\u7ECD</strong><!--[-->`);
      ssrRenderList(__props.titleData, (item, index) => {
        _push(`<div data-v-2e1a1e7a>`);
        if (index <= 7) {
          _push(`<span data-v-2e1a1e7a>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: { path: `/${item.aLIas_pinyin}/list-1.html` }
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.alias)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.alias), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</span>`);
        } else {
          _push(`<b data-v-2e1a1e7a></b>`);
        }
        _push(`</div>`);
      });
      _push(`<!--]--></div></div></div>`);
    };
  }
};
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/home/SecondaryHeading.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : undefined;
};
const __nuxt_component_2 = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-2e1a1e7a"]]);
const _sfc_main = {
  __name: "index.html",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    const getLinkPath = (item) => {
      return `/${item.aLIas_pinyin}/list-1.html`;
    };
    const getLinkPathDetail = (item) => {
      if (item.islink == 1) {
        return `${item.linkurl}`;
      } else {
        return `/${item.pinyin}/${item.id}.html`;
      }
    };
    const route = useRoute();
    const fullPath = route.path;
    const segments = fullPath.split("/");
    const targetSegment = segments[1];
    let routeId;
    const getRouteId = ([__temp, __restore] = withAsyncContext(() => requestDataPromise("/web/getWebsiteRoute", {
      method: "GET",
      query: {
        "pinyin": targetSegment
      }
    })), __temp = await __temp, __restore(), __temp);
    if (getRouteId.code == 200) {
      routeId = getRouteId.data.category_id;
    } else {
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u901A\u8FC7url\u8DEF\u5F84\u67E5\u8BE2\u5BFC\u822A\u6C60id");
      console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", getRouteId.message);
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
    }
    const hoverStatus = ref(0);
    ref(1);
    let adImg1 = ref({});
    let adImg2 = ref({});
    let adImg3 = ref({});
    let adImg4 = ref({});
    ref([]);
    const pageData = ref([
      // { id: 0, data: [], data2: [], title: "", cid: "" },
      // { id: 1, data: [], title: "", cid: "" },
      // { id: 2, data: [], title: "", cid: "" },
      // { id: 3, data: [], title: "", cid: "" },
      // { id: 4, data: [], title: "", cid: "" },
      // { id: 5, data: [], title: "", cid: "" },
      // { id: 6, data: [], title: "", cid: "" },
      // { id: 7, data: [], title: "", cid: "" },
      // { id: 8, data: [], title: "", cid: "" },
      // { id: 9, data: [], title: "", cid: "" },
      // { id: 10, data: [], title: "", cid: "" },
      // { id: 10, data: [], title: "", cid: "" },
      // {
      //     id: 11,
      //     title: "",
      //     data: [],
      //     data1: [],
      //     data2: [],
      //     data3: [],
      //     data4: [],
      //     category_id1: "",
      //     category_id2: "",
      //     category_id3: "",
      //     category_id4: "",
      //     title1: "",
      //     title2: "",
      //     title3: "",
      //     title4: "",
      //     cid: ""
      // },
      // { id: 12, data1: [], data2: [], data3: [], cid: "" },
    ]);
    ref("");
    try {
      const navigateData = ([__temp, __restore] = withAsyncContext(() => requestDataPromise("/web/getWebsiteModelCategory", {
        method: "GET",
        query: {
          "placeid": 1,
          "pid": routeId,
          "num": 8
        }
      })), __temp = await __temp, __restore(), __temp);
      if (navigateData.code == 200) {
        for (let index in navigateData.data) {
          let data = {
            title: navigateData.data[index].name,
            cid: navigateData.data[index].category_id,
            children_count: navigateData.data[index].children_count,
            alias: navigateData.data[index].alias,
            aLIas_pinyin: targetSegment + "/" + navigateData.data[index].aLIas_pinyin,
            data: [],
            data1: [],
            data2: [],
            data3: [],
            data4: [],
            category_id1: "",
            category_id2: "",
            category_id3: "",
            category_id4: "",
            title1: "",
            title2: "",
            title3: "",
            title4: ""
          };
          if (navigateData.data[index].is_url == 1) {
          } else {
            pageData.value.push(data);
          }
        }
        let getJson = [
          { "parent": routeId + ",0,0", "child": pageData.value[0].cid + ",5,8" },
          //模块1理论前沿
          { "parent": routeId + ",0,0", "child": pageData.value[1].cid + ",5,0" },
          //模块2典型经验
          { "parent": routeId + ",0,0", "child": pageData.value[2].cid + ",1,6" },
          //模块3农业天地
          { "parent": routeId + ",0,0", "child": pageData.value[3].cid + ",1,6" },
          //模块4美丽乡村
          { "parent": routeId + ",0,0", "child": pageData.value[4].cid + ",1,6" },
          //模块5农民之家
          { "parent": routeId + ",0,0", "child": pageData.value[5].cid + ",6,3" },
          //模块6农业天地
          { "parent": routeId + ",0,0", "child": pageData.value[6].cid + ",2,3" },
          //模块7农村建设
          { "parent": routeId + ",0,0", "child": pageData.value[7].cid + ",4,0" }
          //模块8高端资讯
        ];
        let jsonString = JSON.stringify(getJson);
        getPageAllData(jsonString);
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u5206\u7C7B\u9875\u5BFC\u822A\u6C60");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", navigateData.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    } catch (error) {
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u5206\u7C7B\u9875\u5BFC\u822A\u6E32\u67D3\u9636\u6BB5");
      console.log("\u9519\u8BEF\uFF1A\u5BFC\u822A\u6C60\u6E32\u67D3\u6267\u884C\u63A5\u53E3\u51FA\u9519\uFF01\u8BF7\u68C0\u67E5\u9996\u9875\u768414\u7684\u6A21\u5757\u7684\u5177\u4F53\u6267\u884C\u65B9\u6CD5\uFF01");
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
    }
    async function getPageAllData(jsonString) {
      const mkdata = await requestDataPromise("/web/getWebsiteAllArticle", {
        method: "GET",
        query: {
          "id": jsonString
        }
      });
      if (mkdata.code == 200) {
        console.log(778899);
        console.log(mkdata.data);
        if (mkdata.data[0].child.imgnum.length > 0) {
          pageData.value[0].data.push(mkdata.data[0].child.imgnum[0]);
        }
        if (mkdata.data[0].child.imgnum.length > 1) {
          pageData.value[0].data2.push(mkdata.data[0].child.imgnum[1]);
        }
        if (mkdata.data[0].child.imgnum.length > 2) {
          pageData.value[0].data2.push(mkdata.data[0].child.imgnum[2]);
        }
        if (mkdata.data[0].child.imgnum.length > 3) {
          pageData.value[0].data2.push(mkdata.data[0].child.imgnum[3]);
        }
        if (mkdata.data[0].child.imgnum.length > 4) {
          pageData.value[0].data2.push(mkdata.data[0].child.imgnum[4]);
        }
        pageData.value[0].data3 = mkdata.data[0].child.textnum;
        pageData.value[1].data = mkdata.data[1].child.imgnum;
        pageData.value[2].data = mkdata.data[2].child.imgnum;
        pageData.value[2].data2 = mkdata.data[2].child.textnum;
        pageData.value[3].data = mkdata.data[3].child.imgnum;
        pageData.value[3].data2 = mkdata.data[3].child.textnum;
        pageData.value[4].data = mkdata.data[4].child.imgnum;
        pageData.value[4].data2 = mkdata.data[4].child.textnum;
        if (mkdata.data[5].child.imgnum.length > 0) {
          pageData.value[5].data.push(mkdata.data[5].child.imgnum[0]);
        }
        pageData.value[5].data2 = mkdata.data[5].child.textnum;
        for (let i = 1; i < mkdata.data[5].child.imgnum.length && i <= 5; i++) {
          pageData.value[7].data.push(mkdata.data[5].child.imgnum[i]);
        }
        pageData.value[6].data = mkdata.data[6].child.imgnum;
        pageData.value[6].data2 = mkdata.data[6].child.textnum;
        pageData.value[7].data2 = mkdata.data[7].child.imgnum;
      } else {
        ElMessage.error(mkdata.message);
      }
    }
    const setData = ([__temp, __restore] = withAsyncContext(() => requestDataPromise("/web/getWebsiteCategoryHead", {
      method: "GET",
      query: {
        "catid": routeId
      }
    })), __temp = await __temp, __restore(), __temp);
    if (setData.code == 200) {
      let seoTitle = setData.data.seo_title;
      let seoDescription = setData.data.seo_description;
      let seoKeywords = setData.data.seo_keywords;
      let seoSuffix = setData.data.suffix;
      let seoName = setData.data.website_name;
      useSeoMeta({
        title: seoTitle + "_" + seoSuffix,
        meta: [
          { name: "description", content: seoDescription + "_" + seoName + "_" + seoSuffix, tagPriority: 10 },
          { name: "keywords", content: seoKeywords + "_" + seoName + "_" + seoSuffix, tagPriority: 10 }
        ]
      });
    } else {
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u8BBE\u7F6E\u5206\u7C7B\u9875\u9762SEO\u6570\u636E");
      console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", setData.message);
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
    }
    return (_ctx, _push, _parent, _attrs) => {
      const _component_HomePageHead = __nuxt_component_0;
      const _component_HomePageNavigation = __nuxt_component_1;
      const _component_HomeSecondaryHeading = __nuxt_component_2;
      const _component_NuxtLink = __nuxt_component_2$1;
      const _component_HomeTopTen = _sfc_main$2;
      const _component_HomeFoot1 = __nuxt_component_3;
      _push(`<div${ssrRenderAttrs(_attrs)} data-v-36827488>`);
      _push(ssrRenderComponent(_component_HomePageHead, null, null, _parent));
      _push(ssrRenderComponent(_component_HomePageNavigation, null, null, _parent));
      _push(ssrRenderComponent(_component_HomeSecondaryHeading, {
        titleData: pageData.value,
        pinyinid: unref(routeId)
      }, null, _parent));
      _push(`<div class="farmingPartOne" data-v-36827488><div class="inner" data-v-36827488>`);
      if (pageData.value.length > 0) {
        _push(`<div class="innerLeft" data-v-36827488><div class="title" data-v-36827488><h3 data-v-36827488>`);
        if (pageData.value[0]) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPath(pageData.value[0]),
            title: pageData.value[0].alias
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(pageData.value[0].alias)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(pageData.value[0].alias), 1)
                ];
              }
            }),
            _: 1
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`<span data-v-36827488>`);
        if (pageData.value[0]) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPath(pageData.value[0]),
            title: pageData.value[0].title
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(` \u67E5\u770B\u66F4\u591A `);
              } else {
                return [
                  createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                ];
              }
            }),
            _: 1
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`</span></h3></div><div class="leftTop" data-v-36827488>`);
        if (pageData.value[0].data[0]) {
          _push(`<div class="leftTopPhoto left" data-v-36827488>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(pageData.value[0].data[0]),
            title: pageData.value[0].data[0].title
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img${ssrRenderAttr("src", pageData.value[0].data[0].imgurl)}${ssrRenderAttr("alt", pageData.value[0].data[0].title)} data-v-36827488${_scopeId}><span data-v-36827488${_scopeId}>${ssrInterpolate(pageData.value[0].data[0].title)}</span>`);
              } else {
                return [
                  createVNode("img", {
                    src: pageData.value[0].data[0].imgurl,
                    alt: pageData.value[0].data[0].title
                  }, null, 8, ["src", "alt"]),
                  createVNode("span", null, toDisplayString(pageData.value[0].data[0].title), 1)
                ];
              }
            }),
            _: 1
          }, _parent));
          _push(`</div>`);
        } else {
          _push(`<div class="leftTopPhoto left" data-v-36827488></div>`);
        }
        _push(`<ul class="left" data-v-36827488><!--[-->`);
        ssrRenderList(pageData.value[0].data3, (item) => {
          _push(`<li data-v-36827488><em data-v-36827488></em><span data-v-36827488>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.title)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</span></li>`);
        });
        _push(`<!--]--></ul></div>`);
        if (pageData.value[0].data2[0] != null) {
          _push(`<ul class="leftBottom" data-v-36827488><!--[-->`);
          ssrRenderList(pageData.value[0].data2, (item) => {
            _push(`<li data-v-36827488>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<img${ssrRenderAttr("src", item.imgurl)}${ssrRenderAttr("alt", item.title)} data-v-36827488${_scopeId}>`);
                } else {
                  return [
                    createVNode("img", {
                      src: item.imgurl,
                      alt: item.title
                    }, null, 8, ["src", "alt"])
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`<p data-v-36827488>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(item.title)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(item.title), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</p></li>`);
          });
          _push(`<!--]--></ul>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      if (pageData.value.length >= 2) {
        _push(`<div class="innerRight" data-v-36827488><div class="title" data-v-36827488><h3 data-v-36827488>`);
        if (pageData.value[1]) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPath(pageData.value[1]),
            title: pageData.value[1].alias
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(pageData.value[1].alias)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(pageData.value[1].alias), 1)
                ];
              }
            }),
            _: 1
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`<span data-v-36827488>`);
        if (pageData.value[1]) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPath(pageData.value[1]),
            title: pageData.value[1].title
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(` \u67E5\u770B\u66F4\u591A `);
              } else {
                return [
                  createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                ];
              }
            }),
            _: 1
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`</span></h3></div><ul class="rightList" data-v-36827488><!--[-->`);
        ssrRenderList(pageData.value[1].data, (item) => {
          _push(`<li data-v-36827488>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img class="left"${ssrRenderAttr("src", item.imgurl)}${ssrRenderAttr("alt", item.title)} data-v-36827488${_scopeId}>`);
              } else {
                return [
                  createVNode("img", {
                    class: "left",
                    src: item.imgurl,
                    alt: item.title
                  }, null, 8, ["src", "alt"])
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`<p class="left" data-v-36827488>`);
          _push(ssrRenderComponent(_component_NuxtLink, {
            href: getLinkPathDetail(item),
            title: item.title
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.title)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
          _push(`</p></li>`);
        });
        _push(`<!--]--></ul></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div>`);
      if (unref(adImg1)) {
        _push(ssrRenderComponent(_component_HomeTopTen, { imgurl: unref(adImg1) }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      if (pageData.value.length >= 3) {
        _push(`<div class="farmingPartTwo" data-v-36827488><div class="inner" data-v-36827488>`);
        if (pageData.value.length >= 3) {
          _push(`<div class="farmer" data-v-36827488><div class="title" data-v-36827488><h3 data-v-36827488>`);
          if (pageData.value[2]) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[2]),
              title: pageData.value[2].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[2].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[2].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`<span data-v-36827488>`);
          if (pageData.value[2]) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[2]),
              title: pageData.value[2].title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(` \u67E5\u770B\u66F4\u591A `);
                } else {
                  return [
                    createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</span></h3></div><div class="PartTwoPhoto" data-v-36827488>`);
          if (pageData.value[2].data[0]) {
            _push(`<div data-v-36827488>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(pageData.value[2].data[0]),
              title: pageData.value[2].data[0].title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<img${ssrRenderAttr("src", pageData.value[2].data[0].imgurl)}${ssrRenderAttr("alt", pageData.value[2].data[0].title)} data-v-36827488${_scopeId}><span data-v-36827488${_scopeId}>${ssrInterpolate(pageData.value[2].data[0].title)}</span>`);
                } else {
                  return [
                    createVNode("img", {
                      src: pageData.value[2].data[0].imgurl,
                      alt: pageData.value[2].data[0].title
                    }, null, 8, ["src", "alt"]),
                    createVNode("span", null, toDisplayString(pageData.value[2].data[0].title), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
            _push(`</div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div><ul class="PartTwoList" data-v-36827488><!--[-->`);
          ssrRenderList(pageData.value[2].data2, (item) => {
            _push(`<li data-v-36827488><em data-v-36827488></em>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(item.title)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(item.title), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</li>`);
          });
          _push(`<!--]--></ul></div>`);
        } else {
          _push(`<!---->`);
        }
        if (pageData.value.length >= 4) {
          _push(`<div class="farmer" data-v-36827488><div class="title" data-v-36827488><h3 data-v-36827488>`);
          if (pageData.value[3]) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[3]),
              title: pageData.value[3].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[3].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[3].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`<span data-v-36827488>`);
          if (pageData.value[3]) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[3]),
              title: pageData.value[3].title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(` \u67E5\u770B\u66F4\u591A `);
                } else {
                  return [
                    createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</span></h3></div><div class="PartTwoPhoto" data-v-36827488>`);
          if (pageData.value[3].data[0]) {
            _push(`<div data-v-36827488>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(pageData.value[3].data[0]),
              title: pageData.value[3].data[0].title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<img${ssrRenderAttr("src", pageData.value[3].data[0].imgurl)}${ssrRenderAttr("alt", pageData.value[3].data[0].title)} data-v-36827488${_scopeId}><span data-v-36827488${_scopeId}>${ssrInterpolate(pageData.value[3].data[0].title)}</span>`);
                } else {
                  return [
                    createVNode("img", {
                      src: pageData.value[3].data[0].imgurl,
                      alt: pageData.value[3].data[0].title
                    }, null, 8, ["src", "alt"]),
                    createVNode("span", null, toDisplayString(pageData.value[3].data[0].title), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
            _push(`</div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div><ul class="PartTwoList" data-v-36827488><!--[-->`);
          ssrRenderList(pageData.value[3].data2, (item) => {
            _push(`<li data-v-36827488><em data-v-36827488></em>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(item.title)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(item.title), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</li>`);
          });
          _push(`<!--]--></ul></div>`);
        } else {
          _push(`<!---->`);
        }
        if (pageData.value.length >= 5) {
          _push(`<div class="farmer" data-v-36827488><div class="title" data-v-36827488><h3 data-v-36827488>`);
          if (pageData.value[4]) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[4]),
              title: pageData.value[4].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[4].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[4].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`<span data-v-36827488>`);
          if (pageData.value[4]) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[4]),
              title: pageData.value[4].title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(` \u67E5\u770B\u66F4\u591A `);
                } else {
                  return [
                    createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</span></h3></div><div class="PartTwoPhoto" data-v-36827488>`);
          if (pageData.value[4].data[0]) {
            _push(`<div data-v-36827488>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(pageData.value[4].data[0]),
              title: pageData.value[4].data[0].title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<img${ssrRenderAttr("src", pageData.value[4].data[0].imgurl)}${ssrRenderAttr("alt", pageData.value[4].data[0].title)} data-v-36827488${_scopeId}><span data-v-36827488${_scopeId}>${ssrInterpolate(pageData.value[4].data[0].title)}</span>`);
                } else {
                  return [
                    createVNode("img", {
                      src: pageData.value[4].data[0].imgurl,
                      alt: pageData.value[4].data[0].title
                    }, null, 8, ["src", "alt"]),
                    createVNode("span", null, toDisplayString(pageData.value[4].data[0].title), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
            _push(`</div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div><ul class="PartTwoList" data-v-36827488><!--[-->`);
          ssrRenderList(pageData.value[4].data2, (item) => {
            _push(`<li data-v-36827488><em data-v-36827488></em>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(item.title)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(item.title), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</li>`);
          });
          _push(`<!--]--></ul></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(adImg2)) {
        _push(ssrRenderComponent(_component_HomeTopTen, { imgurl: unref(adImg2) }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      if (pageData.value.length >= 6) {
        _push(`<div class="zixuntuijian" data-v-36827488><div class="inner" data-v-36827488><div class="innerLeft" data-v-36827488><div class="zixunTop" data-v-36827488>`);
        if (pageData.value.length >= 6) {
          _push(`<div class="zixunLeft" data-v-36827488><div class="title" data-v-36827488><h3 data-v-36827488>`);
          if (pageData.value[5]) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[5]),
              title: pageData.value[5].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[5].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[5].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`<span data-v-36827488>`);
          if (pageData.value[5]) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[5]),
              title: pageData.value[5].title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(` \u67E5\u770B\u66F4\u591A `);
                } else {
                  return [
                    createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</span></h3></div>`);
          if (pageData.value[5].data[0] != null) {
            _push(`<ul class="photo_text" data-v-36827488><!--[-->`);
            ssrRenderList(pageData.value[5].data, (item) => {
              _push(`<li data-v-36827488><article data-v-36827488>`);
              _push(ssrRenderComponent(_component_NuxtLink, {
                href: getLinkPathDetail(item),
                title: item.title
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`<img${ssrRenderAttr("src", item.imgurl)}${ssrRenderAttr("alt", item.title)} data-v-36827488${_scopeId}>`);
                  } else {
                    return [
                      createVNode("img", {
                        src: item.imgurl,
                        alt: item.title
                      }, null, 8, ["src", "alt"])
                    ];
                  }
                }),
                _: 2
              }, _parent));
              _push(`<div data-v-36827488><h5 data-v-36827488>`);
              _push(ssrRenderComponent(_component_NuxtLink, {
                href: getLinkPathDetail(item),
                title: item.title
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(item.title)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(item.title), 1)
                    ];
                  }
                }),
                _: 2
              }, _parent));
              _push(`</h5><p data-v-36827488><span data-v-36827488>${ssrInterpolate(item.author)}</span><span data-v-36827488>${ssrInterpolate(("getTime" in _ctx ? _ctx.getTime : unref(getTime))(item.updated_at, "month", 1))}</span></p></div></article></li>`);
            });
            _push(`<!--]--><!--[-->`);
            ssrRenderList(pageData.value[5].data2, (item) => {
              _push(`<li data-v-36827488><article data-v-36827488><em data-v-36827488></em>`);
              _push(ssrRenderComponent(_component_NuxtLink, {
                href: getLinkPathDetail(item),
                title: item.title
              }, {
                default: withCtx((_, _push2, _parent2, _scopeId) => {
                  if (_push2) {
                    _push2(`${ssrInterpolate(item.title)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(item.title), 1)
                    ];
                  }
                }),
                _: 2
              }, _parent));
              _push(`</article></li>`);
            });
            _push(`<!--]--></ul>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        if (pageData.value.length >= 7) {
          _push(`<div class="zixunRight" data-v-36827488><div class="title" data-v-36827488><h3 data-v-36827488>`);
          if (pageData.value[6]) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[6]),
              title: pageData.value[6].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[6].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[6].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`<span data-v-36827488>`);
          if (pageData.value[6]) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[6]),
              title: pageData.value[6].title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(` \u67E5\u770B\u66F4\u591A `);
                } else {
                  return [
                    createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</span></h3></div><div class="towPic" data-v-36827488><!--[-->`);
          ssrRenderList(pageData.value[6].data, (item) => {
            _push(`<div class="picBox" data-v-36827488><div data-v-36827488>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<img${ssrRenderAttr("src", item.imgurl)}${ssrRenderAttr("alt", item.title)} data-v-36827488${_scopeId}>`);
                } else {
                  return [
                    createVNode("img", {
                      src: item.imgurl,
                      alt: item.title
                    }, null, 8, ["src", "alt"])
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</div></div>`);
          });
          _push(`<!--]--></div><ul class="photo_text" data-v-36827488><!--[-->`);
          ssrRenderList(pageData.value[6].data2, (item) => {
            _push(`<li data-v-36827488><article data-v-36827488><em data-v-36827488></em>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(item.title)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(item.title), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</article></li>`);
          });
          _push(`<!--]--></ul></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
        if (pageData.value[7].data[0] != null) {
          _push(`<div class="zixunBottom" data-v-36827488>`);
          if (pageData.value[7].data[0] && hoverStatus.value == 0) {
            _push(`<img class="left"${ssrRenderAttr("src", pageData.value[7].data[0].imgurl)}${ssrRenderAttr("alt", pageData.value[7].data[0].title)} data-v-36827488>`);
          } else {
            _push(`<!---->`);
          }
          if (pageData.value[7].data[1] && hoverStatus.value == 1) {
            _push(`<img class="left"${ssrRenderAttr("src", pageData.value[7].data[1].imgurl)}${ssrRenderAttr("alt", pageData.value[7].data[1].title)} data-v-36827488>`);
          } else {
            _push(`<!---->`);
          }
          if (pageData.value[7].data[2] && hoverStatus.value == 2) {
            _push(`<img class="left"${ssrRenderAttr("src", pageData.value[7].data[2].imgurl)}${ssrRenderAttr("alt", pageData.value[7].data[2].title)} data-v-36827488>`);
          } else {
            _push(`<!---->`);
          }
          if (pageData.value[7].data[3] && hoverStatus.value == 3) {
            _push(`<img class="left"${ssrRenderAttr("src", pageData.value[7].data[3].imgurl)}${ssrRenderAttr("alt", pageData.value[7].data[3].title)} data-v-36827488>`);
          } else {
            _push(`<!---->`);
          }
          if (pageData.value[7].data[4] && hoverStatus.value == 4) {
            _push(`<img class="left"${ssrRenderAttr("src", pageData.value[7].data[4].imgurl)}${ssrRenderAttr("alt", pageData.value[7].data[4].title)} data-v-36827488>`);
          } else {
            _push(`<!---->`);
          }
          if (pageData.value[7].data[5] && hoverStatus.value == 5) {
            _push(`<img class="left"${ssrRenderAttr("src", pageData.value[7].data[5].imgurl)}${ssrRenderAttr("alt", pageData.value[7].data[5].title)} data-v-36827488>`);
          } else {
            _push(`<!---->`);
          }
          _push(`<ul class="leftList left" data-v-36827488><!--[-->`);
          ssrRenderList(pageData.value[7].data, (item, index) => {
            _push(`<li data-v-36827488><h4 data-v-36827488><em data-v-36827488></em>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(item.title)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(item.title), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</h4></li>`);
          });
          _push(`<!--]--></ul></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
        if (pageData.value.length >= 8) {
          _push(`<div class="innerRight" data-v-36827488><div class="title" data-v-36827488><h3 data-v-36827488>`);
          if (pageData.value[7]) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[7]),
              title: pageData.value[7].alias
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(pageData.value[7].alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(pageData.value[7].alias), 1)
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`<span data-v-36827488>`);
          if (pageData.value[7]) {
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPath(pageData.value[7]),
              title: pageData.value[7].title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(` \u67E5\u770B\u66F4\u591A `);
                } else {
                  return [
                    createTextVNode(" \u67E5\u770B\u66F4\u591A ")
                  ];
                }
              }),
              _: 1
            }, _parent));
          } else {
            _push(`<!---->`);
          }
          _push(`</span></h3></div><ul class="information" data-v-36827488><!--[-->`);
          ssrRenderList(pageData.value[7].data2, (item) => {
            _push(`<li data-v-36827488>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`<img${ssrRenderAttr("src", item.imgurl)}${ssrRenderAttr("alt", item.title)} data-v-36827488${_scopeId}>`);
                } else {
                  return [
                    createVNode("img", {
                      src: item.imgurl,
                      alt: item.title
                    }, null, 8, ["src", "alt"])
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`<div class="text" data-v-36827488><h5 data-v-36827488>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              href: getLinkPathDetail(item),
              title: item.title
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(item.title)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(item.title), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</h5><p data-v-36827488>${ssrInterpolate(item.author)}</p></div></li>`);
          });
          _push(`<!--]--></ul></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(adImg3)) {
        _push(ssrRenderComponent(_component_HomeTopTen, { imgurl: unref(adImg3) }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      if (unref(adImg4)) {
        _push(ssrRenderComponent(_component_HomeTopTen, { imgurl: unref(adImg4) }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(ssrRenderComponent(_component_HomeFoot1, null, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/[dir]/index.html.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const index_html = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-36827488"]]);

export { index_html as default };
//# sourceMappingURL=index.html-Bu-QA-_b.mjs.map
