import { r as requestDataPromise, u as useSeoMeta, _ as __nuxt_component_0, b as __nuxt_component_2 } from './nuxt-link-CT-wIPZG.mjs';
import { _ as __nuxt_component_1 } from './pageNavigation1-CX3JDA81.mjs';
import { _ as _sfc_main$1 } from './TopTen-DeGWOUBH.mjs';
import { _ as __nuxt_component_4, a as __nuxt_component_5 } from './HotNews2-Bn8fJUyd.mjs';
import { _ as __nuxt_component_3 } from './foot1-D3tno6Bd.mjs';
import { ref, withAsyncContext, mergeProps, unref, withCtx, createTextVNode, toDisplayString, createVNode, openBlock, createBlock, createCommentVNode, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderList } from 'vue/server-renderer';
import { ElBreadcrumb, ElBreadcrumbItem, ElPagination } from 'element-plus';
import { ArrowRight } from '@element-plus/icons-vue';
import { _ as _export_sfc, u as useNuxtApp, a as useRoute, f as navigateTo } from './server.mjs';
import '@unhead/shared';
import 'js-cookie';
import '../_/nitro.mjs';
import 'node:http';
import 'node:https';
import 'node:fs';
import 'node:url';
import 'node:path';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import 'vue-router';
import 'pinia';

const _sfc_main = {
  __name: "list-[id]",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    const name = ref("");
    useNuxtApp();
    const getLinkPathDetail = (item) => {
      if (item.islink == 1) {
        return `${item.linkurl}`;
      } else {
        return `/${item.pinyin}/${item.id}.html`;
      }
    };
    const route = useRoute();
    let articleId = 0;
    let pageNum = ref(2);
    let total = ref(1);
    let pageSize = ref(20);
    const fullPath = route.path;
    const segments = fullPath.split("/");
    const targetSegment = segments[2];
    const targetRoute = segments[1];
    const getRouteId = ([__temp, __restore] = withAsyncContext(() => requestDataPromise("/web/getWebsiteRoute", {
      method: "GET",
      query: {
        "pinyin": targetSegment
      }
    })), __temp = await __temp, __restore(), __temp);
    if (getRouteId.code == 200) {
      articleId = getRouteId.data.category_id;
    } else {
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u901A\u8FC7url\u8DEF\u5F84\u67E5\u8BE2\u5BFC\u822A\u6C60id");
      console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", getRouteId.message);
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
    }
    pageNum.value = parseInt(route.params.id);
    const newsList = ref([]);
    let newslists = async () => {
      const listData = await requestDataPromise("/web/getWebsiteArticleList", {
        method: "GET",
        query: {
          "page": pageNum.value,
          "pageSize": pageSize.value,
          "catid": articleId
        }
      });
      if (listData.code == 200) {
        newsList.value = listData.data.rows;
        total.value = listData.data.count;
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u83B7\u53D6\u65B0\u95FB\u5217\u8868");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", listData.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    };
    newslists();
    let changePage = (value) => {
      console.log("\u5F53\u524D\u9875\u7801", value);
      navigateTo(`/${targetSegment}/${value}.html`);
    };
    let getPageName = async () => {
      const pageName = await requestDataPromise("/web/getOneWebsiteCategory", {
        method: "GET",
        query: {
          "catid": articleId
        }
      });
      if (pageName.code == 200) {
        name.value = pageName.data.alias;
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u8BBE\u7F6E\u9875\u9762\u6807\u9898");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", pageName.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    };
    getPageName();
    const parent_name = ref([]);
    const parent_id = ref([]);
    const parent_pinyin = ref("");
    let getParentNav = async () => {
      const listData = await requestDataPromise("/web/getOneWebsiteCategory", {
        method: "GET",
        query: {
          "catid": articleId
        }
      });
      if (listData.code == 200) {
        console.log(111999);
        console.log(listData.data);
        parent_name.value = listData.data.parent_name;
        parent_id.value = listData.data.parent_id;
        parent_pinyin.value = listData.data.parent_pinyin;
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u83B7\u53D6\u65B0\u95FB\u5217\u8868");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", listData.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
      getSecondNav();
    };
    getParentNav();
    const secondNav = ref([]);
    let getSecondNav = async () => {
      const listData = await requestDataPromise("/web/getWebsiteModelCategory", {
        method: "GET",
        query: {
          "placeid": 1,
          "pid": parent_id.value,
          "num": 8
        }
      });
      console.log("listData", listData);
      if (listData.code == 200) {
        secondNav.value = listData.data;
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u83B7\u53D6\u65B0\u95FB\u5217\u8868");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", listData.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    };
    const setData = ([__temp, __restore] = withAsyncContext(() => requestDataPromise("/web/getWebsiteCategoryHead", {
      method: "GET",
      query: {
        "catid": articleId
      }
    })), __temp = await __temp, __restore(), __temp);
    if (setData.code == 200) {
      let seoTitle = setData.data.seo_title;
      let seoDescription = setData.data.seo_description;
      let seoKeywords = setData.data.seo_keywords;
      let seoSuffix = setData.data.suffix;
      let seoName = setData.data.website_name;
      useSeoMeta({
        title: seoTitle + "_" + seoName + "_" + seoSuffix,
        meta: [
          { name: "description", content: seoDescription + "_" + seoName + "_" + seoSuffix, tagPriority: 10 },
          { name: "keywords", content: seoKeywords + "_" + seoName + "_" + seoSuffix, tagPriority: 10 }
        ]
      });
    } else {
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u8BBE\u7F6E\u5217\u8868\u9875\u9762SEO\u6570\u636E");
      console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", setData.message);
      console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
    }
    let adImg1 = ref({});
    let adImg2 = ref({});
    return (_ctx, _push, _parent, _attrs) => {
      const _component_HomePageHead = __nuxt_component_0;
      const _component_HomePageNavigation1 = __nuxt_component_1;
      const _component_HomeTopTen = _sfc_main$1;
      const _component_NuxtLink = __nuxt_component_2;
      const _component_DetailHotNews = __nuxt_component_4;
      const _component_DetailHotNews2 = __nuxt_component_5;
      const _component_HomeFoot1 = __nuxt_component_3;
      _push(`<div${ssrRenderAttrs(mergeProps({ id: "newsList" }, _attrs))} data-v-95c5399b>`);
      _push(ssrRenderComponent(_component_HomePageHead, null, null, _parent));
      _push(ssrRenderComponent(_component_HomePageNavigation1, null, null, _parent));
      if (unref(adImg1)) {
        _push(ssrRenderComponent(_component_HomeTopTen, { imgurl: unref(adImg1) }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      if (parent_name.value != "") {
        _push(`<div class="sannongzhichuang" data-v-95c5399b><div class="inner" data-v-95c5399b><h2 data-v-95c5399b>`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: `/${parent_pinyin.value}/index.html`
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`${ssrInterpolate(parent_name.value)}`);
            } else {
              return [
                createTextVNode(toDisplayString(parent_name.value), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
        _push(`<em class="iconfont icon-xingzhuang-zhijiaosanjiaoxing-copy" data-v-95c5399b></em></h2><p class="introduction" data-v-95c5399b><strong data-v-95c5399b>\u9891\u9053\u4ECB\u7ECD</strong><!--[-->`);
        ssrRenderList(secondNav.value, (item, index) => {
          _push(`<div data-v-95c5399b>`);
          if (index <= 7) {
            _push(`<span data-v-95c5399b>`);
            _push(ssrRenderComponent(_component_NuxtLink, {
              to: { path: `/${unref(targetRoute)}/${item.aLIas_pinyin}/list-1.html` }
            }, {
              default: withCtx((_, _push2, _parent2, _scopeId) => {
                if (_push2) {
                  _push2(`${ssrInterpolate(item.alias)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(item.alias), 1)
                  ];
                }
              }),
              _: 2
            }, _parent));
            _push(`</span>`);
          } else {
            _push(`<b data-v-95c5399b></b>`);
          }
          _push(`</div>`);
        });
        _push(`<!--]--></p></div></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<div class="breadcrumb" data-v-95c5399b><div class="inner" data-v-95c5399b><span class="location" data-v-95c5399b>\u5F53\u524D\u4F4D\u7F6E:</span>`);
      _push(ssrRenderComponent(unref(ElBreadcrumb), { "separator-icon": unref(ArrowRight) }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(unref(ElBreadcrumbItem), null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_NuxtLink, { to: "/" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`\u9996\u9875`);
                      } else {
                        return [
                          createTextVNode("\u9996\u9875")
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_NuxtLink, { to: "/" }, {
                      default: withCtx(() => [
                        createTextVNode("\u9996\u9875")
                      ]),
                      _: 1
                    })
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            if (parent_name.value != "") {
              _push2(ssrRenderComponent(unref(ElBreadcrumbItem), null, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(ssrRenderComponent(_component_NuxtLink, {
                      to: `/${parent_pinyin.value}/index.html`
                    }, {
                      default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                        if (_push4) {
                          _push4(`${ssrInterpolate(parent_name.value)}`);
                        } else {
                          return [
                            createTextVNode(toDisplayString(parent_name.value), 1)
                          ];
                        }
                      }),
                      _: 1
                    }, _parent3, _scopeId2));
                  } else {
                    return [
                      createVNode(_component_NuxtLink, {
                        to: `/${parent_pinyin.value}/index.html`
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(parent_name.value), 1)
                        ]),
                        _: 1
                      }, 8, ["to"])
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
            } else {
              _push2(`<!---->`);
            }
            _push2(ssrRenderComponent(unref(ElBreadcrumbItem), null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(name.value)}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(name.value), 1)
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode(unref(ElBreadcrumbItem), null, {
                default: withCtx(() => [
                  createVNode(_component_NuxtLink, { to: "/" }, {
                    default: withCtx(() => [
                      createTextVNode("\u9996\u9875")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }),
              parent_name.value != "" ? (openBlock(), createBlock(unref(ElBreadcrumbItem), { key: 0 }, {
                default: withCtx(() => [
                  createVNode(_component_NuxtLink, {
                    to: `/${parent_pinyin.value}/index.html`
                  }, {
                    default: withCtx(() => [
                      createTextVNode(toDisplayString(parent_name.value), 1)
                    ]),
                    _: 1
                  }, 8, ["to"])
                ]),
                _: 1
              })) : createCommentVNode("", true),
              createVNode(unref(ElBreadcrumbItem), null, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString(name.value), 1)
                ]),
                _: 1
              })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div><div class="newsList" data-v-95c5399b><div class="inner" data-v-95c5399b><div class="innerLeft" data-v-95c5399b><ul class="list" data-v-95c5399b><!--[-->`);
      ssrRenderList(newsList.value, (item, index) => {
        _push(`<li data-v-95c5399b>`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          href: getLinkPathDetail(item),
          title: item.alias
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`${ssrInterpolate(item.title)}`);
            } else {
              return [
                createTextVNode(toDisplayString(item.title), 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        _push(`</li>`);
      });
      _push(`<!--]--></ul>`);
      if (unref(total) > 0) {
        _push(`<div class="pagination" data-v-95c5399b>`);
        _push(ssrRenderComponent(unref(ElPagination), {
          size: "small",
          background: "",
          layout: "prev, pager, next",
          total: unref(total),
          class: "mt-4",
          "page-size": unref(pageSize),
          "current-page": unref(pageNum),
          "prev-text": "\u4E0A\u4E00\u9875",
          "next-text": "\u4E0B\u4E00\u9875",
          onCurrentChange: unref(changePage)
        }, null, _parent));
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div><div class="innerRight" data-v-95c5399b>`);
      _push(ssrRenderComponent(_component_DetailHotNews, null, null, _parent));
      _push(ssrRenderComponent(_component_DetailHotNews2, null, null, _parent));
      _push(`</div></div></div>`);
      if (unref(adImg2)) {
        _push(ssrRenderComponent(_component_HomeTopTen, { imgurl: unref(adImg2) }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(ssrRenderComponent(_component_HomeFoot1, null, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/[dir]/[dir]/list-[id].vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const list__id_ = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-95c5399b"]]);

export { list__id_ as default };
//# sourceMappingURL=list-_id_-Cr7YZYCU.mjs.map
